#!/bin/bash
# Backup current directory
OLDDIR="$PWD"

# Setting current directory
DIR="`dirname $0`"
cd "$DIR"

# Launching Studio
LIB_SWT="../lib/swt_linux"
CLASSPATH_LEON="../lib/skin_aqua.jar:../lib/skin_poppei.jar:../lib/skin_nautilus.jar:../lib/skin_w4.jar:../lib/skin_w4light.jar"
CLASSPATH_LEON_EXTERNAL="$LIB_SWT/swt-3.5.jar:../lib/swing/miglayout-3.7.1-swing.jar:../lib/j2ee/mail.jar:../lib/j2ee/activation.jar:../lib/fop/fop-0.95.jar:../lib/velocity/velocity.jar"
CLASSPATH_STUDIO="../lib/studio/addsOnStudio.jar:../lib/studio/studio.jar:../lib/studio/src.jar"
CLASSPATH_STUDIO_EXTERNAL="../lib/studio/net/commons-net-2.2.jar:../lib/studio/ant/ant.jar:../lib/studio/ant/ant-launcher.jar:../lib/studio/eclipse/org.eclipse.text.jar:../lib/studio/eclipse/org.eclipse.osgi.jar:../lib/studio/eclipse/org.eclipse.jface.jar:../lib/studio/eclipse/org.eclipse.jface.text.jar:../lib/studio/eclipse/org.eclipse.equinox.common.jar:../lib/studio/eclipse/org.eclipse.core.runtime.jar:../lib/studio/eclipse/org.eclipse.core.commands.jar:../lib/mvel/mvel2-2.0.16.jar"
CLASSPATH_W4="../lib/w4/wfjlib.jar:../lib/w4/w4bpmapi.jar:../lib/w4/w4_saved_context.jar:../lib/xmlbeans/xmlbeans.jar:../lib/studio/w4_business_type.jar:../lib/studio/w4_appmodel.jar:../lib/studio/w4_cmsmodel.jar"
CLASSPATH_STORE="../lib/w4/w4Common_client.jar;../lib/store/w4Store_client.jar;../lib/store/w4Store-solution_client.jar"
MODE=FREE_MODE

java -Xmx256M -DAC_MODE=%MODE% -Djava.library.path="$LIB_SWT" -classpath "$CLASSPATH_LEON:$CLASSPATH_LEON_EXTERNAL:$CLASSPATH_STUDIO:$CLASSPATH_STUDIO_EXTERNAL:$CLASSPATH_W4:$CLASSPATH_STORE" eu.w4.ac.ApplicationComposerMain
cd "$OLDDIR"
