/*
 * LyGetSessionInterface.java
 * Copyright (c) 2000-2009, Lyria-W4.
 * All rights reserved.
 */

package leon.app;

/**
 * This interface is implemented by objects associated to a session.
 *
 * @author  Lyria S.A.
 * @version $Id: LyGetSessionInterface.java 28422 2010-11-03 12:03:38Z ehelmste $
 */
public interface LyGetSessionInterface
{
	/**
	 * File version
	 */
	String __VERSION = "$Id: LyGetSessionInterface.java 28422 2010-11-03 12:03:38Z ehelmste $";

	/**
	 * Gets the session of current object.
	 *
	 * @return the session associated to the object.
	 */
	LyDataSession getSession();
}