/**
 * LyGetActionInterface.java
 * Copyright (c) 2000-2009, Lyria-W4.
 * All rights reserved.
 * Current version: $Id: LyGetActionInterface.java 28422 2010-11-03 12:03:38Z ehelmste $
 */

package leon.control;

import leon.info.*;


/**
 * This interface is implemented by controllers which are created by an action The action is usually
 * specified in the meta-model and sets parameters of the controller...
 */
public interface LyGetActionInterface
{
	/** File Version */
	String __VERSION = "$Id: LyGetActionInterface.java 28422 2010-11-03 12:03:38Z ehelmste $";

	/**
	 * Accessor to the action associated to the controller.
	 *
	 * @return the action which defines and sets current controller parameters.
	 */
	LyAction getAction();
}