/**
 * LyFieldCreateBuilder.java
 * Copyright (c) 2000-2009, Lyria-W4.
 * All rights reserved.
 * Current version: $Id: LyFieldCreateBuilder.java 29006 2010-12-23 17:44:46Z bmichel $
 */

package leon.control.form.builder;

import leon.control.*;


/**
 * This builder construct a create form field. The associated controller is a field set controller
 *
 * @see LyFieldSetController
 */
public class LyFieldCreateBuilder extends LyFieldSetBuilder
{
	/** File version */
	public static final String __VERSION =
		"$Id: LyFieldCreateBuilder.java 29006 2010-12-23 17:44:46Z bmichel $";

	/**
	 * Default constructor.
	 *
	 * @param parent parent controller
	 */
	public LyFieldCreateBuilder(LyController parent)
	{
		super(parent);
	}
}