/*
 * LyContextListener.java
 * Copyright (c) 2000-2009, Lyria-W4.
 * All rights reserved.
 */

package leon.data;

/**
 * Interface used to listen on context end.
 *
 * @see    LyContext
 * @author Lyria
 */
public interface LyContextListener
{
	/** File version */
	String __VERSION = "$Id: LyContextListener.java 28422 2010-11-03 12:03:38Z ehelmste $";

	/**
	 * Method called when a context is ended by a brother context.
	 *
	 * @param context Context ended.
	 * @param brother Brother context that ended the given context.
	 */
	void contextEnded(LyContext context, LyContext brother);
}