/*
 * LyGuiListener.java
 * Copyright (c) 2000-2009, Lyria-W4.
 * All rights reserved.
 * Current version: $Id: LyGuiListener.java 28422 2010-11-03 12:03:38Z ehelmste $
 */

package leon.data;

/**
 * Interface that specifies if the event listener may update GUI.
 */
public interface LyGuiListener
{
	/** File version */
	String __VERSION = "$Id: LyGuiListener.java 28422 2010-11-03 12:03:38Z ehelmste $";

	/**
	 * Check idle status of the listener.
	 *
	 * @return boolean indicating if the idle mode is on or off.
	 */
	boolean isIdle();
}