/*
 * LyIllegalOperationExecption.java
 * Copyright (c) 2000-2009, Lyria-W4.
 * All rights reserved.
 */

package leon.data;

/**
 * Thrown when an operation is attempted to be execute in a context without the rights to do it.
 */
public class LyIllegalOperationException extends RuntimeException
{
	/**
	 * 
	 */
	private static final long serialVersionUID = -5944847258254429042L;
	/** File version */
	public static final String __VERSION =
		"$Id: LyIllegalOperationException.java 28997 2010-12-23 10:17:15Z bmichel $";

	/**
	 * Constructs a <code>LyIllegalOperationException</code> without a detail message.
	 */
	public LyIllegalOperationException()
	{
		super();
	}

	/**
	 * Constructs a <code>LyIllegalOperationException</code> with a detail message.
	 *
	 * @param message The detail message.
	 */
	public LyIllegalOperationException(String message)
	{
		super(message);
	}
}