/*
 * LyValueNotLoadedExecption.java
 * Copyright (c) 2000-2009, Lyria-W4.
 * All rights reserved.
 */

package leon.data;

/**
 * Thrown when accessing a value that is not loaded.
 */
public class LyValueNotLoadedException extends RuntimeException
{
	/**
	 * 
	 */
	private static final long serialVersionUID = 1639312511158087255L;
	/** File version */
	public static final String __VERSION =
		"$Id: LyValueNotLoadedException.java 28997 2010-12-23 10:17:15Z bmichel $";

	/**
	 * Constructs a <code>LyValueNotLoadedException</code> without a detail message.
	 */
	public LyValueNotLoadedException()
	{
		super();
	}

	/**
	 * Constructs a <code>LyValueNotLoadedException</code> with a detail message.
	 *
	 * @param message The detail message.
	 */
	public LyValueNotLoadedException(String message)
	{
		super(message);
	}
}