/*
 * LyLabelDaemonListener.java
 * Copyright (c) 2000-2009, Lyria-W4.
 * All rights reserved.
 */

package leon.data.daemon;

import leon.data.*;
import leon.info.*;


/**
 * Interface to listen on a label daemon.
 */
public interface LyLabelDaemonListener
{
	/** File version */
	String __VERSION = "$Id: LyLabelDaemonListener.java 28422 2010-11-03 12:03:38Z ehelmste $";

	/**
	 * Method called when a refresh is requiered.
	 *
	 * @param object Object to refresh.
	 * @param fields Impacted fields (may be null).
	 */
	void refresh(LyObject object, LyInfoList<LyFieldInfo> fields);
}