/**
 * LyInfoListener.java
 * Copyright (c) 2000-2009, Lyria-W4.
 * All rights reserved.
 * Current version: $Id: LyInfoListener.java 28422 2010-11-03 12:03:38Z ehelmste $
 */

package leon.info;

/**
 * The listener interface for receiving info events.
 */
public interface LyInfoListener
{
	String __VERSION = "$Id: LyInfoListener.java 28422 2010-11-03 12:03:38Z ehelmste $";

	/**
	 * Invoked when an action occurs on an info object (deletion or creation).
	 *
	 * @param prefix Prefix of the files from which objects info were loaded.
	 */
	void infoEvent(String prefix);
}