/*
 * LyUnion.java
 * Copyright (c) 2000-2010, Lyria-W4.
 * All rights reserved.
 */

package leon.info.binding;

import leon.info.*;

/**
 * Union pair.
 */
public class LyUnion extends LyTag
{
	public static final String __VERSION = "$Id$";

    String _value1;
    
    String _value2;

    public LyUnion()
    {
    }
    
    public LyUnion(String value1, String value2)
    {
        _value1 = value1;
        _value2 = value2;
    }
    
    public String getValue1()
    {
        return _value1;
    }
    
    public String getValue2()
    {
        return _value2;
    }
    
    protected void setValue1(String value1)
    {
        _value1 = value1;
    }
    
    protected void setValue2(String value2)
    {
        _value2 = value2;
    }
} // end class LyUnion
