/*
 * LyFieldSave.java
 */

package leon.info.save;

import leon.info.*;

/**
 * Save of a field controller
 */
public class LyCompositionFieldSave extends LyFieldSave
{
	public LyFormSave		_formSave;
	
    public LyCompositionFieldSave()
    {
    }
    
	public LyCompositionFieldSave(LyFieldSave fieldSave, LyFormSave formSave)
	{
	    super(fieldSave._fieldInfo, fieldSave._newValue, fieldSave._oldValue);
	    
	    _formSave = formSave;
	}
	
	public LyCompositionFieldSave(LyFieldInfo fieldInfo, LyFormSave formSave)
    {
        super(fieldInfo, null, null);
        
        _formSave = formSave;
    }
	
    public String saveAsString()
    {
        StringBuffer    buffer = new StringBuffer();
        
        buffer.append("<COMPOSITION_SAVE>\n");
        buffer.append(super.saveAsString());
        if (_formSave != null)
            buffer.append(_formSave.saveAsString());
        buffer.append("</COMPOSITION_SAVE>\n");
        
        return buffer.toString();
    }
}