/*
 * LyUnsupportedTransactionException.java
 * Copyright (c) 2000-2009, Lyria-W4.
 * All rights reserved.
 */

package leon.peer;

/**
 * Thrown to indicate that a transaction can't be initialized.
 *
 * @author Lyria
 */
public class LyUnsupportedTransactionException extends RuntimeException
{
	/**
	 * 
	 */
	private static final long serialVersionUID = 3658308255646737138L;
	public static final String __VERSION =
		"$Id: LyUnsupportedTransactionException.java 28997 2010-12-23 10:17:15Z bmichel $";

	/**
	 * Constructs a <code>LyUnsupportedTransactionException</code> with no detail message.
	 */
	public LyUnsupportedTransactionException()
	{
		super();
	}

	/**
	 * Constructs a <code>LyUnsupportedTransactionException</code> with the specified detail
	 * message.
	 *
	 * @param message The detail message.
	 */
	public LyUnsupportedTransactionException(String message)
	{
		super(message);
	}
}