/*
 * LyXmlField.java
 * Copyright (c) 2000-2009, Lyria-W4.
 * All rights reserved.
 */

package leon.peer.xml;

import leon.peer.util.*;


/**
 */
public class LyXmlField extends LyColumnField
{
	public static final String __VERSION =
		"$Id: LyXmlField.java 28422 2010-11-03 12:03:38Z ehelmste $";

	/** Id of the field in Leonardi. */
	String					   _originalId;

	/**
	 * Default Constructor.
	 */
	public LyXmlField()
	{
		super();
	}

	/**
	 * Get the id which the field has in Leonardi.
	 */
	public String getOriginalId()
	{
		return _originalId;
	}

	public void setOriginalId(String id)
	{
		_originalId = id;
	}
} // end class LyXmlField
