/*
 * LyXmlObject.java
 * Copyright (c) 2000-2009, Lyria-W4.
 * All rights reserved.
 */

package leon.peer.xml;

import leon.peer.util.*;


/**
 */
public class LyXmlObject extends LyRowObject
{
	public static final String __VERSION =
		"$Id: LyXmlObject.java 28422 2010-11-03 12:03:38Z ehelmste $";

	/**
	 * Default Constructor.
	 */
	public LyXmlObject()
	{
		super();
	}

	/**
	 * Constructor.
	 */
	public LyXmlObject(LyXmlClass xmlClass)
	{
		this();

		setTableClass(xmlClass);
	}

	/**
	 * Constructor.
	 */
	public LyXmlObject(LyXmlClass xmlClass, Object[] values)
	{
		this(xmlClass);

		_values = values;
	}
} // end class LyXmlObject
