<%@ page import="leon.app.*, leon.misc.*, leon.data.*, leon.view.web.*, leon.view.web.struts.*, leon.view.web.struts.action.*, leon.info.*, java.lang.*, java.util.*"%>
<!--
	To be used with the 'STRUTS' view manager.

	This is a simple error page used by the Leonardi exception handler
	that displays an exception that has occured.
	You may change this page directly or override the LY_ERROR_PAGE property
	in the "files_<lang>.properties" files.
	Leave next line to ensure errors will be correctly handled in Ajax mode.
	LEONARDI_ERROR_PAGE_TAG
-->

<%

	LyStrutsSessionBean sessionBean = (LyStrutsSessionBean)request.getSession().getAttribute("leonardiSessionBean");
	String exitUrl = null;
	String scripts = "";
	ServletContext context = null;
					
	if ((sessionBean != null) && (sessionBean.getEnvironment() != null))
	{
		LyStrutsViewManager viewManager = sessionBean.getViewManager();

		exitUrl = viewManager.getActionAbsoluteUrl(LyStrutsConstants.PATH_ACTION_EXIT, null, true);
		scripts = viewManager.generateScriptsInclusion();
		
		context = viewManager.getServletContext();
	}
%>

<html>
	<head>
		<title>Server error</title>
		<%= scripts %>
		<style type="text/css">
		<!--
			body {background-attachment:fixed;
					background-position:top;
					background-repeat:no-repeat;}
			center.title {font-family:Arial;
						font-size:25px;
						font-weight:bold;
						color:#596f7d;}
			td.field {font-family:Arial;
						font-size:13px;
						font-weight:bold;
						color:#596f7d;}
			td.info {font-family:Arial;
						font-size:15px;
						font-weight:bold;
						color:#596f7d;}
			a.info {font-family:Arial;
						font-size:13px;
						font-weight:bold;
						color:#596f7d;}
		-->
		</style>
	</head>

	<body bgcolor='#ecf0f6'>
	<table width='80%' align="center" border='0'>
	    <tr>
	     <td ><center class='title'>An error has occured</center></td>
	    </tr>
	    <tr>
		 <td align='center'> <hr color="#d0001a"/> </td>
	    </tr>
	    <tr>
		 <td align='center' class='info'>
		 	<textarea rows="35" cols="120" Readonly><%
		 			Object error = request.getAttribute("leonardi.exception");

		 			if (error instanceof Exception)
			 			((Exception)error).printStackTrace(new java.io.PrintWriter(out));
			 		else
			 		{
		 		%><%=error%><%
			 		}
		 		%></textarea>
		 </td>
	    </tr>
	    <tr>
			<td align="center">
				<%
					java.io.PrintWriter pw = new java.io.PrintWriter(out);

					if ((sessionBean != null) && (sessionBean.getEnvironment() != null) && context != null)
					{
						String outfile = sessionBean.getEnvironment().getEnv("LY_OUTPUT_FILE");
						
						outfile = sessionBean.getEnvironment().getString().expand(outfile);

						String scheme = request.getScheme();
						String serverName = request.getServerName();
						int port = request.getServerPort();
						
						String serverUrl = scheme + "://" + serverName + ":" + String.valueOf(port) + request.getContextPath() + "/";
						
						String logFilePath = outfile;
						String realServletPath = context.getRealPath("/");
						
						if (outfile.contains(realServletPath))
						{
							logFilePath = outfile.replace(realServletPath, serverUrl);
						}
						else
						{
							logFilePath = "file://" + outfile;
						}
						logFilePath = logFilePath.replace("\\", "/");
						if (outfile != null)
							pw.write("<A class=\"info\" target=\"_blank\" href=\"" + logFilePath + "\">See log file</A>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;");
						
						if (exitUrl != null)
							pw.write("<A class=\"info\" href=\"javascript:SendAjaxRequestParams('" + exitUrl + "','_answer=forceExit');\">Log out</A>");
					}
				%>
			</td>
		</tr>
    </table>

	</body>
</html>
