<%@ page import="leon.app.*, leon.misc.*, leon.data.*, leon.view.web.*, leon.view.web.struts.*, leon.info.*, java.lang.*, java.util.*"%>
<%!
	public String getLanguages(LySession leonardiSession, String fieldName)
	{
		LyApplication application = leonardiSession.getApplication();
		LyEnvironment environment = application.getEnvironment();
		String[][] languages = application.getSupportedLanguages();

		int size = languages.length;
		if (size > 1)
		{
			Locale	appLocale = environment.getLocale();
			String result = new String();
			result ="<select class='input_field' id=\""+fieldName+"\" name=\""+fieldName+"\" onkeydown=\"javascript:checkKey(event)\">\n";

			for (int i=0; i < size; i++)
			{
				result += "<option value='" + languages[i][0] +"' ";
				if (languages[i][0].equals(appLocale.getLanguage()))
					result += "selected='true'";

				result += ">" + environment.translate(languages[i][1]) + "</option>\n";
			}
			result +="</select>\n";

			return result;
		}
		else
			return new String();
	}

	public String getTranslatedString(LySession leonardiSession, String value)
	{
		return leonardiSession.getEnvironment().translate(value);
	}
%>

<%
	// Servlet Page
	String 		servletRootURL = (String)request.getAttribute(LyWebConstants.RA_LY_ROOT_URL);
	// Base for leonardi resources like images
	String 		leonardiRootURL = (String)request.getAttribute(LyWebConstants.RA_LY_LEON_DOC_URL);
	// Base for application resources like images
	String 		appRootURL = (String)request.getAttribute(LyWebConstants.RA_LY_APP_DOC_URL);
	// Base for skin dependant resources
	String		skinRootURL = (String)request.getAttribute(LyWebConstants.RA_LY_SKIN_URL);
	// Current user session
	LySession	leonardiSession = (LySession)request.getAttribute(LyWebConstants.RA_LY_SESSION);
	LyStrutsViewManager	viewManager = (LyStrutsViewManager)leonardiSession.getViewManager();
	String		scripts = viewManager.generateScriptsInclusion();
	String		actionUrl = viewManager.getActionURL(LyStrutsConstants.PATH_ACTION_COMMAND);
	LyEnvironment		environment = leonardiSession.getEnvironment();
	String		utilsPage = environment.getUrl("LY_UTILS_PAGE");
	String 		target = (String)request.getParameter(LyWebConstants.TARGET_PARAM);

	// Command images
	String leftCommandImage = environment.getImageUrl("LY_COMMAND_LEFT");
	String leftOverCommandImage = environment.getImageUrl("LY_COMMAND_LEFT_OVER");
	String centerCommandImage = environment.getImageUrl("LY_COMMAND_CENTER");
	String centerOverCommandImage = environment.getImageUrl("LY_COMMAND_CENTER_OVER");
	String rightCommandImage = environment.getImageUrl("LY_COMMAND_RIGHT");
	String rightOverCommandImage = environment.getImageUrl("LY_COMMAND_RIGHT_OVER");

	// Others
	String leftImage = environment.getImageUrl("LY_LOGIN_PAGE_LEFT_IMAGE");
	String rightImage = environment.getImageUrl("LY_LOGIN_PAGE_RIGHT_IMAGE");
	String arrowImage = environment.getImageUrl("LY_LOGIN_PAGE_ARROW_IMAGE");
	String separatorImage = environment.getImageUrl("LY_LOGIN_PAGE_SEPARATOR_IMAGE");
	String appName = getTranslatedString(leonardiSession, "LY_APPLICATION");
	String appLogo = environment.getImageUrl("LY_COMPANY_LOGO");
	String appBackground = environment.getImageUrl("LY_AREA_BACKGROUND_IMAGE");
	LyColor color = environment.getLyColor("LY_DEFAULT_BACKGROUND");
	String	bgColor = LyColors.getHexString(color);
	LyApplication leonardiApplication = leonardiSession.getApplication();
	String[][] languages = leonardiApplication.getSupportedLanguages();
	boolean displayLanguages = ((languages != null) && (languages.length > 1));
	String	favicon = environment.getImageUrl("LY_WEB_FAVICON");

	String defaultLogin = request.getParameter("_login");

	if (defaultLogin == null)
		defaultLogin = (String)leonardiSession.getValue("_login");
	if (defaultLogin == null)
		defaultLogin = "";
	
	defaultLogin = LyString.getJavascriptString(defaultLogin);
%>

<html>
<head>
<title><%=getTranslatedString(leonardiSession, "LY_LOGIN_TITLE")%> <%=appName%></title>
		<%
			if ((favicon != null) && (favicon.length() > 0))
			{
		%>
			<link rel="shortcut icon" href="<%=favicon%>"/>
		<%
			}
		%>

		<%= scripts %>

		<style type='text/css' media='screen'>
			@import url('<%=skinRootURL%>');
		</style>
<style type="text/css">
		<!--

			body {background-color:		#E7E7E7;}

			.input_field
			{
				width: 200px;
			}

			center.title {font-family:Arial;
						font-size:20px;
						font-weight:bold;
						color:#202A65;}
			td.field {font-family:Arial;
						font-size:13px;
						font-weight:bold;
						color:#202A65;}
			td.info {font-family:Arial;
						font-size:11px;
						font-weight:bold;
						color:#202A65;}
			td.title {font-family:Arial;
						font-size:30px;
						font-weight:bold;
						color:#202A65;}
			a.bouton {font-family:Arial;
					font-size:13px;
					color:#ffffff;
					text-decoration:none;}

		-->
		</style>
		<script language="JavaScript">
		<!--
		function MM_preloadImages()
		{
		  var d=document;
		  if(d.images)
		  {
		  	if(!d.MM_p)
		  		d.MM_p=new Array();
		    var i,j=0,a=MM_preloadImages.arguments;
		    for(i=0; i<a.length; i++)
		    {
	    		d.MM_p[j]=new Image();
	    		d.MM_p[j++].src = a[i];
		    }
		  }
		}
		-->
		</script>
</head>
<body onLoad="javascript:FocusOnLogin();MM_preloadImages('<%=leftOverCommandImage%>','<%=centerOverCommandImage%>','<%=rightOverCommandImage%>');"
	 style='overflow:hidden' onResize='javascript:ShowMessageWindowShadow(false);'>

<script>

	var _topFrame = this;
	var _rootUrl = '<%=servletRootURL%>';

	function FocusOnLogin()
	{
		var loginVisibleName = "_loginVisible";
		var loginVisible = this.document.getElementById ? this.document.getElementById(loginVisibleName) : this.document.all.loginVisibleName;

		loginVisible.focus();
	}

	function SubmitForm(source)
	{
		var loginVisibleName = "_loginVisible";
		var loginVisible = this.document.getElementById ? this.document.getElementById(loginVisibleName) : this.document.all.loginVisibleName;
		var passwordVisibleName = "_passwordVisible";
		var passwordVisible = this.document.getElementById ? this.document.getElementById(passwordVisibleName) : this.document.all.passwordVisibleName;
	     <%
		if (displayLanguages)
		{
	     %>
		var languageVisibleName = "_languageVisible";
		var languageVisible = this.document.getElementById ? this.document.getElementById(languageVisibleName) : this.document.all.languageVisibleName;

		document.forms[0].elements["_language"].value = languageVisible.value;
	     <%
		}
	     %>

		document.forms[0].elements["_source"].value = source;
		document.forms[0].elements["_login"].value = loginVisible.value;
		document.forms[0].elements["_password"].value = passwordVisible.value;
		document.forms[0].elements["target_session"].value = '<%=target%>';
		SendAjaxRequest(document.forms[0], '<%=actionUrl%>');
	}

	function checkKey(event)
	{
		if (event.keyCode == 10 || event.keyCode == 13)
			SubmitForm('_validate');
	}

</script>

<table border='0' width='100%' height='100%'>
 <tr>
  <td align='center' valign='middle'>

    <form name='my_form' method='post' action='<%=servletRootURL%>'>
     <input type='hidden' name='_controller' value='LOGIN_CONTROLLER'/>
     <input type='hidden' name='_source' value=''/>
     <input type='hidden' name='_frame' value=''/>
     <input type='hidden' name='_hidden' value='true'/>
     <input type='hidden' name='_login'/>
     <input type='hidden' name='target_session'/>
     <input type='hidden' name='_password'/>
     <%
     	if (displayLanguages)
     	{
     %>
     <input type='hidden' name='_language'/>
     <%
     	}
     %>

    </form>

	<table>
		<tr>
			<td align='center'><font size='5' color='#FF8000'><i><%=appName%></i></font></td>
		</tr>
	</table>
     <table width='10%' border='0' cellspacing='0' cellpadding='20' bgColor='white'>
     	<tr>
     	<td class='indexArea'>

     <table width='100%' height='100%' border='0' cellspacing='0' cellpadding='0'>
     <tr>
	<td width='100%'>
     <table border='0' cellspacing='0' cellpadding='10'>
	<tr>
		<td style='border-bottom:1px dashed #BFBBBB;'><img src='<%=leftImage%>'/></td>
		<td style='border-left:1px dashed #BFBBBB;'><img src='<%=rightImage%>'/></td>
	</tr>
	<tr>
		<td>


	<!-- Form table -->
	 <table border='0' width='100%'>
	  <tr>
	   <td class='field' nowrap='true' align='right'><%=getTranslatedString(leonardiSession,"LY_LOGIN_USER") %></td><td align='right'><img src='<%=arrowImage%>'/></td>
	   </tr>
	   <tr>
	   <td align='right' colspan='2'><input class='input_field' id='_loginVisible' name='_loginVisible' size='30' value="<%=defaultLogin%>" onkeydown="javascript:checkKey(event)"/></td>
      </tr>
      <tr>
       <td class='field' nowrap='true' align='right'><%=getTranslatedString(leonardiSession,"LY_LOGIN_PASSWORD") %></td><td align='right'><img src='<%=arrowImage%>'/></td>
	   </tr>
	   <tr>
       <td align='right' colspan='2'><input class='input_field' id='_passwordVisible' name='_passwordVisible' size='30' type='password' value="" onkeydown="javascript:checkKey(event)"/></td>
      </tr>

      <%
      if (getLanguages(leonardiSession, "_languageVisible").length() > 0)
      {%>
      <tr>
       <td class='field' nowrap='true' align='right'><%=getTranslatedString(leonardiSession,"LY_LOGIN_LANGUAGE") %></td><td align='right'><img src='<%=arrowImage%>'/></td>
	   </tr>
	   <tr>
       <td align='right' colspan='2'><%=getLanguages(leonardiSession, "_languageVisible")%></td>
      </tr>
      <%}%>
      <tr>
       <td colspan='2'>&nbsp</td>
      </tr>
     </table>
	<!-- End of form table -->


     <table border='0' align='right'>
      <tr valign='middle' >
       <td align='right' valign='top'>

	<table border='0' cellspacing='0' cellpadding='0'>
		<tr>
			<td align='right' nowrap='true'><img src='<%=leftCommandImage%>' name="imageLeft1"/></td>
			<td nowrap='true' background='<%=centerCommandImage%>' id="bg1">
				<table border='0' cellspacing='0' cellpadding='0'>
					<tr>
						<td nowrap='true'>
							<a class='bouton' href="javascript:SubmitForm('_validate');"  onMouseOut="javascript:changeLineBg(bg1,'', '<%=centerCommandImage%>');javascript:rollout(imageLeft1,'','<%=leftCommandImage%>');javascript:rollout(imageRight1,'','<%=rightCommandImage%>');bg1.className='command_out';" onMouseOver="javascript:changeLineBg(bg1,'', '<%=centerOverCommandImage%>');javascript:rollover(imageLeft1,'','<%=leftOverCommandImage%>');javascript:rollover(imageRight1,'','<%=rightOverCommandImage%>');window.status='<%=getTranslatedString(leonardiSession,"LY_VALIDATE") %>';bg1.className='command_over';return true"><b><font class='commandLabel'><%=getTranslatedString(leonardiSession,"LY_VALIDATE") %></font></b></a>
						</td>
					</tr>
				</table>
			</td>
			<td align='left' nowrap='true'><img src='<%=rightCommandImage%>' name="imageRight1"/></td>
		</tr>
	</table>
      </td>
      <td align='left' valign='top'>
	<table border='0' cellspacing='0' cellpadding='0'>
		<tr>
			<td align='right' nowrap='true'><img src='<%=leftCommandImage%>' name="imageLeft2"/></td>
			<td nowrap='true' background='<%=centerCommandImage%>' id="bg2">
				<table border='0' cellspacing='0' cellpadding='0'>
					<tr>
						<td nowrap='true'>
							<a class='bouton' href="javascript:SubmitForm('_close');"  onMouseOut="javascript:changeLineBg(bg2,'', '<%=centerCommandImage%>');javascript:rollout(imageLeft2,'','<%=leftCommandImage%>');javascript:rollout(imageRight2,'','<%=rightCommandImage%>');bg2.className='command_out';" onMouseOver="javascript:changeLineBg(bg2,'', '<%=centerOverCommandImage%>');javascript:rollover(imageLeft2,'','<%=leftOverCommandImage%>');javascript:rollover(imageRight2,'','<%=rightOverCommandImage%>');window.status='<%=getTranslatedString(leonardiSession,"LY_CANCEL") %>';bg2.className='command_over';return true"><b><font class='commandLabel'><%=getTranslatedString(leonardiSession,"LY_CANCEL") %></font></b></a>
						</td>
					</tr>
				</table>
			</td>
			<td align='left' nowrap='true'><img src='<%=rightCommandImage%>' name="imageRight2"/></td>
		</tr>
	</table>
      </td>
      </tr>
     </table>

     </td>
     <td style='border-left:1px dashed #BFBBBB;'>
     	<font class='toolLabel'>
		<%=environment.getMessage("LY_LOGIN_MESSAGE1")%>
		<br />
		<br />
		<%=environment.getMessage("LY_LOGIN_MESSAGE2")%>
		<br />
		<br />
		<br />
		<center>
		<img src='<%=separatorImage%>'/>
		<br />
		<br />
		<br />
		<img src='<%=appLogo%>'/>
		</center>
	</font>
     </td>
     </tr>
     </table>
</td>
</tr>
</table>

 </td>
 </tr>
</table>

</td>
</tr>
</table>

		<jsp:include page="<%= utilsPage %>" />

</body>
</html>
