<%@ page import="leon.app.*, leon.misc.*, leon.data.*, leon.view.web.*, leon.view.web.struts.*, leon.info.*, java.lang.*, java.util.*"%>
<%!
	public String getLanguages(LySession leonardiSession, String fieldName)
	{
		LyApplication application = leonardiSession.getApplication();
		LyEnvironment environment = application.getEnvironment();
		String[][] languages = application.getSupportedLanguages();

		int size = languages.length;
		if (size > 1)
		{
			Locale	appLocale = environment.getLocale();
			String result = new String();
			result ="<select class='input_field' id=\""+fieldName+"\" name=\""+fieldName+"\" onkeypress=\"javascript:checkKey(event)\">\n";

			for (int i=0; i < size; i++)
			{
				result += "<option value='" + languages[i][0] +"' ";
				if (languages[i][0].equals(appLocale.getLanguage()))
					result += "selected='true'";

				result += ">" + environment.translate(languages[i][1]) + "</option>\n";
			}
			result +="</select>\n";

			return result;
		}
		else
			return new String();
	}

	public String getTranslatedString(LySession leonardiSession, String value)
	{
		LyApplication application = leonardiSession.getApplication();
		LyEnvironment environment = application.getEnvironment();

		return environment.translate(value);
	}
%>

<%
	// Servlet Page
	String 		servletRootURL = (String)request.getAttribute(LyWebConstants.RA_LY_ROOT_URL);
	// Base for leonardi resources like images
	String 		leonardiRootURL = (String)request.getAttribute(LyWebConstants.RA_LY_LEON_DOC_URL);
	// Base for application resources like images
	String 		appRootURL = (String)request.getAttribute(LyWebConstants.RA_LY_APP_DOC_URL);
	// Base for skin dependant resources
	String		skinRootURL = (String)request.getAttribute(LyWebConstants.RA_LY_SKIN_URL);
	// Current user session
	LySession	leonardiSession = (LySession)request.getAttribute(LyWebConstants.RA_LY_SESSION);
	LyStrutsViewManager	viewManager = (LyStrutsViewManager)leonardiSession.getViewManager();
	String		scripts = viewManager.generateScriptsInclusion();
	String		actionUrl = viewManager.getActionURL(LyStrutsConstants.PATH_ACTION_COMMAND);
	LyEnvironment		environment = leonardiSession.getEnvironment();

	// Command images
	String leftCommandImage = environment.getImageUrl("LY_COMMAND_LEFT");
	String leftOverCommandImage = environment.getImageUrl("LY_COMMAND_LEFT_OVER");
	String centerCommandImage = environment.getImageUrl("LY_COMMAND_CENTER");
	String centerOverCommandImage = environment.getImageUrl("LY_COMMAND_CENTER_OVER");
	String rightCommandImage = environment.getImageUrl("LY_COMMAND_RIGHT");
	String rightOverCommandImage = environment.getImageUrl("LY_COMMAND_RIGHT_OVER");
	String closeImage = environment.getImageUrl("LY_CLOSE_WINDOW");
	String closeImageOver = environment.getImageUrl("LY_CLOSE_WINDOW_OVER");

	// Others
	String leftImage = environment.getImageUrl("LY_LOGIN_PAGE_LEFT_IMAGE");
	String rightImage = environment.getImageUrl("LY_LOGIN_PAGE_RIGHT_IMAGE");
	String arrowImage = environment.getImageUrl("LY_LOGIN_PAGE_ARROW_IMAGE");
	String loginBackground = leonardiSession.getEnvironment().getImageUrl("LY_POPPEI_LOGIN_BACKGROUND");
	String loginLogo = leonardiSession.getEnvironment().getImageUrl("LY_POPPEI_LOGIN_LOGO");
	String separatorImage = environment.getImageUrl("LY_LOGIN_PAGE_SEPARATOR_IMAGE");
	String appName = getTranslatedString(leonardiSession, "LY_APPLICATION");
	String appLogo = environment.getImageUrl("LY_COMPANY_LOGO");
	String appBackground = environment.getImageUrl("LY_AREA_BACKGROUND_IMAGE");
	LyColor color = environment.getLyColor("LY_DEFAULT_BACKGROUND");
	String	bgColor = LyColors.getHexString(color);
	LyApplication leonardiApplication = leonardiSession.getApplication();
	String[][] languages = leonardiApplication.getSupportedLanguages();
	boolean displayLanguages = ((languages != null) && (languages.length > 1));
	String	waitLabel = environment.translate("LY_WAITING_LABEL");
	String	waitIcon = environment.getImageUrl("LY_ANIMATED_WAIT_ICON");

	String defaultLogin = request.getParameter("_login");
	if (defaultLogin == null)
		defaultLogin = (String)leonardiSession.getValue("_login");
	if (defaultLogin == null)
		defaultLogin = "";
	
	defaultLogin = LyString.getJavascriptString(defaultLogin);
%>

<html>
<head>
<title><%=getTranslatedString(leonardiSession, "LY_LOGIN_TITLE")%> <%=appName%></title>

		<%= scripts %>

		<style type='text/css' media='screen'>
			@import url('<%=skinRootURL%>');
		</style>
<style type="text/css">
		<!--

			body {
				background:		url(<%=loginBackground%>);
				background-color:	#221517;
			}

			.input_field
			{
				width: 200px;
			}

			td.title {font-family:Arial;
						font-size:20px;
						font-weight:bold;
						color:#FFFFFF;}
			td.field {font-family:Arial;
						font-size:11px;
						font-weight:bold;
						color:#FFFFFF;}
			font.info {font-family:Arial;
						font-size:11px;
						color:#CCCCCC;}
			td.title {font-family:Arial;
						font-size:30px;
						font-weight:bold;
						color:#FFFFFF;}
			a.bouton {font-family:Arial;
					font-size:13px;
					color:#ffffff;
					text-decoration:none;}
			td.command_out {background-image: url('<%=centerCommandImage%>');}
			td.command_over {background-image: url('<%=centerOverCommandImage%>');}

		-->
		</style>
		<script language="JavaScript">
		<!--
		function MM_preloadImages()
		{
		  var d=document;
		  if(d.images)
		  {
		  	if(!d.MM_p)
		  		d.MM_p=new Array();
		    var i,j=0,a=MM_preloadImages.arguments;
		    for(i=0; i<a.length; i++)
		    {
	    		d.MM_p[j]=new Image();
	    		d.MM_p[j++].src = a[i];
		    }
		  }
		}
		-->
		</script>
</head>
<body onLoad="javascript:FocusOnLogin();MM_preloadImages('<%=leftOverCommandImage%>','<%=centerOverCommandImage%>','<%=rightOverCommandImage%>');"
	 style='overflow:hidden' onResize='javascript:ShowMessageWindowShadow(false);'>

<script>

	var _topFrame = this;
	var _rootUrl = '<%=servletRootURL%>';

	function FocusOnLogin()
	{
		var loginVisibleName = "_loginVisible";
		var loginVisible = this.document.getElementById ? this.document.getElementById(loginVisibleName) : this.document.all.loginVisibleName;

		loginVisible.focus();
	}

	function SubmitForm(source)
	{
		var loginVisibleName = "_loginVisible";
		var loginVisible = this.document.getElementById ? this.document.getElementById(loginVisibleName) : this.document.all.loginVisibleName;
		var passwordVisibleName = "_passwordVisible";
		var passwordVisible = this.document.getElementById ? this.document.getElementById(passwordVisibleName) : this.document.all.passwordVisibleName;
	     <%
		if (displayLanguages)
		{
	     %>
		var languageVisibleName = "_languageVisible";
		var languageVisible = this.document.getElementById ? this.document.getElementById(languageVisibleName) : this.document.all.languageVisibleName;

		document.forms[0].elements["_language"].value = languageVisible.value;
	     <%
		}
	     %>

		document.forms[0].elements["_source"].value = source;
		document.forms[0].elements["_login"].value = loginVisible.value;
		document.forms[0].elements["_password"].value = passwordVisible.value;
		SendAjaxRequest(document.forms[0], '<%=actionUrl%>');
	}

	function checkKey(event)
	{
		if (event.keyCode == 10 || event.keyCode == 13)
			SubmitForm('_validate');
	}

</script>

<table border='0' width='100%' height='100%'>
 <tr>
  <td align='center' valign='middle'>

    <form name='my_form' method='post' action='<%=servletRootURL%>'>
     <input type='hidden' name='_controller' value='LOGIN_CONTROLLER'/>
     <input type='hidden' name='_source' value=''/>
     <input type='hidden' name='_frame' value=''/>
     <input type='hidden' name='_hidden' value='true'/>
     <input type='hidden' name='_login'/>
     <input type='hidden' name='_password'/>
     <%
     	if (displayLanguages)
     	{
     %>
     <input type='hidden' name='_language'/>
     <%
     	}
     %>

    </form>

     <div style='position:relative;left:0px;top:3px;'>
	     <table width='500' border='0' cellspacing='0' cellpadding='0'>
		<tr>
		<td width='100'>
			<img src='<%=leftImage%>'/>
		</td>
		<td class='title' align='left'>
			<%=appName%>
		</td>
		</tr>
	     </table>
     </div>

     <table width='500' border='0' cellspacing='0' cellpadding='3' bgColor='#FFFFFF'>
     	<tr>
     	<td class='indexArea'>

     <table width='100%' height='100%' border='0' cellspacing='10' cellpadding='0' bgColor='#221517'>
     <tr>
	<td width='100%'>
     <table border='0' cellspacing='0' cellpadding='10'>
	<tr>
		<td>


	<!-- Form table -->
	 <table border='0' width='100%'>
	  <tr>
	   <td class='field' nowrap='true' align='right'><%=getTranslatedString(leonardiSession,"LY_LOGIN_USER") %></td><td align='right'><img src='<%=arrowImage%>'/></td>
	   </tr>
	   <tr>
	   <td align='right' colspan='2'><input class='input_field' id='_loginVisible' name='_loginVisible' size='30' value="<%=defaultLogin%>" onkeypress="javascript:checkKey(event)"/></td>
      </tr>
      <tr>
       <td class='field' nowrap='true' align='right'><%=getTranslatedString(leonardiSession,"LY_LOGIN_PASSWORD") %></td><td align='right'><img src='<%=arrowImage%>'/></td>
	   </tr>
	   <tr>
       <td align='right' colspan='2'><input class='input_field' id='_passwordVisible' name='_passwordVisible' size='30' type='password' value="" onkeypress="javascript:checkKey(event)"/></td>
      </tr>

      <%
      if (getLanguages(leonardiSession, "_languageVisible").length() > 0)
      {%>
      <tr>
       <td class='field' nowrap='true' align='right'><%=getTranslatedString(leonardiSession,"LY_LOGIN_LANGUAGE") %></td><td align='right'><img src='<%=arrowImage%>'/></td>
	   </tr>
	   <tr>
       <td align='right' colspan='2'><%=getLanguages(leonardiSession, "_languageVisible")%></td>
      </tr>
      <%}%>
      <tr>
       <td colspan='2'>&nbsp</td>
      </tr>
     </table>
	<!-- End of form table -->


	<div id='button'>
     <table border='0' align='right'>
      <tr valign='middle' >
       <td align='right' valign='top'>

	<table border='0' cellspacing='0' cellpadding='0'>
		<tr>
			<td align='right' nowrap='true'><img src='<%=leftCommandImage%>' name="imageLeft1"/></td>
			<td nowrap='true' background='<%=centerCommandImage%>' id="bg1">
				<table border='0' cellspacing='0' cellpadding='0'>
					<tr>
						<td nowrap='true'><a class='bouton' href="javascript:SubmitForm('_validate');"  onMouseOut="javascript:changeLineBg(bg1,'', '<%=centerCommandImage%>');javascript:rollout(imageLeft1,'','<%=leftCommandImage%>');javascript:rollout(imageRight1,'','<%=rightCommandImage%>');bg1.className='command_out';" onMouseOver="javascript:changeLineBg(bg1,'', '<%=centerOverCommandImage%>');javascript:rollover(imageLeft1,'','<%=leftOverCommandImage%>');javascript:rollover(imageRight1,'','<%=rightOverCommandImage%>');window.status='<%=getTranslatedString(leonardiSession,"LY_VALIDATE") %>';bg1.className='command_over';return true"><b><font class='commandLabel'><%=getTranslatedString(leonardiSession,"LY_VALIDATE") %></font></b></a></td>
					</tr>
				</table>
			</td>
			<td align='left' nowrap='true'><img src='<%=rightCommandImage%>' name="imageRight1"/></td>
		</tr>
	</table>
      </td>
      <td align='left' valign='top'>
	<table border='0' cellspacing='0' cellpadding='0'>
		<tr>
			<td align='right' nowrap='true'><img src='<%=leftCommandImage%>' name="imageLeft2"/></td>
			<td nowrap='true' background='<%=centerCommandImage%>' id="bg2">
				<table border='0' cellspacing='0' cellpadding='0'>
					<tr>
						<td nowrap='true'><a class='bouton' href="javascript:SubmitForm('_close');"  onMouseOut="javascript:changeLineBg(bg2,'', '<%=centerCommandImage%>');javascript:rollout(imageLeft2,'','<%=leftCommandImage%>');javascript:rollout(imageRight2,'','<%=rightCommandImage%>');bg2.className='command_out';" onMouseOver="javascript:changeLineBg(bg2,'', '<%=centerOverCommandImage%>');javascript:rollover(imageLeft2,'','<%=leftOverCommandImage%>');javascript:rollover(imageRight2,'','<%=rightOverCommandImage%>');window.status='<%=getTranslatedString(leonardiSession,"LY_CANCEL") %>';bg2.className='command_over';return true"><b><font class='commandLabel'><%=getTranslatedString(leonardiSession,"LY_CANCEL") %></font></b></a></td>
					</tr>
				</table>
			</td>
			<td align='left' nowrap='true'><img src='<%=rightCommandImage%>' name="imageRight2"/></td>
		</tr>
	</table>
      </td>
      </tr>
     </table>
     </div>

     </td>
     <td style='border-left:1px dashed #BFBBBB;'>
     	<font class='info'>
		<%=environment.getMessage("LY_LOGIN_MESSAGE1")%>
		<br />
		<br />
		<%=environment.getMessage("LY_LOGIN_MESSAGE2")%>
		<br />
		<br />
	</font>
     </td>
     </tr>
     </table>
</td>
</tr>
</table>
 </td>
 </tr>
</table>

     <div style='position:relative;left:160px;top:-45px;width:120px;'>
	     <img src='<%=loginLogo%>'/>
     </div>

</td>
</tr>
</table>

	<!-- Message window shadow -->
	<div id='message_window_shadow' name='message_window_shadow'
		class='popupViewShadow' style="z-index:30;"></div>

	<!-- Message window -->
	<div id='message_window' name='message_window'
		style='z-index:40;position:absolute;left:200px;top:120px;visibility:hidden;'>

		<table border='0' cellspacing='0' cellpadding='0' id='message_window_table'>
			<tr>
				<td width='1px' class='popupViewBarLeft'>&nbsp;</td>
				<td id='message_window_td' align='left' nowrap='true'
						class='popupViewBar'
						onMouseOver="javascript:startMovePopup(event, 'message_window', null, 'message_window_td');">
					&nbsp;
				</td>
				<td valign='middle' align='right' class='popupViewBarRight'><a href="javascript:HideMessageWindow('0');"
					onMouseOver="SetImageSrc('close_message_image', '<%=closeImageOver%>');"
					onMouseOut="SetImageSrc('close_message_image', '<%=closeImage%>');"><img id='close_message_image' src='<%=closeImage%>' border='0'/></a></td>
			</tr>
			<tr>
				<td colspan='3'>
					<table width='100%' cellspacing='6' class='messageWindow'>
						<tr>
							<td	id='message_window_icon_td'>
							</td>
							<td	id='message_window_text_td' class='messageWindowMessage' align='center'>
							</td>
						</tr>
						<tr>
							<td	id='message_window_commands_td' colspan='2'>
							</td>
						</tr>
					</table>
				</td>
			</tr>
		</table>

	</div>

	<!-- Popup view movement -->
	<div id="popup_moving_div"
			onMouseDown="startPopupMoving(event)"
			onMouseUp="endPopupMoving(event)"
			onMouseMove="movePopup(event)"
			onMouseOut="endPopupMoving(event);this.style.visibility = 'hidden';"
			style="cursor:move;z-index:50;background-color:#000000;filter:alpha(opacity=0);opacity:0;-moz-opacity:0;visibility:hidden;position:absolute;">
	</div>

	<!-- Wait window -->
	<div id='wait_window_shadow' name='wait_window_shadow' class='waitViewShadow'>
	</div>

	<div id='wait_window_panel' name='wait_window_panel' class='waitViewPanel'>

		<table cellspacing='40'>
			<tr>
				<td>
					<img src='<%=waitIcon%>'/>
				</td>
				<td style='font-family:Arial;font-size:12px;font-weight:bold;color:black;'>
					<%=waitLabel%>
				</td>
			</tr>
		</table>

	</div>

</body>
</html>
