/*
 * LyGetErrorMessageInterface.java
 * Copyright (c) 2000-2009, Lyria-W4.
 * All rights reserved.
 */

package leon.view.beaninterface;

/**
 * Interface to get an error message from a bean.
 *
 * @version $Id: LyGetErrorMessageInterface.java 28422 2010-11-03 12:03:38Z ehelmste $
 * @author  Lyria
 */
public interface LyGetErrorMessageInterface
{
	String __VERSION = "$Id: LyGetErrorMessageInterface.java 28422 2010-11-03 12:03:38Z ehelmste $";

	/**
	 * Returns an error message from the bean that implements this interface.
	 *
	 * @return An error message returned by the bean that implements this interface.
	 */
	String getErrorMessage();
}