/**
 * LyGetLyComponentInterface.java
 * Copyright (c) 2000-2009, Lyria-W4.
 * All rights reserved.
 */

package leon.view.beaninterface;

import leon.view.*;


/**
 * Interface for bean that uses LyComponent. The bean must implements the getLyComponent method and
 * return its top most LyComponent
 *
 * @version $Id: LyGetLyComponentInterface.java 28422 2010-11-03 12:03:38Z ehelmste $
 * @author  Lyria
 */
public interface LyGetLyComponentInterface
{
	String __VERSION = "$Id: LyGetLyComponentInterface.java 28422 2010-11-03 12:03:38Z ehelmste $";

	/**
	 * Accessor to the inner LyComponent of a bean.
	 */
	LyComponent getLyComponent();

}