/*
 * LyGetConstraintInterface.java
 * Copyright (c) 2000-2009, Lyria-W4.
 * All rights reserved.
 */

package leon.view.getinterface;

import leon.view.*;


/**
 * A view item which is identified for the controller instances These item may create demands and
 * receive notifications.
 *
 * @version $Id: LyGetConstraintInterface.java 28422 2010-11-03 12:03:38Z ehelmste $
 * @author  Lyria
 */
public interface LyGetConstraintInterface
{
	String __VERSION = "$Id: LyGetConstraintInterface.java 28422 2010-11-03 12:03:38Z ehelmste $";

	/**
	 * Return current component identification (LyGetIdInterface interface).
	 */
	LyConstraint getConstraint();
}