/*
 * LyGetRefreshInterface.java
 * Copyright (c) 2000-2009, Lyria-W4.
 * All rights reserved.
 */

package leon.view.getinterface;

/**
 * Indicates that the component should start/stop automatic refresh.
 *
 * @version $Id: LyGetRefreshInterface.java 28422 2010-11-03 12:03:38Z ehelmste $
 * @author  Lyria
 */
public interface LyGetRefreshInterface
{
	String __VERSION = "$Id: LyGetRefreshInterface.java 28422 2010-11-03 12:03:38Z ehelmste $";

	/**
	 * Current requested refreshing rate for the view.
	 */
	int getRefresh();
}