/*
 * LyGraphicalDictionary.java
 * Copyright (c) 2000-2009, Lyria-W4.
 * All rights reserved.
 */

package leon.view.graphic;

import leon.view.*;
import leon.view.setinterface.*;

/**
 * The LyGraphicalDictionary interface represents the abstract graphical component
 * for the dictionary of views.dtd regardless of the target (swing, swt, dhtml...).
 * @see leon.view.LyDictionary
 */
public interface LyGraphicalDictionary
	extends LyGraphicalFieldItem,
			LySetEntryInterface
{
	public static final String			__VERSION = "$Id$";




	/* Methods for updating graphical components */

	/**
	 * Sets sub-component entry.
	 * @param entry New value of entry
	 */
	public void setEntry(LyEntry entry);
}