/*
 * LyGraphicalForm.java
 * Copyright (c) 2000-2009, Lyria-W4.
 * All rights reserved.
 */

package leon.view.graphic;

import leon.view.setinterface.*;

/**
 * The LyGraphicalForm interface represents the abstract graphical component
 * for the form of views.dtd regardless of the target (swing, swt, dhtml...).
 * @see leon.view.LyForm
 */
public interface LyGraphicalForm
	extends LyGraphicalPanel,
			LySetEditableInterface
{
	public static final String			__VERSION = "$Id$";


	/* Methods for updating graphical components */

	/**
	 * Updates attribute editable to the given value.
	 * @param editable Boolean indicating if attribute editable is set or unset.
	 */
	public void setEditable(boolean editable);
}