/*
 * LyGraphicalLayout.java
 * Copyright (c) 2000-2009, Lyria-W4.
 * All rights reserved.
 */

package leon.view.graphic;


/**
 * The LyGraphicalLayout interface represents the abstract graphical component
 * for the layout of views.dtd regardless of the target (swing, swt, dhtml...).
 * @see leon.view.LyLayout
 */
public interface LyGraphicalLayout
	extends LyGraphicalComponent
{
	public static final String			__VERSION = "$Id$";


	/* Methods for updating graphical components */

	/**
	 * Updates attribute borderSizes to the given value.
	 * @param borderSizes New value of borderSizes.
	 */
	public void setBorderSizes(String borderSizes);

	/**
	 * Updates attribute labelStyles to the given value.
	 * @param labelStyles New value of labelStyles.
	 */
	public void setLabelStyles(String labelStyles);
}