/*
 * LyGraphicalPeriod.java
 * Copyright (c) 2000-2009, Lyria-W4.
 * All rights reserved.
 */

package leon.view.graphic;


/**
 * The LyGraphicalPeriod interface represents the abstract graphical component
 * for the period of views.dtd regardless of the target (swing, swt, dhtml...).
 * @see leon.view.LyPeriod
 */
public interface LyGraphicalPeriod
	extends LyGraphicalComponent
{
	public static final String			__VERSION = "$Id$";


	/* Methods for updating graphical components */

	/**
	 * Updates attribute beginDate to the given value.
	 * @param beginDate New value of beginDate.
	 */
	public void setBeginDate(String beginDate);

	/**
	 * Updates attribute endDate to the given value.
	 * @param endDate New value of endDate.
	 */
	public void setEndDate(String endDate);
}