package leon.view.mobile;

import java.io.*;

import leon.view.*;
import leon.view.graphic.*;

public class LyMobileListOption extends LyMobileObject
	implements LyGraphicalOption
{
	/** The listOption generic component. */
    protected LyListOption		_listOption;
    
	protected String			_id;

	protected LyListOption		_template;

	protected String			_label;

	protected String			_image;

	protected boolean			_selected;

	protected String			_font;

	protected String			_color;

	protected String			_fontColor;
    
	public LyMobileListOption(LyListOption	listOption)
	{
		super(listOption);
		
		_listOption = listOption;

	}

	
	public void writeXml(PrintWriter pw)
	{
		// Write tag with its attributes
		init();
		/*pw.print("<LIST_OPTION");
		pw.print(" id='" + LyString.getXmlStringStrict(_id) + "'");
		if (_template != null)
			pw.print(" template='" + _template.getId() + "'");
		pw.print(" label='" + LyString.getXmlStringStrict(_label) + "'");
		if (((_template == null) && (_image != getStringValue("LIST_OPTION.image", "$ALL.image")))
				|| ((_template != null) && (_image != _template.getImage())))
			pw.print(" image='" + LyString.getXmlStringStrict(_image) + "'");
		if (((_template == null) && _selected)
				|| ((_template != null) && (_selected != _template.isSelected())))
			pw.print(" selected='" + _selected + "'");
		if (((_template == null) && (_font != getStringValue("LIST_OPTION.font", "$ALL.font")))
				|| ((_template != null) && (_font != _template.getFont())))
			pw.print(" font='" + LyString.getXmlStringStrict(_font) + "'");
		if (((_template == null) && (_color != getStringValue("LIST_OPTION.color", "$ALL.color")))
				|| ((_template != null) && (_color != _template.getColor())))
			pw.print(" color='" + LyString.getXmlStringStrict(_color) + "'");
		if (((_template == null) && (_fontColor != getStringValue("LIST_OPTION.fontColor", "$ALL.fontColor")))
				|| ((_template != null) && (_fontColor != _template.getFontColor())))
			pw.print(" fontColor='" + LyString.getXmlStringStrict(_fontColor) + "'");
		pw.println("/>");*/

	}

	public void writeJson(PrintWriter pw, String sessionId)
	{
		init();
		pw.print("{\"NULL\":[]}");	
		
	}
	
	public void init()
	{
		_id = _listOption.getId();
		_template = _listOption.getTemplate();
		_label = _listOption.getLabel();
		_image = _listOption.getImage();
		_selected = _listOption.isSelected();
		_font = _listOption.getFont();
		_color = _listOption.getColor();
		_fontColor = _listOption.getFontColor();
		
	}

	
	public void setChecked(boolean checked)
	{
		// TODO Auto-generated method stub
		
	}

	
	public void setEnabled(boolean enabled)
	{
		// TODO Auto-generated method stub
		
	}

}
