/*
 * LySetAreaInterface.java
 * Copyright (c) 2000-2009, Lyria-W4.
 * All rights reserved.
 */

package leon.view.setinterface;

import leon.view.*;

/**
 * Methods used for changing areas.
 */
public interface LySetBorderPanelInterface
{
	String __VERSION = "$Id: LySetBorderPanelInterface.java 28422 2010-11-03 12:03:38Z ehelmste $";

    /**
     * Set a border panel at the given position.
     * @param panel  the border panel.
     * @param position Either NORTH, SOUTH, EAST or WEST position.
     */
    void setBorderPanel(LyPanel panel, short position);
}
