/*
 * LySetIdleInterface.java
 * Copyright (c) 2000-2009, Lyria-W4.
 * All rights reserved.
 */

package leon.view.setinterface;

/**
 * Abstract access to a method. Hides the specific implementation of the view (win, swing, html...)
 *
 * @version $Id: LySetIdleInterface.java 28422 2010-11-03 12:03:38Z ehelmste $
 * @author  Lyria
 */
public interface LySetIdleInterface
{
	String __VERSION = "$Id: LySetIdleInterface.java 28422 2010-11-03 12:03:38Z ehelmste $";

	/**
	 * Sets or unset the idle mode on the component/node.
	 *
	 * @param status new idle status (LySetIdleInterface interface)
	 */
	void setIdle(boolean status);
}