/*
 * LySetPopupMenuInterface.java
 * Copyright (c) 2000-2009, Lyria-W4.
 * All rights reserved.
 */

package leon.view.setinterface;

import leon.view.*;


/**
 * Abstract access to a method. Hides the specific implementation of the view (win, swing, html...)
 * A value, and may have its value set.
 *
 * @version $Id: LySetPopupMenuInterface.java 28422 2010-11-03 12:03:38Z ehelmste $
 * @author  Lyria
 */
public interface LySetPopupMenuInterface
{
	String __VERSION = "$Id: LySetPopupMenuInterface.java 28422 2010-11-03 12:03:38Z ehelmste $";

	/**
	 * Sets the popup menu with the given value.
	 *
	 * @param popup the new popup menu
	 */
	void setPopupMenu(LyPopupMenu popup);
}