/*
 * LySetSelectedInterface.java
 * Copyright (c) 2000-2009, Lyria-W4.
 * All rights reserved.
 */

package leon.view.setinterface;

/**
 * Abstract access to a method. Hides the specific implementation of the view (win, swing, html...)
 * A value, and may have its value set.
 *
 * @version $Id: LySetSelectedInterface.java 28422 2010-11-03 12:03:38Z ehelmste $
 * @author  Lyria
 */
public interface LySetSelectedInterface
{
	String __VERSION = "$Id: LySetSelectedInterface.java 28422 2010-11-03 12:03:38Z ehelmste $";

	/**
	 * Sets the value of the select attribute with the given value. The selected (or unselected)
	 * component may inform the user its status has changed.
	 *
	 * @param status true to indactes that the component is selected, false otherwise
	 */
	void setSelected(boolean status);
}