/*
 * LySetValidityInterface.java
 * Copyright (c) 2000-2009, Lyria-W4.
 * All rights reserved.
 */

package leon.view.setinterface;

import leon.view.LyTreeNode;

/**
 * Abstract access to a method. Hides the specific implementation of the view (win, swing, html...)
 * A value, and may have its value set.
 *
 * @version $Id: LySetValidityInterface.java 28422 2010-11-03 12:03:38Z ehelmste $
 * @author  Lyria
 */
public interface LySetValidityInterface
{
	String __VERSION = "$Id: LySetValidityInterface.java 28422 2010-11-03 12:03:38Z ehelmste $";


	/**
	 * Updates the validity validity with the given value.
	 *
	 * @param validity the new validity. Possible values are {@link #TREE_INVALID}, {@link
	 *                 #TREE_PARTIALLY} or {@link #TREE_VALID}.
	 */
	void setValidity(LyTreeNode.Validity validity);
}