/*
 * LySetValueInterface.java
 * Copyright (c) 2000-2009, Lyria-W4.
 * All rights reserved.
 */

package leon.view.setinterface;

/**
 * Abstract access to a method. Hides the specific implementation of the view (win, swing, html...)
 * A value, and may have its value set.
 *
 * @version $Id: LySetValueInterface.java 28422 2010-11-03 12:03:38Z ehelmste $
 * @author  Lyria
 */
public interface LySetValueInterface
{
	String __VERSION = "$Id: LySetValueInterface.java 28422 2010-11-03 12:03:38Z ehelmste $";

	/**
	 * Sets current component Value with the given value.
	 *
	 * @param value the new value of the Value attribute
	 */
	void setValue(String value);
}