/*
 * LySetViewerInterface.java
 * Copyright (c) 2000-2009, Lyria-W4.
 * All rights reserved.
 */

package leon.view.setinterface;

/**
 * Abstract access to a method. Hides the specific implementation of the view (win, swing, html...)
 * A value, and may have its value set.
 *
 * @version $Id: LySetViewerInterface.java 28422 2010-11-03 12:03:38Z ehelmste $
 * @author  Lyria
 */
public interface LySetViewerInterface
{
	String __VERSION = "$Id: LySetViewerInterface.java 28422 2010-11-03 12:03:38Z ehelmste $";

	/**
	 * Shows or hides the viewer in the component/node.
	 *
	 * @param status new viewer visibility status
	 */
	void setViewer(boolean status);
}