/*
 * LySetVisibleInterface.java
 * Copyright (c) 2000-2009, Lyria-W4.
 * All rights reserved.
 */

package leon.view.setinterface;

/**
 * Abstract access to a method. Hides the specific implementation of the view (win, swing, html...)
 * A value, and may have its value set.
 *
 * @version $Id: LySetVisibleInterface.java 28422 2010-11-03 12:03:38Z ehelmste $
 * @author  Lyria
 */
public interface LySetVisibleInterface
{
	String __VERSION = "$Id: LySetVisibleInterface.java 28422 2010-11-03 12:03:38Z ehelmste $";

	/**
	 * Sets the visibility status of this component.
	 *
	 * @param status new visibility status, if true the component will be shown, if false it will be
	 *               hiden
	 */
	void setVisible(boolean status);
}