/*
 * LySwtUpdateViewContentInterface.java
 * Copyright (c) 2000-2009, Lyria-W4.
 * All rights reserved.
 */

package leon.view.setinterface;

/**
 * This interface is used to update the LyView component from the graphical SWT component when
 * needed.
 *
 * @version $Id: LyUpdateViewContentInterface.java 28422 2010-11-03 12:03:38Z ehelmste $
 * @author  Lyria
 */
public interface LyUpdateViewContentInterface
{
	String __VERSION = "$Id: LyUpdateViewContentInterface.java 28422 2010-11-03 12:03:38Z ehelmste $";

	/**
	 * Updates the content of the LyViewComponent from the graphical component This method is used
	 * to set the view component from a graphical component like a textfiel, which value may have
	 * changed in the graphical component.
	 */
	void updateViewContent();
}