/*
 * Lyria-W4 - afficheur_web2
 * LyWeb2Constants.java
 * Copyright (c) 2000-2009, Lyria-W4
 * All rights reserved.
 */
package leon.view.web.jquery;

/**
 * This class defines all the static constants used in the Web 2 view managers.<br>
 * @version $Revision: -1M $
 * @author slachiheb, last modified by $Author: (local) $
 */
public class LyJQConstants
{

	/** Default jquery viewer skin name. */
	public static String			DEFAULT_JQUERY_VIEWER_SKIN 		= "redmond";

	/** Default jquery viewer skin name. */
	public static String			COOKIE_THEME			 		= "cookieTheme";

	/* Identifier of session. */
	public final static String		SESSION_ATTRIBUTE				= "SESSION_ATTRIBUTE";

	/* Type of the Leonardi login spring action. */
	public static final String		PATH_ACTION_LOGIN				= "login.htm";

	/* Type of the Leonardi spring redirect action. */
	public static final String		SPRING_REDIRECT					= "redirect:/";

	/* Type of the Leonardi home spring action. */
	public static final String		PATH_ACTION_HOME				= "home.htm";

	/* Type of the Leonardi home spring action. */
	public static final String		PATH_ACTION_MAP					= "map.htm";

	/* Leonardi exit application forward path. */
	public static final String		PATH_ACTION_EXIT				= "exit.htm";

	/* Type of the Leonardi print spring action. */
	public static final String		PATH_ACTION_PRINT				= "print.htm";

	/* Type of the Leonardi upFrame spring action. */
	public static final String		PATH_ACTION_UPFRAME				= "upFrame.htm";

	/* Type of the Leonardi command spring action. */
	public static final String		PATH_ACTION_COMMAND				= "command.htm";

	/* Type of the Leonardi download spring action. */
	public static final String		PATH_ACTION_DOWNLOAD			= "download.htm";

	/* Ly event request URL * */
	public static final String		PATH_ACTION_GRAPHICEVENT		= "/event";

	/* Velocity Login template name * */
	public static final String		VM_LOGIN_NAME					= "lyLoginTemplate";

	/* Velocity Login template for login dialog * */
	public static final String		VM_LY_FMK_LOGIN_NAME			= "lyFmkLoginTemplate";


	public static final String		VM_AREA_TEMPLATE				= "area/lyAreaTemplate.vm";

	/* Velocity ajax redirection template name * */
	public static final String		VM_AJAX_REDIRECTION_NAME		= "ajax/redirectionScript";

	/* LEON APP PARAMS * */
	public static final String		LY_APP_DOC_DIR					= "LY_APP_DOC_DIR";

	public static final String		LY_APP_DOC						= "LY_APP_DOC";

	public static final String		LY_LEON_DOC_DIR					= "LY_LEON_DOC_DIR";

	public static final String		LY_LEON_DOC						= "LY_LEON_DOC";

	public static final String		LY_SELECTBAR_BACKGROUND			= "LY_SELECTBAR_BACKGROUND";

	public static final String		LY_HORIZONTAL_DASHBOARD			= "LY_HORIZONTAL_DASHBOARD";

	public static final String		LY_WRITE_TOOL_LABEL				= "LY_WRITE_TOOL_LABEL";

	public static final String		LY_TOOL_LABEL_RIGHT_POSITION	= "LY_TOOL_LABEL_RIGHT_POSITION";

	public static final String		LY_DASHBOARD_STYLE				= "LY_DASHBOARD_STYLE";

	public static final String		LY_DEFAULT_FONT					= "LY_DEFAULT_FONT";

	public static final String		LY_HREF_DISABLE					= "LY_HREF_DISABLE";

	public static final String		LY_HREF_VISITED					= "LY_HREF_VISITED";

	public static final String		LY_HREF_COLOR					= "LY_HREF_COLOR";

	public static final String		LY_WEB_FILE_NEW_WINDOW			= "LY_WEB_FILE_NEW_WINDOW";

	/** COMMON TEMPLATE **/
	/*  home template*/
  public static final String    IMPORT_TEMPLATE         = "lyImportTemplate.vm";

	/*  home template*/
	public static final String		HOME_TEMPLATE					= "lyHomeTemplate";

	/*  frame param*/
	public static final String		FRAME_PARAM						= "lyFrame";

	/*  dialog param*/
	public static final String		DIALOG_PARAM					= "lyDialog";

	/*  area param*/
	public static final String		AREA_PARAM						= "lyArea";

	/*  area print param*/
	public static final String		AREA_PRINT_PARAM				= "lyPrintArea";

	/* insert after jquery script template */
	public static String			INSERT_AFTER_TEMPLATE			= "ajax/insertAfter.vm";

	/* Remove div jquery script template path */
	public static String			REMOVE_DIV_TEMPLATE				= "ajax/removeDiv.vm";

	/* sript to append a div to a specific parent */
	public static String			APPEND_SCRIPT_TEMPLATE			= "ajax/appendToScript.vm";

	/* sript to append a div to a specific parent */
	public static String			REPLACE_SCRIPT_TEMPLATE			= "ajax/replaceWith.vm";

	/** TEMPLATES COMMON PARAMS **/
	public static String			DIV_TO_APPEND_PARAM				= "appendDiv";

	public static String			PARENT_ID_PARAM					= "idParent";

	/* sticker target */
	public static final String	STICKER_TARGET						= "sticker_target";

	/* print list */
	public static final String	PRINT_LIST							= "_printList";

	/* is ajax mode param */
	public static final String	AJAX_MODE							= "_ajaxMode";

	/* print chart */
	protected static final String	PRINT_CHART						= "_printChart";

	/* print Map */
	protected static final String	PRINT_MAP						= "_printMap";


	/* print gantt */
	protected static final String	PRINT_GANTT						= "_printGantt";

	/**Portlet Edit Page*/
	public static final String	PORTLET_EDIT_PAGE						= "/configuration.jsp";
	/**Portlet Error Page*/
	public static final String	PORTLET_ERROR_PAGE						= "/portlet_error.jsp";

}
