/*
 * LyWeb2View.java
 * Copyright (c) 2000-2009, Lyria-W4.
 * All rights reserved.
 */
package leon.view.web.jquery;

import leon.view.LyComponent;
import leon.view.graphic.LyGraphicalView;
import leon.view.setinterface.LySetLabelInterface;
import leon.view.setinterface.LySetVisibleInterface;
import leon.view.web.jquery.component.LyJQInternalView;

/**
 * Type : leon.view.web.jquery.LyJQView The peer component of LyView for the jquery viewer.
 * @version $Revision: -1M $
 * @author ychaari, last modified by $Author: (local) $
 */
public abstract class LyJQView extends LyJQInternalView	implements
														LyGraphicalView,
														LySetVisibleInterface,
														LySetLabelInterface
{

	/** Indicates if this component is visible or not. */
	protected boolean	_visible;

	/**
	 * Constructor
	 * @param viewComponent
	 */
	public LyJQView(LyComponent viewComponent)
	{
		super(viewComponent);
		_visible = false;
	}

	public void setVisible(boolean status)
	{
		_visible = status;
	}

}