package leon.view.web.jquery.controller;

import java.io.*;

import org.apache.velocity.exception.*;
import org.apache.velocity.runtime.resource.loader.*;

public class LyClasspathResourceLoader extends ClasspathResourceLoader
{
    /**
     * Get an InputStream so that the Runtime can build a
     * template with it.
     *
     * @param name name of template to get
     * @return InputStream containing the template
     * @throws ResourceNotFoundException if template not found
     *         in  classpath.
     */
	@Override
	public InputStream getResourceStream(String name) throws ResourceNotFoundException
	{
		return super.getResourceStream(LyTemplatesUtilsBean.TEMPLATES_PACKAGE + name);
	}
}
