jQuery(document).ready(function() {
	jQuery("body").bind("contextmenu", function(e) {
		return false;
	});
});

function isRtlMode(){
	return (jQuery('html').attr('dir')=='rtl');
}
function toggleMenuBar()
{jQuery('#menuBarContainer').slideToggle("fast",function(){
	if (jQuery('#toggler_menuBarContainer').hasClass("ui-icon-triangle-1-s"))
		jQuery('#toggler_menuBarContainer').removeClass("ui-icon-triangle-1-s").addClass("ui-icon-triangle-1-n");
	else jQuery('#toggler_menuBarContainer').removeClass("ui-icon-triangle-1-n").addClass("ui-icon-triangle-1-s");
		jQuery(window).trigger("resize");
	});
}

function RequestFocus(comp) {
	if (comp.find('input,select').length > 0) {
		comp.find('input,select').each(function(index, elem) {
			if (jQuery(elem).not('button')
					&& jQuery(elem).not(':hidden')
					&& !jQuery(elem).attr('readonly')
					&& !jQuery(elem).attr('disabled')) {
				jQuery(elem).focus();

				var elemId = jQuery(elem).attr("id");
				var isRichTextFocus = ((typeof elemId != "undefined")
					&& (elemId != null)
					&& (elemId.indexOf("_focus_hidden_input") > 0));

				if (isRichTextFocus)
					jQuery(elem).val("true");

				return false;
			}
		});
	}
}

function CheckCKEditorFocus(textId) {
	var focusField = jQuery("#" + textId + "_focus_hidden_input");

	if (focusField.val() == "true")
	{
		if (typeof CKEDITOR.instances[textId] != "undefined")
			CKEDITOR.instances[textId].focus();
		else
		{
			jQuery("[id='ckeditor_frame_" + textId + "']").each(function(indexFrame) {
				jQuery(this).get(0).contentWindow.CKEDITOR.instances[textId].focus();
			});
		}
	}
}

var draggedObjectId = null;

function buildDragTRHelper(selector) {
	var code = "<table class='draggedLine'>";
	var	comp = jQuery(selector).each(function(index) {
		code += "<tr>";
		code += jQuery(this).html();
		code += "</tr>";
	});

	code += "</table>";

	return jQuery(code)[0];
}

function startDragObject(event, ui, source) {
	draggedObjectId = source;
}

function stopDragObject(event, ui) {
	draggedObjectId = null;
}

function dropObject(event, ui, source, value, controller) {
	sendDropObject(controller, draggedObjectId, source, value);
	removeDropOver();
	stopDragObject();
}

function setDropOver(event, ui, attrName, attrValue) {

	var minLeft = 10000, minTop = 10000, maxLeft = 0, maxTop = 0;

	jQuery('[' + attrName + '="' + attrValue + '"]').each(function(index) {

		if (jQuery(this).offset().left < minLeft)
			minLeft = jQuery(this).offset().left;

		if (jQuery(this).offset().top < minTop)
			minTop = jQuery(this).offset().top;

		if (jQuery(this).offset().left + jQuery(this).outerWidth() > maxLeft)
			maxLeft = jQuery(this).offset().left + jQuery(this).outerWidth();

		if (jQuery(this).offset().top + jQuery(this).outerHeight() > maxTop)
			maxTop = jQuery(this).offset().top + jQuery(this).outerHeight();
	});

	jQuery("#dragAndDropDivContainer").css('left', minLeft - 1);
	jQuery("#dragAndDropDivContainer").css('top', minTop - 1);
	jQuery("#dragAndDropDiv").width(maxLeft - minLeft);
	jQuery("#dragAndDropDiv").height(maxTop - minTop);
	jQuery("#dragAndDropDivContainer").css('display', 'block');
}

function removeDropOver(event, ui) {
	jQuery("#dragAndDropDivContainer").css('display', 'none');
}

function showAllItems(toggler,inputId,maxRows){
	if(toggler.hasClass("ui-icon-circle-triangle-s"))
		{
		 window.setTimeout(function() {
		jQuery("#" + inputId).setOptions({
			minChars: 0,
			max: 10000,
			hideCallback : function() { jQuery("#" + inputId).setOptions({
				minChars: 1,
				max: maxRows
			});
			toggler.removeClass("ui-icon-circle-triangle-n");
			toggler.addClass("ui-icon-circle-triangle-s");
			}
		});
		jQuery("#" + inputId).trigger('click');
		jQuery("#" + inputId).trigger('click');
		jQuery("#" + inputId).trigger('click');
		toggler.removeClass("ui-icon-circle-triangle-s");
		toggler.addClass("ui-icon-circle-triangle-n");
		jQuery("#" + inputId).focus();
		 }, 200);
		}
	else
		{
		jQuery("#" + inputId).setOptions({
			minChars: 1,
			max: maxRows
		});
		jQuery("#" + inputId).trigger('hideResultsNow');
		toggler.removeClass("ui-icon-circle-triangle-n");
		toggler.addClass("ui-icon-circle-triangle-s");
		}
}

function isAcResultsDisplayed(){
	var isDisplayed =false;
	jQuery('.ac_results').each(function(){
		if(jQuery(this).css('display')=='block')
		{
		isDisplayed=true;
		return isDisplayed;
		}
	});
	return isDisplayed;

}
if (typeof console == "undefined")
{
	console = new Object();
	console["log"] = function(param1, param2) { };
}


function arrayHas(pArray, value) {

	var i;
	for ( var i = 0, loopCnt = pArray.length; i < loopCnt; i++)
		if (pArray[i] === value)
			return true;
	return false;

};

function replaceJQueryReservedCharacters(id) {
		return id.replace(/(\\|:|\.|@)/g,'\\$1');
}

var isChrome = function() {
	return Boolean(window.chrome);
}

function setIframeSize(iframeId) {
	jQuery('#' + iframeId).height(jQuery('#' + iframeId).contents().height());
	jQuery('#' + iframeId).width(jQuery('#' + iframeId).contents().width());
	jQuery('#' + iframeId).addClass('iframeOp');
}

function resizeCKEditorFrame(textId, height, isMin) {
	var editorFrame = jQuery('#container_' + textId + ' span:first').find('.cke_contents').find('iframe');
	var externalFrame = parent.jQuery('#ckeditor_frame_' + textId);

	if (!isMin)
	{
		editorFrame.height("325px");
		externalFrame.height(externalFrame.contents().height());
	}
	else
	{
		editorFrame.height(height - 30);
		externalFrame.height(height);
	}
}

function scrollbarWidth() {
	var div = jQuery('<div style="width:50px;height:50px;overflow:hidden;position:absolute;top:-200px;left:-200px;"><div style="height:100px;"></div>');
	// Append our div, do our calculation and then remove it
	jQuery('body').append(div);
	var w1 = jQuery('div', div).innerWidth();
	div.css('overflow-y', 'scroll');
	var w2 = jQuery('div', div).innerWidth();
	jQuery(div).remove();
	return (w1 - w2);
}

function initThemeRoller(showThemeSelector, currentSkin, label, themesList, customThemesList) {
	var themeSelectorAlignStyle='right';
	 if(isRtlMode()) themeSelectorAlignStyle='left';
	 jQuery('#themeselector').attr('style',
	   'z-index:3;position:absolute;top:0px;'+themeSelectorAlignStyle+':20em;width:323px;').themeselect(
			{
				themeIcon : '/theme_30.png',
				showThemeSelector : showThemeSelector,
				cookieOptions : {
					expires : 365
				},
				cookieName : 'ly-current-theme',
				before : './leon/css/jquery-ui/themes/',
				after : '/jquery-ui.css',
				themes : themesList,
				customThemes : customThemesList,
				current : currentSkin,
				label : label
			});
}

function onClickToolBar(toolbar) {
	var toolsList = toolbar.closest('table').parent().parent().parent()
			.parent().find('ul:first');

	var compDisplay = toolsList.css('display');

	setExpandBarState(toolsList,toolbar,(compDisplay == 'none'))
}

function onClickTip(tip) {
	tip.fadeOut();
}

function setExpandBarState(toolsList,toolbar,open) {
	if (open) {
		toolsList.slideDown();
		toolbar.removeClass('ui-icon-circle-triangle-s');
		toolbar.addClass('ui-icon-circle-triangle-n');
	} else {
		toolsList.slideUp();
		toolbar.removeClass('ui-icon-circle-triangle-n');
		toolbar.addClass('ui-icon-circle-triangle-s');
	}
}

function onClickToolLabel(tool) {
	if (!tool.parent().hasClass('ui-state-disabled')) {
		var subTool = tool.closest('li').find('.overout');
		var id = tool.attr('id');
		var subToolDisplay = subTool.css('display');
		if (subToolDisplay == 'none') {
			subTool.css('display', 'block');
			jQuery('ul.overout').bind(
					'clickoutside',
					function(event) {
						var target = jQuery(event.target);
						if (!target.hasClass('subTool')) {
							tool.hide();
						} else if (target.attr('id') != id) {
							var openedSubTool = jQuery('#' + id).parent().parent()
									.find('.overout');
							openedSubTool.hide();
						}
					});
		} else {
			subTool.css('display', 'none');
		}
	}
}

var anchorClickTime = -1;

function onClickAnchor(anchor,event) {
	var subToolUl = anchor.closest('li').find('ul.overout:first');
	var subTool = subToolUl.children().first();
	var subToolId = subTool.attr('id');

	if(subToolId)
	{
		subToolUl.attr('childId',subToolId);
		subTool.addClass('ui-widget-content').addClass('ui-corner-all').css('position', 'absolute').css('z-index', '9999').css('height', 'auto').css('display', 'inline');
		subTool.mouseleave(function(){jQuery('#'+subToolId).hide();});
		subTool.css('width','200');
		subTool.hide();

		jQuery('#subsToolBarContainer').append(subTool);
	}
	else
	{
		subToolId = subToolUl.attr('childId');
 	}
	
	if(event.clientX+jQuery('#'+subToolId).width()>jQuery('body').width())
		jQuery('#'+subToolId).css('left', event.clientX-jQuery('#'+subToolId).outerWidth());
	else
		jQuery('#'+subToolId).css('left', event.clientX - 4);

	if (!isPortlet)
		jQuery('#'+subToolId).css('top', event.clientY - 4);
	else
		jQuery('#'+subToolId).css('top', event.pageY - 4);

	jQuery('#'+subToolId).toggle();
	if (jQuery.browser.msie)
		event.cancelBubble = true;
	else
		event.stopPropagation();
	subTool.bind('clickoutside',function(ev) {subToolUl.hide();jQuery('#'+subToolId).hide();});
}

function onClickTool(tool, id, controller) {
	if (!tool.hasClass('ui-state-disabled')) {
		fireAction(id, controller, ArrayToObject(jQuery(':input').formToArray()));
	}
	if (tool.parent().attr('toggleStyle') == 'true') {
		if (tool.parent().hasClass('ui-state-highlight')) {
			tool.parent().removeClass('ui-state-highlight');
		} else {
			tool.parent().addClass('ui-state-highlight');
		}
	}
}

function onClickToolBarArea(tool) {
	var display = tool.parent().parent().find('.delta-sublist').css('display');

	if (display == 'none') {
		tool.parent().parent().find('.delta-sublist').slideDown();
		tool.removeClass('ui-icon-plusthick');
		tool.addClass('ui-icon-minusthick');
	} else {
		tool.parent().parent().find('.delta-sublist').slideUp();
		tool.removeClass('ui-icon-minusthick');
		tool.addClass('ui-icon-plusthick');
	}
}

function formatDateTime(dateId) {
	var result = jQuery("#date_" + dateId).val() + " " + jQuery("#time_" + dateId).val();

	return result;
}

function showPrettyPhoto(selector) {
	jQuery(selector).prettyPhoto({show_title: false, social_tools: ''});
}

function CheckDate(date, dateFormat) {
	var value = date.val();
	var newDate = jQuery.datepicker.parseDate(dateFormat, value);

	date.val(jQuery.datepicker.formatDate(dateFormat, newDate));
}

function showVisiblePartOfPlanning(beginPosition,endPosition,planningId)
{
var totalWidth = jQuery('#container_'+planningId).width();
var realTdNbr = 0 ;
jQuery('#upperScale_'+planningId).find('td').each(function(index){realTdNbr  = realTdNbr  + parseInt(jQuery(this).attr('colspan'));});
var visiblePartBeginPosition = parseInt(beginPosition);
var visiblePartEndPosition = parseInt(endPosition);
var nbTdToDispay = visiblePartEndPosition - visiblePartBeginPosition;
var floatVisiblePartEndPosition  = parseFloat(endPosition);
var diffBetweenFloatAndInt = floatVisiblePartEndPosition - visiblePartEndPosition;
var spaceToAdd = 0 ;
lastTdSelector = jQuery((jQuery('#downScale_'+planningId).find('td')).get(visiblePartEndPosition));
spaceToAdd= lastTdSelector.width() * diffBetweenFloatAndInt;
var newWidth = (totalWidth/nbTdToDispay)*realTdNbr - spaceToAdd;
jQuery('#container_'+planningId).css('width',totalWidth+'px');
jQuery('#container_'+planningId).css('max-width',totalWidth+'px');
jQuery('#table_'+planningId).width(newWidth);
}

/**
 * draw a line using jsDraw2d
 */
function drawGanttLine(ganttDrawer,startPoint, endPoint,colorOfLine,widthOfLine)
{
	var penToUse = new jsPen(new jsColor(colorOfLine),widthOfLine);
	var gapValue=0;
	if(isRtlMode())
		gapValue = -10;
	else
		gapValue = 10;
	ganttDrawer.drawLine(penToUse,startPoint,new jsPoint(startPoint.x + gapValue,startPoint.y));
	var diffY = ((endPoint.y - startPoint.y)/2);
	ganttDrawer.drawLine(penToUse,new jsPoint(startPoint.x + gapValue,startPoint.y),new jsPoint(startPoint.x + gapValue,startPoint.y+diffY));
	ganttDrawer.drawLine(penToUse,new jsPoint(startPoint.x + gapValue,startPoint.y+diffY),new jsPoint(endPoint.x- gapValue,endPoint.y-diffY));
	ganttDrawer.drawLine(penToUse,endPoint,new jsPoint(endPoint.x - gapValue,endPoint.y));
	if(isRtlMode())
		ganttDrawer.fillPolygon(new jsColor(colorOfLine), [endPoint,new jsPoint(endPoint.x + 5,endPoint.y-5),new jsPoint(endPoint.x+5 ,endPoint.y+5)]);
	else
		ganttDrawer.fillPolygon(new jsColor(colorOfLine), [endPoint,new jsPoint(endPoint.x - 5,endPoint.y-5),new jsPoint(endPoint.x-5 ,endPoint.y+5)]);
	ganttDrawer.drawLine(penToUse,new jsPoint(endPoint.x - gapValue,endPoint.y),new jsPoint(endPoint.x- gapValue,endPoint.y-diffY));

}
/**
 * get the interval position
 */
function getIntervalPosition(xPosition,parentTr) {

	var tdIndex = parentTr.find('td').length -1;
	var newTdSelector;
	var FloatPosition;
	var addDiff=false;

	parentTr.find('td').each(function(index) {
		if (isRtlMode() && (index == 0) && (xPosition >= jQuery(this).position().left + jQuery(this).innerWidth()))
		{
			tdIndex = index;
			addDiff = false;

			return false;
		}
		else if ((!isRtlMode() && (jQuery(this).position().left >= xPosition || xPosition <= jQuery(this).position().left + jQuery(this).innerWidth()))
			|| (isRtlMode() && (jQuery(this).position().left <= xPosition)))
		{
			addDiff = true;

			if (index!=0)
			{
				if(isRtlMode())
					tdIndex = index;
				else
					tdIndex = index-1;
			}
			else
				tdIndex = 0;

			return false;
		}
	});

	newTdSelector = jQuery(parentTr.find('td').get(tdIndex));

	if(isRtlMode())
		var tdWidth = newTdSelector.innerWidth() - 0.5;
	else
		var tdWidth = newTdSelector.innerWidth() + 0.5;

	if(!addDiff)
	{
		if (isRtlMode())
			FloatPosition=0.01;
		else
			FloatPosition=0.999;
	}
	else
	{
		FloatPosition = parseFloat(xPosition -newTdSelector.position().left);
		FloatPosition = parseFloat(FloatPosition/tdWidth);

		if (isRtlMode())
			FloatPosition=1-FloatPosition;
	}

	return parseFloat(tdIndex+FloatPosition);
}

/**
 * fixe width and start position of given interval
 */
function fixStartPositionAndOfGivenInterval(beginInterval,isPoint){
	var intervalSelector = jQuery('#'+beginInterval);
	var xStartPositionValue = intervalSelector.attr('xStartPosition');
	var xEndPositionValue = intervalSelector.attr('xEndPosition');

	if ((typeof xStartPositionValue == "undefined") || (typeof xEndPositionValue == "undefined"))
		return;

	var intXStartPosition 	= parseInt(xStartPositionValue);
	var floatXStartPosition = parseFloat(xStartPositionValue);

	var intXEndPosition 	= parseInt(xEndPositionValue);
	var floatXEndPosition 	= parseFloat(xEndPositionValue);

	var startSpacing 		= floatXStartPosition - intXStartPosition;
	var endSpacing 			= floatXEndPosition - intXEndPosition;

	var beginXPosition ;
	var endXPosition;
	var startTd;
	var endTd;
	var valueToAdd = 0;
	var tdsSlector = intervalSelector.parent().closest('tr').find('td');

	if (intXStartPosition < 0)
	{
		startTd = jQuery(tdsSlector.get(0));
		valueToAdd = -10;
	}
	else if (intXStartPosition >= tdsSlector.length)
	{
		intervalSelector.hide();
		return;
	}
	else
		startTd = jQuery(tdsSlector.get(intXStartPosition));

	if (isRtlMode())
		beginXPosition = startTd.position().left + startTd.width() - valueToAdd;
	else
		beginXPosition = startTd.position().left + valueToAdd;

	if (intXEndPosition < tdsSlector.length)
		endTd = jQuery(tdsSlector.get(intXEndPosition));
	else
	{
		endTd = jQuery(tdsSlector.get(tdsSlector.length-1));
		valueToAdd = endTd.width() + 10;
	}

	if (isRtlMode())
		endXPosition = endTd.position().left + endTd.width() - valueToAdd;
	else
		endXPosition = endTd.position().left + valueToAdd;

	if (startSpacing != 0)
	{
		if (isRtlMode())
			beginXPosition = beginXPosition - (startSpacing * startTd.width());
		else
			beginXPosition = beginXPosition + (startSpacing * startTd.width());
	}

	if (endSpacing != 0)
	{
		if (isRtlMode())
			endXPosition = endXPosition - (endSpacing * endTd.width());
		else
			endXPosition = endXPosition + (endSpacing * endTd.width());
	}

	if(isPoint)
	{
		if(isRtlMode())
			endXPosition=beginXPosition-intervalSelector.width();
		else
			endXPosition=beginXPosition+intervalSelector.width();
	}

	var widthValue = endXPosition - beginXPosition;

	if (widthValue < 0)
		widthValue = -widthValue;

	if (isPoint)
		widthValue = intervalSelector.width();

	if(isRtlMode())
		beginXPosition = beginXPosition - widthValue;

	if (isPoint) // Centrer les intervalles sur beginDate
	{
		if(isRtlMode())
			beginXPosition = beginXPosition+jQuery('#'+beginInterval).width()/2;
		else
			beginXPosition = beginXPosition-jQuery('#'+beginInterval).width()/2;
	}

	intervalSelector.css('left', beginXPosition + 'px');

	if (!isPoint)
		intervalSelector.width(widthValue - 2);
}
/**
 * Draw line between tow intervals
 */
function drawLineBetweenTowIntervals(beginInterval,endInterval, colorOfLine,widthOfLine,isPointBeginInterval,isPointEndInterval)
{
	var intervalSelector = jQuery('#'+beginInterval);
	var xStartPositionValue =intervalSelector.attr('xStartPosition');
	var xEndPositionValue =intervalSelector.attr('xEndPosition');

	var intXStartPosition 	= parseInt(xStartPositionValue);
	var floatXStartPosition = parseFloat(xStartPositionValue);

	var intXEndPosition 	= parseInt(xEndPositionValue);
	var floatXEndPosition 	= parseFloat(xEndPositionValue);

	var startSpacing 		= floatXStartPosition - intXStartPosition;

	var endSpacing 			= floatXEndPosition - intXEndPosition;

	var beginXPosition ;
	var endXPosition;
	var startTd;
	var endTd;
	var valueToAdd=0;
	var tdsSlector = intervalSelector.parent().closest('tr').find('td');

	if (intXStartPosition < 0)
	{
		startTd = jQuery(tdsSlector.get(0));
		valueToAdd = -10;
	}
	else
		startTd = jQuery(tdsSlector.get(intXStartPosition));

	if (isRtlMode())
		beginXPosition = startTd.position().left + startTd.width() - valueToAdd;
	else
		beginXPosition = startTd.position().left + valueToAdd;

	if (intXEndPosition < tdsSlector.length)
		endTd = jQuery(tdsSlector.get(intXEndPosition));
	else
	{
		endTd = jQuery(tdsSlector.get(tdsSlector.length-1));
		valueToAdd = endTd.width()+10;
	}

	if (isRtlMode())
		endXPosition = endTd.position().left + endTd.width() - valueToAdd;
	else
		endXPosition = endTd.position().left + valueToAdd;

	if (startSpacing != 0)
	{
		if (isRtlMode())
			beginXPosition = beginXPosition - (startSpacing * startTd.width());
		else
			beginXPosition = beginXPosition + (startSpacing * startTd.width());
	}

	if (endSpacing != 0)
	{
		if (isRtlMode())
			endXPosition = endXPosition - (endSpacing * endTd.width());
		else
			endXPosition = endXPosition + (endSpacing * endTd.width());
	}

	var widthValue = endXPosition - beginXPosition;

	if (widthValue < 0)
		widthValue = -widthValue;

	if (isRtlMode())
		beginXPosition = beginXPosition - widthValue;

	var topPosition = intervalSelector.position().top;
	var intervalHeight = intervalSelector.height();
	if(isPointBeginInterval)
		{
		if(isRtlMode())
			{
			beginXPosition = beginXPosition - intervalSelector.width()/2;
			}
		else
			{
			beginXPosition =beginXPosition + intervalSelector.width()/2;

			}
		}
	var endPointOfBeginInterval;
	if(isRtlMode())
		endPointOfBeginInterval = new jsPoint(beginXPosition,topPosition+intervalHeight/2);
	else
		endPointOfBeginInterval = new jsPoint(beginXPosition + widthValue,topPosition+intervalHeight/2);


	var nextIntervalSelector = jQuery('#'+endInterval);
	var nextXStartPositionValue =nextIntervalSelector.attr('xStartPosition');

	var nextIntXStartPosition = parseInt(nextXStartPositionValue);
	var nextFloatXStartPosition = parseFloat(nextXStartPositionValue);
	var nextBeginXPosition;
	var nextStartSpacing = nextFloatXStartPosition - nextIntXStartPosition;

	var nextStartTd;
	var nextValueToAdd=0;
	var nextTdsSlector = nextIntervalSelector.parent().closest('tr').find('td');

	if (nextIntXStartPosition < 0)
	{
		nextStartTd = jQuery(nextTdsSlector.get(0));
		nextValueToAdd = -10;
	}
	else
		nextStartTd = jQuery(nextTdsSlector.get(nextIntXStartPosition));

	if (isRtlMode())
		nextBeginXPosition = nextStartTd.position().left + nextStartTd.width() - nextValueToAdd;
	else
		nextBeginXPosition = nextStartTd.position().left + nextValueToAdd;

	if (nextStartSpacing != 0)
	{
		if (isRtlMode())
			nextBeginXPosition = nextBeginXPosition - (nextStartSpacing * nextStartTd.width());
		else
			nextBeginXPosition = nextBeginXPosition + (nextStartSpacing * nextStartTd.width());
	}

	var nextTop = nextIntervalSelector.position().top + nextIntervalSelector.height()/2;
	if(isPointEndInterval)
	{
	if(isRtlMode())
		{
		nextBeginXPosition = nextBeginXPosition + nextIntervalSelector.width()/2;
		}
	else
		{
		nextBeginXPosition =nextBeginXPosition - nextIntervalSelector.width()/2;

		}
	}

	drawGanttLine(drawer,endPointOfBeginInterval ,new jsPoint(nextBeginXPosition,nextTop),colorOfLine,widthOfLine);
}

function fixGanttScrollBarPosition(startPosition,planningId) {
	var visiblePartBeginPosition = parseInt(startPosition);
	var firstTdToDisplay = jQuery(jQuery('#downScale_'+planningId).find('td').get(visiblePartBeginPosition));
	var visiblePartBeginFloatPosition = parseFloat(startPosition);

	try {
		var scrollPosition = firstTdToDisplay.position().left + firstTdToDisplay.width()*(visiblePartBeginFloatPosition-visiblePartBeginPosition);

		if (isRtlMode())
			jQuery('#container_' + planningId).scrollTo(firstTdToDisplay.prev());
		else
			jQuery('#container_' + planningId).scrollTo(scrollPosition);
	}
	catch(e)
	{
	}
}

