var grd_id, grd_ctr, row_id, col_num, grd_iv_id;

function initLyTable(id, takeAllWidth, setMouseOver) {

	if (setMouseOver)
	{
		// fastest hover method ( especially for IE8 but for others too  )
		var mouseOver = function() {
			 jQuery("#" + id + ">tbody>tr.grid_row[rid=" + jQuery(this).attr('rId') + "]").addClass('grid_row_hover').addClass('ui-state-hover');
		};
		var mouseOut = function() {
			jQuery("#" + id + ">tbody>tr.grid_row[rid=" + jQuery(this).attr('rId') + "]").removeClass('grid_row_hover').removeClass('ui-state-hover');
		};
		jQuery("#" + id + ">tbody>tr.grid_row_sensitive").hover(mouseOver, mouseOut);
	}

    var classes = new Array("even", "odd");
    jQuery("#" + id + ">tbody>tr[id$='_sub0'],#" + id + ">tbody>tr.emptyRow").each(function(index){
		if (jQuery(this).hasClass("emptyRow")) {
            jQuery(this).addClass(classes[index % 2]);
            jQuery(this).css("background-color", "none");
		}
        else {
			jQuery(("[id^='" + jQuery(this).attr("id").substr(0, jQuery(this).attr("id").length - 1) + "']")).each(function(key){
            	jQuery(this).addClass(classes[index % 2]);
            	jQuery(this).css("background-color", "none");
        	});
		}
    });
    allRowConstructor(id);

    if (nRows[id] > 0 && nRows[id] < allRows[id].length) {
        scrollTBody(0, id);
        jQuery("#theScrollerTd_" + id).show();
        resizeScroll(id);
        jQuery("#lowerScroll_" + id).mouseup(function(){
            clearInterval(upinterval[id]);
        }).mousedown(function(){
            if (typeof upinterval[id] != 'undefined') {
                clearInterval(upinterval[id]);
            }
            if (typeof downinterval[id] != 'undefined') {
                clearInterval(downinterval[id]);
            }
            scrollTBody(1, id);
            upinterval[id] = setInterval(function(){
                scrollTBody(1, id);
            }, 250);
        });
        jQuery("#upperScroll_" + id).mouseup(function(){
            clearInterval(downinterval[id]);
        }).mousedown(function(){
            if (typeof downinterval[id] != 'undefined') {
                clearInterval(downinterval[id]);
            }
            if (typeof upinterval[id] != 'undefined') {
                clearInterval(upinterval[id]);
            }
            scrollTBody(-1, id);
            downinterval[id] = setInterval(function(){
                scrollTBody(-1, id);
            }, 250);
        });
        jQuery("#upperScroll_" + id + ", #lowerScroll_" + id).mouseleave(function(){
            if (typeof downinterval[id] != 'undefined') {
                clearInterval(downinterval[id]);
            }
            if (typeof upinterval[id] != 'undefined') {
                clearInterval(upinterval[id]);
            }
        });
        jQuery('#' + id + ' tbody, #theScroller_' + id).mousewheel(function(event, delta){
            scrollTBody(-1 * delta, id);
        });
        jQuery("#innerScrollDiv_" + id).drag(function(ev){
            dragScroller(ev, id);
        });
        jQuery("#theScroller_" + id).click(function(ev){
            clickScroller(ev, id);
        });
        var interval = setInterval(function(){
            scrollTBody(0, id);
            clearInterval(interval);
        }, 500);
    }

    var currentWidth=0;
    var currentWidthStyle='';
    var currentColnum;
    jQuery('#' + id).find("tr>td>span:not(.rowLabel):not(.gridToggleImg)").each(function () {
    	currentColnum = jQuery(this).parent().closest('td').attr('colnum');
    	if( !jQuery('#' + id).find('th[index="'+currentColnum+'"]').hasClass('statusCol'))
    	{
    	try {
    	currentWidth=parseInt(jQuery('#' + id).find('col').eq(jQuery(this).parent().attr('colnum'))[0].style.width.replace('px', ''));
    	if(currentWidth >= 8)
    		currentWidthStyle='width:'+currentWidth+'px;';
    	else
    		currentWidthStyle='';
    	jQuery(this).wrap("<div style='"+currentWidthStyle+"display:block; overflow:hidden;'/>");
    	} catch(e) {
    		// nothing to do , just to avoid error if the selector jQuery('#' + id).find('col').eq(jQuery(this).parent().attr('colnum')) is empty
    		}
    	}
    });


}

function resizeScroll(id){
    var Aposi = 0;
    var Bposi = jQuery("#" + id + " tbody").position();
    var elementA = jQuery("#" + id + " tbody").outerHeight();
    if (typeof jQuery("#" + id + " tfoot") != 'undefined') {
        Aposi = jQuery("#" + id + " tfoot").outerHeight();
    }
    jQuery("#theScroller_" + id).css("height", elementA + "px");
    jQuery("#theScroller_" + id).css("margin-top", (Bposi.top) + "px");
    positionScroll(id);
    jQuery("#theScroller_" + id).css("margin-bottom", (Aposi) + "px");
}

function allRowConstructor(id){
    var rId = "oppa";
    allRows[id] = new Array();
    getScrollableRows(id).each(function(key){
        if (jQuery(this).attr("rid") != rId) {
            allRows[id].push(jQuery(this).attr("rid"));
            rId = jQuery(this).attr("rid");
        }
    });
}

function getScrollableRows(id){
	return jQuery('#' + id + ' tbody tr:[class*="grid_row"],not([class*="grid_row_collapsed"])');
}

function positionScroll(id){
    var div_all = jQuery("#theScroller_" + id).css("height").replace("px", "");
    div_all = Math.round(div_all);
    div_all -= Math.round(jQuery("#innerScrollDiv_" + id).height());
    div_all -= Math.round(jQuery("#upperScrollDiv_" + id).height());
    div_all -= Math.round(jQuery("#lowerScrollDiv_" + id).height());
    for (i = 0; (i < (allRows[id].length - nRows[id])) && (jQuery('#' + id + ' tbody tr[rid="' + allRows[id][i] + '"]:eq(0)').hasClass("hiddenScroll")); i++) {
    }
    jQuery("#innerScrollDiv_" + id).css("margin-top", Math.round((div_all * i / (allRows[id].length - nRows[id]))) + "px");
    var da_pos = jQuery("#innerScrollDiv_" + id).offset();
    var all_pos = jQuery("#theScroller_" + id).offset();
    da_pos = da_pos.top - all_pos.top;
    all_pos = document.getElementById("theScroller_" + id).clientHeight;
    var scroll_pos = document.getElementById("innerScrollDiv_" + id).clientHeight;
    var low_pos = document.getElementById("lowerScrollDiv_" + id).clientHeight;
    jQuery("#innerScrollDiv_" + id).css("margin-bottom", (all_pos - scroll_pos - da_pos - low_pos) + "px");
}

function scrollTBody(speed, id){
    if ((firstRow[id] + speed >= 0) && (firstRow[id] + speed + nRows[id] <= allRows[id].length)) {
        firstRow[id] = firstRow[id] + speed;
        for (index in allRows[id]) {
            value = allRows[id][index];
            index = Math.round(index);
            if (index >= firstRow[id] && index < nRows[id] + firstRow[id]) {
                jQuery('#' + id + ' tbody tr[rid="' + value + '"]').each(function(key){
                    jQuery(this).removeClass("hiddenScroll");
                    jQuery(this).find('>td').removeClass("hiddenScroll");
                });
            }
            else {
                jQuery('#' + id + ' tbody tr[rid="' + value + '"]').each(function(key){
                    jQuery(this).addClass("hiddenScroll");
                    jQuery(this).find('>td').addClass("hiddenScroll");
                });
            }
        }
        resizeScroll(id);
        return false;
    }
}

function dragScroller(e, id){
    var handle_pos = jQuery("#innerScrollDiv_" + id).offset();
    var handle_width = document.getElementById("innerScrollDiv_" + id).offsetWidth;
    var handle_height = document.getElementById("innerScrollDiv_" + id).offsetHeight;
    var scroller_pos = jQuery("#theScroller_" + id).offset();
    var scroller_height = document.getElementById("theScroller_" + id).offsetHeight - document.getElementById("upperScrollDiv_" + id).offsetHeight - document.getElementById("lowerScrollDiv_" + id).offsetHeight - handle_height;
    scroller_pos.top += document.getElementById("upperScrollDiv_" + id).offsetHeight;
    if (((handle_pos.left - 10) <= e.offsetX) && ((handle_pos.left + handle_width + 10) >= e.offsetX)) {
        var m_top = Math.floor(Math.max(0, Math.min(e.offsetY - scroller_pos.top, scroller_height)));
        jQuery("#innerScrollDiv_" + id).css("margin-top", m_top + "px");
        jQuery("#innerScrollDiv_" + id).css("margin-bottom", scroller_height - m_top + "px");
        if (firstRow[id] != Math.floor((allRows[id].length - nRows[id]) / scroller_height * (m_top))) {
            firstRow[id] = Math.floor((allRows[id].length - nRows[id]) / scroller_height * (m_top));
            scrollTBody(0, id);
        }
    }
}

function clickScroller(e, id){
    var handle_height = document.getElementById("innerScrollDiv_" + id).offsetHeight;
    var scroller_pos = jQuery("#theScroller_" + id).offset();
    var scroller_height = document.getElementById("theScroller_" + id).offsetHeight - document.getElementById("upperScrollDiv_" + id).offsetHeight - document.getElementById("lowerScrollDiv_" + id).offsetHeight - handle_height;
    scroller_pos.top += document.getElementById("upperScrollDiv_" + id).offsetHeight;
    var m_top = Math.round(Math.max(0, Math.min(e.pageY - scroller_pos.top, scroller_height)));
    if (e.pageY > scroller_pos.top && e.pageY < scroller_pos.top + scroller_height + handle_height) {
        firstRow[id] = Math.floor((allRows[id].length - nRows[id]) / scroller_height * (m_top));
        scrollTBody(0, id);
    }
    else {
        return false;
    }
}

function hideSubRows(rowId, gridId, isFirst){
    jQuery('#grid_' + gridId + ' tr[parentRowId=' + rowId + ']').each(function(index){
        jQuery(this).find("td").addClass('grid_cell_collapsed');
        jQuery(this).addClass('grid_row_collapsed');
        hideSubRows(jQuery(this).attr('rId'), gridId, true);
    });
    if (typeof(isFirst) == 'undefined' && jQuery("#theScrollerTd_grid_" + gridId).css("display") != 'none') {
        allRowConstructor('grid_' + gridId);
        if (firstRow['grid_' + gridId] + nRows['grid_' + gridId] > allRows['grid_' + gridId].length) {
            firstRow['grid_' + gridId] = allRows['grid_' + gridId].length - nRows['grid_' + gridId];
        }
        scrollTBody(0, 'grid_' + gridId);
    }
}

function showSubRows(rowId, gridId, isFirst){
    jQuery('#grid_' + gridId + ' tr[parentRowId=' + rowId + ']').each(function(index){
        jQuery(this).find("td").removeClass('grid_cell_collapsed');
        jQuery(this).removeClass('grid_row_collapsed');
        showSubRows(jQuery(this).attr('rId'), gridId, true);
    });
    if (typeof(isFirst) == 'undefined' && jQuery("#theScrollerTd_grid_" + gridId).css("display") != 'none') {
        allRowConstructor('grid_' + gridId);
        scrollTBody(0, 'grid_' + gridId);
    }
}

function isExtendEvent(e)
{
	if (navigator.appVersion.indexOf("Mac") != -1)
		return e.metaKey;

	return e.ctrlKey;
}

function onHeaderClick(e, hdController, hdIndex){
    var extend;

    if (isExtendEvent(e))
        extend = "extendSort";
    else
        extend = "sort";
    sendGridSortDemand(hdController, hdIndex, extend);
}

function cellObjectIdEvent(value){
    objectIdEvent(grd_ctr, value, value);
}

function onRowContextMenu(e, row, lastClickedRow, selRows){
    onCellContextMenu(e, grd_id, grd_ctr, row_id, col_num);
    var topIframePos = 0;
    var leftIframePos = 0;
    /*if (jQuery(getLeonardiTopFrame().document).find('#iframe_' + grd_iv_id).length > 0) {
        topIframePos = parseInt(jQuery(getLeonardiTopFrame().document).find('#iframe_' + grd_iv_id).offset().top);
        leftIframePos = parseInt(jQuery(getLeonardiTopFrame().document).find('#iframe_' + grd_iv_id).offset().left);
    }
    */
    if (!isExtendEvent(e) && !e.shiftKey) {
        if (!arrayHas(selRows, row_id))
            sendSelectionDemand(row_id, grd_ctr, grd_id, isExtendEvent(e), "", "");
		if (!isPortlet)
			onContextEvent(row_id, grd_ctr, grd_id, isExtendEvent(e), leftIframePos + e.clientX, topIframePos + e.clientY);
		else
			onContextEvent(row_id, grd_ctr, grd_id, isExtendEvent(e), leftIframePos + e.pageX, topIframePos + e.pageY);
    }
    else {
        if (!arrayHas(selRows, row_id) && isExtendEvent(e)) {
            selRows.push(row_id);
        }
        else
            if (!arrayHas(selRows, row_id) && !isExtendEvent(e) && !e.shiftKey) {
                selRows.length = 0;
                selRows.push(row_id);
            }
            else
                if (arrayHas(selRows, row_id) && isExtendEvent(e)) {
                    selRows = jQuery.grep(selRows, function(value){
                        return value != row_id;
                    });
                }
                else
                    if (arrayHas(selRows, row_id) && (selRows.length > 1) && !isExtendEvent(e) && !e.shiftKey) {
                        selRows.length = 0;
                        selRows.push(row_id);
                    }
                    else
                        if (e.shiftKey) {
                            selRows.length = 0;
                            var _row = lastClickedRow;
                            selRows.push(_row.attr('rowId'));
                            var _rowId;
                            if (parseInt(_row.attr('index')) <= parseInt(row.attr('index')))
                                while (_row.attr('rId') != row.attr('rId')) {
                                    _row = _row.next();
                                    if (!_row.hasClass('grid_row_collapsed') && !_row.hasClass('grid_row_collapsed'))
                                        _rowId = _row.attr('rowId');
                                    if (!arrayHas(selRows, _rowId))
                                        selRows.push(_rowId);
                                }
                            else
                                while (_row.attr('rId') != row.attr('rId')) {
                                    _row = _row.prev();
                                    if (!_row.hasClass('grid_row_collapsed') && !_row.hasClass('grid_row_collapsed'))
                                        _rowId = _row.attr('rowId');
                                    if (!arrayHas(selRows, _rowId))
                                        selRows.push(_rowId);
                                }
                        }
        var strResponse = "";
        for (var i = 0, loopCnt = selRows.length; i < loopCnt; i++) {
            if (i != 0)
                strResponse = strResponse + "__|__";
            strResponse = strResponse + selRows[i];
        }
        sendSelectionDemand(strResponse, grd_ctr, grd_id, isExtendEvent(e), "", "");
        if (e.shiftKey) {
            var posX = isPortlet ? leftIframePos + e.pageX : leftIframePos + e.clientX;
			var posY = isPortlet ? topIframePos + e.pageY : topIframePos + e.clientY;
			onContextEvent(row_id, grd_ctr, grd_id, isExtendEvent(e), posX, posY);
		}
    }
    return selRows;
}

function onRowClick(e, row, lastClickedRow, selRows){
    if (!arrayHas(selRows, row_id) && isExtendEvent(e)) {
        selRows.push(row_id);
    }
    else
        if (!arrayHas(selRows, row_id) && !isExtendEvent(e) && !e.shiftKey) {
            selRows.length = 0;
            selRows.push(row_id);
        }
        else
            if (arrayHas(selRows, row_id) && isExtendEvent(e)) {
                selRows = jQuery.grep(selRows, function(value){
                    return value != row_id;
                });
            }
            else
                if (arrayHas(selRows, row_id) && (selRows.length > 1) && !isExtendEvent(e) && !e.shiftKey) {
                    selRows.length = 0;
                    selRows.push(row_id);
                }
                else
                    if (e.shiftKey) {
                        selRows.length = 0;
                        var _row = lastClickedRow;
                        selRows.push(_row.attr('rowId'));
                        var _rowId;
                        if (parseInt(_row.attr('index')) <= parseInt(row.attr('index')))
                            while (_row.attr('rId') != row.attr('rId')) {
                                _row = _row.next();
                                if (!_row.hasClass('grid_row_collapsed') && !_row.hasClass('grid_row_hidden'))
                                    _rowId = _row.attr('rowId');
                                if (!arrayHas(selRows, _rowId))
                                    selRows.push(_rowId);
                            }
                        else
                            while (_row.attr('rId') != row.attr('rId')) {
                                _row = _row.prev();
                                if (!_row.hasClass('grid_row_collapsed') && !_row.hasClass('grid_row_hidden'))
                                    _rowId = _row.attr('rowId');
                                if (!arrayHas(selRows, _rowId))
                                    selRows.push(_rowId);
                            }
                    }
    var strResponse = "";
    for (var i = 0, loopCnt = selRows.length; i < loopCnt; i++) {
        if (i != 0)
            strResponse = strResponse + "__|__";
        strResponse = strResponse + selRows[i];
    }
    sendSelectionDemand(strResponse, grd_ctr, grd_id, isExtendEvent(e), e.clientX, e.clientY);
    return selRows;
}

function onRowCheck(e, ctr, rowId, selRows, tableId, checked){
    if (!arrayHas(selRows, rowId) && checked) {
        selRows.push(rowId);
    }
    else
        if (arrayHas(selRows, rowId) && !checked) {
            selRows = jQuery.grep(selRows, function(value){
                return value != rowId;
            });
        }
    var strResponse = "";
    for (var i = 0, loopCnt = selRows.length; i < loopCnt; i++) {
        if (i != 0)
            strResponse = strResponse + "__|__";
        strResponse = strResponse + selRows[i];
    }
    sendSelectionDemand(strResponse, ctr, tableId, isExtendEvent(e), e.clientX, e.clientY);
    return selRows;
}

function onCheckAllRows(e, ctr, selRows, tableId, table, checked){
    if (checked) {
        table.find('tr.grid_row:not(.grid_row_collapsed):not(.grid_row_hidden)').each(function(index){
            selRows.push(jQuery(this).attr('rowId'));
        });
    }
    else {
        selRows.length = 0;
    }
    var strResponse = "";
    for (var i = 0, loopCnt = selRows.length; i < loopCnt; i++) {
        if (i != 0)
            strResponse = strResponse + "__|__";
        strResponse = strResponse + selRows[i];
    }
    sendSelectionDemand(strResponse, ctr, tableId, isExtendEvent(e), e.clientX, e.clientY);
    return selRows;
}

function onRowDblClick(e){
    onDbClickEvent(row_id, grd_ctr, grd_id, false, e.clientX, e.clientY);
}

function onCellClick(e, cell, columnIdx){
    var cptRow = -1;
    jQuery("#grid_" + grd_iv_id + " tr.grid_row:not(.grid_row_collapsed):not(.grid_row_hidden)").each(function(index){
        cptRow++;
        if (jQuery(this).attr('rId') == cell.closest('tr.grid_row').attr('rId'))
            return false;
    });
    requestTableFocusInput(cell);
    editCell(grd_ctr, grd_id, cptRow, columnIdx, e.clientX, e.clientY);
}

function requestTableFocusInput(cell) {
	var focusInput = jQuery(".editTableFocusInput");

	if (focusInput.length > 0) {
	    focusInput.parent().css("top", cell.offset().top);
	    focusInput.focus();
	}
}

function onCellContextMenu(e, selectSource, controllerId, rowId, columnIdx){
    if (isExtendEvent(e)) {
        sendModifDemand(selectSource, controllerId, rowId, columnIdx, false, e.pageX, e.pageY);
    }
}
