var ie = jQuery.browser.msie && jQuery.browser.version < 8.0;
 
jQuery.fn.popupMenu = function() {
	jQuery(this).find('li').each(function() {
		if (jQuery(this).find('> ul').size() > 0) {
			jQuery(this).addClass('has_child');
		}
	});

	var closeTimer = null;
	var menuItem = null;
	
	function cancelTimer() {
		if (closeTimer) {
			window.clearTimeout(closeTimer);
			closeTimer = null;
		}
	}
	
	function close() {
		jQuery(menuItem).find('> ul ul').hide();
		ie ? jQuery(menuItem).find('> ul').fadeOut() : jQuery(menuItem).find('> ul').slideUp(250);
		menuItem = null;
	}
	
	jQuery(this).find('li').click(function() {
		jQuery(this).removeClass('hover');
		menuItem = this;
		cancelTimer();
		closeTimer = window.setTimeout(close, 0);
	});
	
	jQuery(this).find('li > ul li').hover(function() {
		if (!jQuery(this).hasClass('DisabledMenuLabel'))
		{
		cancelTimer();
		
		var parent = false;
		jQuery(this).parents('li').each(function() { 
			if (this == menuItem) parent = true;
		});
		if (menuItem != this && !parent) close();

			jQuery(this).addClass('ui-state-hover');
		
			var currentHeight = jQuery(this).height();
		ie ? jQuery(this).find('> ul').fadeIn() : jQuery(this).find('> ul').slideDown(0, function() {
			var ulHeight = jQuery(this).height();
			var ulTop = jQuery(this).offset().top;
			var bdHeight= jQuery('body').height();
			if( (ulHeight+ulTop) > bdHeight )
				{
				jQuery(this).css('top',- (ulHeight-currentHeight) +'px');
				}
			})
		}}, function() {
		jQuery(this).removeClass('ui-state-hover');

		menuItem = this;
		cancelTimer();
		closeTimer = window.setTimeout(close, 500);
	});
	
	jQuery(this).find('li').first().hover(function() {}, function() {
		jQuery(this).removeClass('ui-state-hover');
		menuItem = this;
		cancelTimer();
		closeTimer = window.setTimeout(close, 500);
		
	});
	if (ie) {
		jQuery(this).find('ul a').css('display', 'inline-block');
		jQuery(this).find('ul ul').css('top', '0');
	}
}


jQuery.fn.showPopup = function() {
	var closeTimer = null;
	var menuItem = null;
	
	function cancelTimer() {
		if (closeTimer) {
			window.clearTimeout(closeTimer);
			closeTimer = null;
		}
	}
	
	function close() {
		jQuery(menuItem).find('> ul ul').hide();
		ie ? jQuery(menuItem).find('> ul').fadeOut() : jQuery(menuItem).find('> ul').slideUp(250);
		menuItem = null;
	}
	if (!jQuery(this).hasClass('DisabledMenuLabel'))
	{
	cancelTimer();
	
	var parent = false;
	jQuery(this).parents('li').each(function() { 
		if (this == menuItem) parent = true;
	});
	if (menuItem != this && !parent) close();

	ie ? jQuery(this).find('> ul').fadeIn() : jQuery(this).find('> ul').slideDown(250);
	}}, function() {
	menuItem = this;
	cancelTimer();
	closeTimer = window.setTimeout(close, 500);
};