/*
 * LyStrutsConstants.java
 * Copyright (c) 2000-2009, Lyria-W4.
 * All rights reserved.
 */
package leon.view.web.struts;

/**
 * This class defines all the static constants used in the STRUTS view managers.<br>
 *
 * @version $Id: LyStrutsConstants.java 28422 2010-11-03 12:03:38Z ehelmste $
 * @author  Lyria S.A.
 */
public class LyStrutsConstants
{
	public static final String __VERSION =
		"$Id: LyStrutsConstants.java 28422 2010-11-03 12:03:38Z ehelmste $";

	/** Type of the Leonardi about struts action. */
	public static final String PATH_ACTION_ABOUT = "/about";

	/** Type of the Leonardi answer struts action. */
	public static final String PATH_ACTION_ANSWER = "/answer";

	/** Type of the Leonardi audit struts action. */
	public static final String PATH_ACTION_AUDIT = "/audit";

	/** Type of the Leonardi close struts action. */
	public static final String PATH_ACTION_CLOSE = "/close";

	/** Type of the Leonardi close popup struts action. */
	public static final String PATH_ACTION_CLOSE_POPUP = "/closePopup";
	
	/** Type of the Leonardi command struts action. */
	public static final String PATH_ACTION_COMMAND = "/command";

	/** Type of the Leonardi exit struts action. */
	public static final String PATH_ACTION_EXIT = "/exit";

	/** Type of the Leonardi exit struts action. */
	public static final String PATH_ACTION_GRAPHICEVENT = "/event";

	/** Type of the Leonardi home struts action. */
	public static final String PATH_ACTION_HOME = "/home";

	/** Type of the Leonardi index page struts action. */
	public static final String PATH_ACTION_INDEX_PAGE = "/index";

	/** Type of the Leonardi login struts action. */
	public static final String PATH_ACTION_LOGIN = "/login";

	/** Type of the Leonardi map struts action. */
	public static final String PATH_ACTION_MAP = "/map";

	/** Type of the Leonardi page action. */
	public static final String PATH_ACTION_PAGE = "/page";

	/** Type of the Leonardi popup frame struts action. */
	public static final String PATH_ACTION_POPUPFRAME = "/popupFrame";

	/** Type of the Leonardi print action. */
	public static final String PATH_ACTION_PRINT = "/print";

	/** Type of the Leonardi push action. */
	public static final String PATH_ACTION_PUSH = "/push";

	/** Type of the Leonardi refresh action. */
	public static final String PATH_ACTION_REFRESH = "/refresh";

	/** Type of the Leonardi exit struts action. */
	public static final String PATH_ACTION_SELECTEVENT = "/selection";

	/** Type of the Leonardi target frame struts action. */
	public static final String PATH_ACTION_TARGETFRAME = "/targetFrame";

	/** Type of the Leonardi up page struts action. */
	public static final String PATH_ACTION_UPFRAME = "/upFrame";
	
	/** Type of the Leonardi download struts action. */
	public static final String PATH_ACTION_DOWNLOAD = "/download";
	
	/** URL of the Leonardi default error page. */
	public static final String DEFAULT_ERROR_PAGE = "/leon/scripts/struts/ly_error_page.jsp";
} // end class LyStrutsConstants
