/*
 * LyJPopupWindow.java
 * Copyright (c) 2000-2009, Lyria-W4.
 * All rights reserved.
 */

package leon.view.win.swing.component;

import java.awt.*;
import javax.swing.*;


/**
 * This class implements a popup window with a border.
 *
 * @version $Id: LyJPopupWindow.java 28422 2010-11-03 12:03:38Z ehelmste $
 * @author  Lyria
 */
public class LyJPopupWindow extends JWindow
{
	private static final long  serialVersionUID = -5510341564525891220L;
	public static final String __VERSION =
		"$Id: LyJPopupWindow.java 28422 2010-11-03 12:03:38Z ehelmste $";

	/**
	 * Creates a new popup window with the specified content.
	 *
	 * @param windowContent the content of the popup window
	 */
	public LyJPopupWindow(Component windowContent)
	{
		super();
		getContentPane().add(windowContent);
	}

}