/*
 * ServletFile.java
 * Copyright (c) 2006, Lyria.
 * All rights reserved.
 */

package eu.w4.ac.command;

import java.io.*;

import javax.servlet.*;
import javax.servlet.http.*;

import leon.view.web.struts.*;


/**
 * LyServlet to generate subclasses for the application in web mode.
 */
public class ServletFile extends LyStrutsServlet
{

	/**
	 * 
	 */
	private static final long serialVersionUID = -9209377823571001660L;

	/**
	 * Handle the GET and HEAD methods by building a simple web page. HEAD is just like GET, except
	 * that the server returns only the headers (including content length) not the body we write.
	 *
	 * @param request  current user Http request
	 * @param response result we must send to the client as command result
	 */
	public void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException
	{
		super.doGet(request, response);
	}

	/**
	 * Response to a client POST request.
	 *
	 * @param request  current user Http request
	 * @param response result we must send to the client as command result
	 */
	public void doPost(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException
	{
		super.doPost(request, response);
	}
} // end class ServletFile
