package leon;

/**
 * Client main class that only prints out the product properties.
 */
public class EngineMain
{
  /**
   * Class main entry. Prints out product properties.
   * @param args no arguments are required, if given, an {@link IllegalArgumentException} will be thrown.
   * @throws IllegalArgumentException is some arguments are given.
   */
  public static void main(final String[] args)
  {
    if (args.length > 0)
    {
      throw new IllegalArgumentException("No args must be specified");
    }
    leon.ProductProperties.printProperties();
  }
}
