package leon.app;


/**
 * Interface for webservice action processing.
 *
 * @see     leon.app.LySession
 * @see     leon.app.behavior.LySessionBehavior
 */
public interface LyProcessWSActionInterface extends LyProcessActionInterface 
{
	/**
	 * Sets the return value of the invoked method.
	 *
	 * @return The result of the invoked action if exists, null otherwise.
	 */
	Object getWSReturnValue();
	
}