/*
 * LyResetInterface.java
 * Copyright (c) 2000-2009, Lyria-W4.
 * All rights reserved.
 */

package leon.app;

/**
 * Interface used to notify dynamic changes of data provider on an application.
 *
 * @author  Lyria S.A.
 * @version $Id: LyResetInterface.java 28422 2010-11-03 12:03:38Z ehelmste $
 */
public interface LyResetInterface
{
	/**
	 * File version
	 */
	String __VERSION = "$Id: LyResetInterface.java 28422 2010-11-03 12:03:38Z ehelmste $";

	/**
	 * Reset datas of the given data session.
	 *
	 * @param session the current data session
	 */
	void reset(LyDataSession session);
}