/*
 * LyHiddenObjectsBehavior.java
 * Copyright (c) 2000-2009, Lyria-W4.
 * All rights reserved.
 */
package leon.app.behavior;

import leon.app.behaviorinterface.*;


/**
 * Behavior for the hidden objects interface.
 *
 * @author  Lyria S.A.
 * @version $Id: LyHiddenObjectsBehavior.java 28422 2010-11-03 12:03:38Z ehelmste $
 * @see     leon.control.LyHiddenObjectsController
 */
public class LyHiddenObjectsBehavior extends LyActionBehavior
	implements LyHiddenObjectsBehaviorInterface
{
	/**
	 * File version
	 */
	public static final String __VERSION =
		"$Id: LyHiddenObjectsBehavior.java 28422 2010-11-03 12:03:38Z ehelmste $";

	/**
	 * Default constructor.<br />
	 * Calls the {@link leon.app.behavior.LyActionBehavior super} implementation.
	 */
	public LyHiddenObjectsBehavior()
	{
		super();
	}
}