/**
 * LyControllerContextInterface.java
 * Copyright (c) 2000-2009, Lyria-W4.
 * All rights reserved.
 * Current version: $Id: LyControllerContextInterface.java 28422 2010-11-03 12:03:38Z ehelmste $
 */

package leon.control;

import leon.data.*;


/**
 * This interface is implemented by controllers which have a LyContext object for updates.
 */
public interface LyControllerContextInterface
{
	/**
	 * File version
	 */
	String __VERSION = "$Id: LyControllerContextInterface.java 28422 2010-11-03 12:03:38Z ehelmste $";

	/**
	 * Get current controller context.
	 *
	 * @return current context or null if none is specified
	 * @see    LyControllerContextInterface#getControllerContext
	 */
	LyContext getControllerContext();
}