/**
 * LyNumberFieldSetController.java
 * Copyright (c) 2000-2009, Lyria-W4.
 * All rights reserved.
 * Current version: $Id: LyNumberFieldSetController.java 28422 2010-11-03 12:03:38Z ehelmste $
 */

package leon.control.form;

import leon.control.*;
import leon.info.*;


/**
 * Field controller for modification of a LyNumberFieldInfo.
 * @see LySetController
 */
public class LyNumberFieldSetController extends LyFieldSetController
{
	/** File version */
	public static final String __VERSION =
		"$Id: LyNumberFieldSetController.java 28422 2010-11-03 12:03:38Z ehelmste $";

	/**
	 * Constructor.
	 * @param parent parent controller
	 * @param fieldInfo the number field handled by this controller
	 */
	public LyNumberFieldSetController(LySetController parent, LyNumberFieldInfo fieldInfo)
	{
		super(parent, fieldInfo);
	}

} // end class LyNumberFieldSetController
