/*
 * LyNoSuchObjectExecption.java
 * Copyright (c) 2000-2009, Lyria-W4.
 * All rights reserved.
 */

package leon.data;

/**
 * Thrown when a an object is not found in a cache and the cache doesn't know if the object really
 * exists or not.
 */
public class LyNoSuchObjectException extends Exception
{
	/**
	 * 
	 */
	private static final long serialVersionUID = 6636213574981436049L;
	/** File version */
	public static final String __VERSION =
		"$Id: LyNoSuchObjectException.java 28997 2010-12-23 10:17:15Z bmichel $";

	/**
	 * Constructs a <code>LyNoSuchObjectException</code> without a detail message.
	 */
	public LyNoSuchObjectException()
	{
		super();
	}

	/**
	 * Constructs a <code>LyNoSuchObjectException</code> with a detail message.
	 *
	 * @param message The detail message.
	 */
	public LyNoSuchObjectException(String message)
	{
		super(message);
	}
}