/**
 * LyGetClassInfoInterface.java
 * Copyright (c) 2000-2009, Lyria-W4.
 * All rights reserved.
 * Current version: $Id: LyGetClassInfoInterface.java 28422 2010-11-03 12:03:38Z ehelmste $
 */

package leon.info;

/**
 * This interface is implemented by objects associated to a classInfo.
 */
public interface LyGetClassInfoInterface
{
	String __VERSION = "$Id: LyGetClassInfoInterface.java 28422 2010-11-03 12:03:38Z ehelmste $";

	/**
	 * Gets the ClassInfo of current object.
	 *
	 * @return the classInfo associated to the object.
	 */
	LyClassInfo getClassInfo();
}