/*
 * LyUnsupportedcomparisonException.java
 * Copyright (c) 2000-2009, Lyria-W4.
 * All rights reserved.
 */

package leon.info;

/**
 * Thrown to indicate that the application has attempted to convert a string to a field info with
 * the parse method of th field info but that the string does not have the appropriate format.
 *
 * @author  Lyria
 * @see     LyFieldInfo
 * @version $Id: LyUnsupportedComparisonException.java 28997 2010-12-23 10:17:15Z bmichel $
 */
public class LyUnsupportedComparisonException extends RuntimeException
{
	/**
	 * 
	 */
	private static final long serialVersionUID = 2403175007418075644L;
	public static final String __VERSION =
		"$Id: LyUnsupportedComparisonException.java 28997 2010-12-23 10:17:15Z bmichel $";

	/**
	 * Constructs a <code>LyUnsupportedComparisonException</code> with no detail message.
	 */
	public LyUnsupportedComparisonException()
	{
		super();
	}

	/**
	 * Constructs a <code>LyUnsupportedComparisonException</code> with the specified detail message.
	 *
	 * @param message the detail message.
	 */
	public LyUnsupportedComparisonException(String message)
	{
		super(message);
	}
}