/*
 * LyClassInfoBinding.java
 * Copyright (c) 2000-2009, Lyria-W4.
 * All rights reserved.
 */

package leon.info.binding;

import leon.info.location.*;


/**
 * Container for the binding information found in the data description for classInfo.
 */
public class LyClassInfoBinding extends LyClassBinding
{
	public static final String __VERSION =
		"$Id: LyClassInfoBinding.java 28422 2010-11-03 12:03:38Z ehelmste $";

	/**
	 * Constructor.
	 * @param binding content of the binding information
	 */
	public LyClassInfoBinding(String binding)
	{
		super(binding, LyLocation.ID_L_INFO, null);
	}

	/**
	 * Compare current object with another.
	 * @param o object to compare
	 */
	public boolean equals(Object o)
	{
		if (this == o)
			return true;

		if (!(o instanceof LyClassInfoBinding))
			return false;

		if (!super.equals(o))
			return false;

		return true;
	}
} // end class LyClassInfoBinding
