/**
 * LyEncoderInterface.java
 * Copyright (c) 2000-2009, Lyria-W4.
 * All rights reserved.
 * Current version: $Id: LyEncoderInterface.java 28422 2010-11-03 12:03:38Z ehelmste $
 */
package leon.info.infointerface;

import leon.data.*;


/**
 * Interface implemented by classes which encode text field value.
 * @author Lyria
 */
public interface LyEncoderInterface
{
	String __VERSION = "$Id: LyEncoderInterface.java 28422 2010-11-03 12:03:38Z ehelmste $";

	/**
	 * Method to encode a value for a LyTextFieldInfo.
	 * @param  value the value to encode.
	 * @return the encoded value
	 */
	LyTextValue encode(LyTextValue value);
}