/*
 * LyEvaluator.java
 * Copyright (c) 2000-2010, W4.
 * All rights reserved.
 */

package leon.info.misc;

public interface LyEvaluator
{
    /**
     * Retrieves a value from a registered key.
     *
     * @param   key  The key that must be used.
     * @return  The value stored with the key or null if the key is not registered.
     */
    public Object getKeyValue(String key);
}
