/*
 * LyTimerClientInterface.java
 * Copyright (c) 2000-2009, Lyria-W4.
 * All rights reserved.
 */

package leon.misc;

/**
 * Interface implemented by classes that want to receive timeout notifications from a LyTimer.
 */
public interface LyTimerClientInterface
{

	String __VERSION = "$Id: LyTimerClientInterface.java 28422 2010-11-03 12:03:38Z ehelmste $";

	/**
	 * When a LyTimer ends this method is invoked.
	 * @param timer the timer which expired.
	 */
	void endTimer(LyTimer timer);
}