/*
 * LyUnsupportedOperationException.java
 * Copyright (c) 2000-2009, Lyria-W4.
 * All rights reserved.
 */

package leon.peer;

/**
 * Thrown to indicate that a request encoder does not support an operation.
 *
 * @author Lyria
 */
public class LyUnsupportedOperationException extends RuntimeException
{
	/**
	 * 
	 */
	private static final long serialVersionUID = -8812570237578601407L;
	public static final String __VERSION =
		"$Id: LyUnsupportedOperationException.java 28997 2010-12-23 10:17:15Z bmichel $";

	/**
	 * Constructs a <code>LyUnsupportedOperationException</code> with no detail message.
	 */
	public LyUnsupportedOperationException()
	{
		super();
	}

	/**
	 * Constructs a <code>LyUnsupportedOperationException</code> with the specified detail message.
	 *
	 * @param message The detail message.
	 */
	public LyUnsupportedOperationException(String message)
	{
		super(message);
	}
}