/*
 * LySqlUnsupportedConversion.java
 * Copyright (c) 2000-2009, Lyria-W4.
 * All rights reserved.
 */

package leon.peer.sql;

/**
 * Thrown when a an object is not found in a cache and the cache doesn't know if the object exists
 * or not.
 * @version $Id: LySqlUnsupportedConversionException.java 28997 2010-12-23 10:17:15Z bmichel $
 * @author  Lyria
 */
public class LySqlUnsupportedConversionException extends Exception
{
	/**
	 * 
	 */
	private static final long serialVersionUID = -1212090735957482588L;
	public static final String __VERSION =
		"$Id: LySqlUnsupportedConversionException.java 28997 2010-12-23 10:17:15Z bmichel $";

	/**
	 * Constructs a <code>LySqlUnsupportedConversionException</code> without a detail message.
	 */
	public LySqlUnsupportedConversionException()
	{
		super();
	}

	/**
	 * Constructs a <code>LySqlUnsupportedConversionException</code> with a detail message.
	 * @param s the detail message.
	 */
	public LySqlUnsupportedConversionException(String s)
	{
		super(s);
	}
}