/*
 * LyPostgresqlField.java
 * Copyright (c) 2000-2009, Lyria-W4.
 * All rights reserved.
 */
package leon.peer.sql.postgresql;

import leon.peer.sql.*;


/**
 * @author ban
 */
public class LyPostgresqlField extends LySqlColumnField
{
	public static final String __VERSION =
		"$Id: LyPostgresqlField.java 28422 2010-11-03 12:03:38Z ehelmste $";

	/** Ti know if the column is a boolean. */
	protected boolean		   _boolean;

	/**
	 * Default Constructor.
	 */
	public LyPostgresqlField()
	{
		super();
		_boolean = false;
	}

	public void setBoolean(boolean bool)
	{
		_boolean = bool;
	}

	public boolean isBoolean()
	{
		return _boolean;
	}
} // end class LyPostgresqlField
