/*
 * W4BpmConnection.java
 * Copyright (c) 2000-2011, W4.
 * All rights reserved.
 */
package leon.peer.w4;

import leon.app.*;
import leon.peer.*;


public abstract class W4BpmConnection extends LyConnection
{
    public static final String BPM_SESSION = "W4_SESSION_ID";

    public W4BpmConnection(LyApplication application)
    {
        super(application);
    }

    public abstract String initBpmUser(String login, String password) throws Exception;

    public abstract String initBpmUser(String login, Object certificate) throws Exception;

    public abstract Object openBpmSession(String login, String password) throws Exception;

    public abstract Object openBpmSession(String login, Object certificate) throws Exception;

    public abstract void closeBpmSession() throws Exception;
}
