/*
 * W4SuiteConnection.java
 * Copyright (c) 2000-2011, W4.
 * All rights reserved.
 */
package leon.peer.w4.suite;

import eu.w4.bpm.*;
import eu.w4.bpm.service.*;

import leon.app.*;
import leon.peer.w4.*;


public abstract class W4SuiteConnection extends W4BpmConnection
{
    public static final String BPM_SERVICE = "BPM_SERVICE";

    public W4SuiteConnection(LyApplication application)
    {
        super(application);
    }

    public abstract Object openBpmSession(String login, String password) throws Exception;

    public abstract Object openBpmSession(String login, Object certificate) throws Exception;

    public abstract BPMService getBPMService() throws BPMException;

    public abstract BPMSessionId getSessionId() throws BPMException;
}
