/*
 * W4SuiteConnection.java
 * Copyright (c) 2000-2011, Lyria-W4.
 * All rights reserved.
 */
package leon.peer.w4.suite;

import java.lang.reflect.*;

import leon.app.*;
import leon.data.*;
import leon.info.*;
import leon.info.location.*;
import leon.misc.*;
import leon.peer.w4.*;


public abstract class W4SuiteDataProvider extends W4BpmDataProvider
{
    public W4SuiteDataProvider(LyApplication application, LyLocation location)
    {
        super(application, location);
    }

    public abstract W4BpmRequestEncoder getBpmRequestEncoder(LyDataSource dataSource);

    public abstract void setCurrentProcessId(String mask);

    public abstract String getCurrentProcessId();

    public abstract Method getMethodByField(LyField field);

    public abstract void setMethodByField(LyField field, Method m);

    public abstract String buildWorkcaseGraphicalFollowUpUrl(LyViewManagerInterface viewManager, LyAction action,
        String workcaseId) throws Exception;
}
