var errorMessage = "";

CKEDITOR.dialog.add( 'leonuploadimage', function( editor )
{
	var location = new String(this.document.location);
	var n = location.indexOf("?", 0);
	var title = "";

	if (editor.langCode == "fr")
	{
		title = "Dposer une image";
		errorMessage = "Extension de fichier non valide";
	}
	else if (editor.langCode == "es")
	{
		title = "Cargar una imagen";
		errorMessage = "La extensin del archivo no es vlida";
	}
	else
	{
		title = "Image Upload";
		errorMessage = "Invalid file extension";
	}

	if (n < 0)
		location = location + "?";
	else
		location = location + "&";

	location = location + "_upload=true&_ckeditor=true";

	return {

		title : title,
		minWidth : 400,
		minHeight : 50,

		onOk : function()
		{
			var upload_form = document.forms['upload_form_' + editor.name];
			var server_file = upload_form.elements["server_file"];
			var server_file_uploaded = upload_form.elements["server_file_uploaded"];
			var server_file_value = server_file.value;

			if (server_file_uploaded.value == "true")
				editor.insertHtml("<img src='" + server_file_value + "' />");
		},

		contents : [
			{
				id : 'upload_container',
				label : '',
				title : '',
				expand : true,
				padding : 0,
				elements :
				[
					{
						type : 'html',
						html :
							'<form name="upload_form_' + editor.name + '" id="upload_form_' + editor.name + '" method="POST" enctype="multipart/form-data" target="file_frame_ckeditor">\n' +
							'<input name="upload_file" id="upload_file" type="file" style="background-color:#ffffff;width:380px;"' +
							' onChange="javascript:SendCKEditorFile(\'upload_form_' + editor.name + '\',\'' + location + '&_formName=upload_form_' + editor.name + '\');"/>\n' +
							'<input name="server_file" id="server_file" type="hidden" value=""/>\n' +
							'<input name="server_file_uploaded" id="server_file_uploaded" type="hidden" value="false"/>\n' +
							'<iframe frameborder="0" scrolling="no" name="file_frame_ckeditor" style="width:2px;height:2px;display:none;"></iframe>\n' +
							'</form>\n'
					}
				]
			}
		],

		buttons : [ CKEDITOR.dialog.okButton, CKEDITOR.dialog.cancelButton ]
	};
} );

function SendCKEditorFile(formName, action)
{
	var upload_form = document.forms[formName];
	var upload_file = upload_form.elements["upload_file"];
	var server_file_uploaded = upload_form.elements["server_file_uploaded"];
	var file = upload_file.value;
	var pos = file.lastIndexOf(".");
	var extension = (pos > 0 ? file.substr(pos + 1, file.length) : "");

	if ((extension != "jpg")
			&& (extension != "JPG")
			&& (extension != "jpeg")
			&& (extension != "JPEG")
			&& (extension != "gif")
			&& (extension != "GIF")
			&& (extension != "png")
			&& (extension != "PNG"))
	{
		alert(errorMessage);
		upload_form.reset();
		server_file_uploaded.value = "false";
		return;
	}

	getLeonardiTopFrame().showWaitDiv(true, true);
	server_file_uploaded.value = "true";
	upload_form.action = action;
	upload_form.submit();
}

function SetCKEditorServerFile(formName, filePath)
{
	var upload_form = document.forms[formName];
	var server_file = upload_form.elements["server_file"];

	server_file.value = filePath;
}