<%@ page import="leon.app.*,leon.info.*,leon.misc.*,java.util.*, javax.portlet.*,leon.view.web.portlet.*"%>
<%@ taglib uri="http://java.sun.com/portlet" prefix="portlet" %>
<portlet:defineObjects/>
<%
	LyApplication leonApp = (LyApplication)request.getAttribute("lyapplication");
	LyEnvironment env = leonApp.getEnvironment();
	LyInfoList<LyAction> actions = (LyInfoList<LyAction>)request.getAttribute("lyactions");
	LyAction      leonAction;
	PortletSession psession = renderRequest.getPortletSession();
	LyActionPortletConfig leonConfig = (LyActionPortletConfig)psession.getAttribute(LyActionPortlet.KEY_ACTION_PORTLET_CONFIG, PortletSession.PORTLET_SCOPE);

	if (leonConfig == null)
		leonConfig = new LyActionPortletConfig();
%>
<script LANGUAGE=JavaScript>
	function validateForm()
	{
			document.getElementById("edit_form_action").value = "ok";
			document.getElementById("action_portlet_edit_form").submit();
	}
</script>

<form id='action_portlet_edit_form' method="POST" action="<%=request.getAttribute("okUrl")%>">
<table cellspacing='2' cellpadding='2'>
	<tr>
		<td><b><%=env.translate("LY_PORTLET_ACTION")%> : </b></td>
		<td><select id='selected_action' name='selected_action'>
				<option value=""></option>
				<%
				   for (int i=0; i<actions.getSize(); i++)
				   {
						leonAction = (LyAction)actions.getInfo(i);
					%>
				<option value="<%=leonAction.getId()%>" <%=(leonAction.getId().equals(leonConfig.selected_action) ? "selected='selected'" : "")%>><%=env.translate(leonAction.getName())%> (<%=leonAction.getId()%>)</option>
				 <%}%>
			</select>
		</td>
	</tr>
	<tr>
		<td><%=env.translate("LY_PORTLET_TITLE")%> : </td>
		<td><Input type='text' size='40' id='action_portlet_title' name='action_portlet_title' value='<%=leonConfig.action_portlet_title == null ? "" : leonConfig.action_portlet_title%>'/></td>
	</tr>
	<tr>
		<td><%=env.translate("LY_PORTLET_COMMENT")%> : </td>
		<td><Input type='text' size='50' id='action_portlet_comment' name='action_portlet_comment' value='<%=leonConfig.action_portlet_comment == null ? "" : leonConfig.action_portlet_comment%>'/></td>
	</tr>
		<td colspan='2' align='center'>
			<br/>
			<input type='button' value='<%=env.translate("LY_VALIDATE")%>' onClick="javascript:validateForm()"/> &nbsp;
			<input type='button' value='<%=env.translate("LY_CANCEL")%>' onClick="parent.location='<%=request.getAttribute("cancelUrl")%>'"/>
			<input type='hidden' id='edit_form_action' name='edit_form_action' value=''/>
		</td>
	</tr>
</table>
</form>