<!--
	To be used if the client browser is not supported.

	This is a simple page used by the Leonardi servlet
	that displays a message to indicate that current browser
	is not supported.
	You may change this page directly or override the LY_UNSUPPORTED_BROWSER_PAGE property
	in the "files_<lang>.properties" files.
-->

<%@ page import="leon.app.*,leon.misc.*,leon.view.web.*"%> <!-- Usage of leonardi code is optional -->
<%!
	public String getTranslatedString(LySession leonardiSession, String value)
	{
		LyEnvironment environment = leonardiSession.getEnvironment();

		return environment.translate(value);
	}
%>

<%
	LySession leonardiSession = (LySession)request.getAttribute(LyWebConstants.RA_LY_SESSION);
	LyEnvironment env = leonardiSession.getEnvironment();
	String background = leonardiSession.getEnvironment().getImageUrl("LY_AREA_BACKGROUND_IMAGE");
	String message1 = null, message2 = null, message3 = null;
	String appLogo = leonardiSession.getEnvironment().getImageUrl("LY_COMPANY_LOGO");
	String appName = getTranslatedString(leonardiSession, "LY_APPLICATION");
	String skinHome = (String)request.getAttribute(LyWebConstants.RA_LY_SKIN_URL);
	
	message1 = env.getMessage("LY_UNSUPPORTED_BROWSER_MESSAGE", appName);
	message2 = env.getMessage("LY_UNSUPPORTED_BROWSER_SUB_MESSAGE", appName);
%>

<html>
	<head>
		<title><%=appName%></title>
		<style type='text/css' media='screen'>
			@import url('<%=skinHome%>');
		</style>
	</head>

	<body>
	<table width='100%' height='100%' border='0'>
	 <tr height='20%'>
	  <td align='center' valign='middle'>
	  	<img src='<%=appLogo%>'/>
	  </td>
	 </tr>
	 <tr>
	  <td align='center' valign='top'>
	   <table width='50%' border='0'>

	    <tr>
	     <td class='mainInfo' align='center'><%=message1%><br/><br/></td>
	    </tr>
	    <tr>
		 <td align='center'> <hr color="#d0001a" width='60%'/> </td>
	    </tr>
	    <tr>
		 <td align='center' class='subInfo'><br/><br/><%=message2%></td>
	    </tr>
	   </table>
	  </td>
	 </tr>
    </table>

	</body>
</html>
