<%@ page import="java.util.*,leon.app.*,leon.misc.*,leon.data.*,leon.view.web.*"%> <!-- Usage of leonardi code is optional -->
<%
	String servletRootURL = (String)request.getAttribute(LyWebConstants.RA_LY_ROOT_URL);
	String leonardiRootURL = (String)request.getAttribute(LyWebConstants.RA_LY_LEON_DOC_URL);
	String appRootURL = (String)request.getAttribute(LyWebConstants.RA_LY_APP_DOC_URL);

	LySession leonardiSession = (LySession)request.getAttribute(LyWebConstants.RA_LY_SESSION);
	LyWebViewManager viewManager = (LyWebViewManager)leonardiSession.getViewManager();
	String backLeft = leonardiSession.getEnvironment().getImageUrl("LY_UP_PAGE_LEFT_BACKGROUND");
	String skinHome = (String)request.getAttribute(LyWebConstants.RA_LY_SKIN_URL);

	String appName = leonardiSession.getEnvironment().translate("LY_APPLICATION");
	String logo = leonardiSession.getEnvironment().getImageUrl("LY_COMPANY_LOGO");

	if ((logo != null) && logo.endsWith("w4.gif"))
		logo = LyString.replace(logo, "w4.gif", "w4_small.gif");

	String leonardiAboutUrl = (String)request.getAttribute("leonardiAboutUrl");

	if (leonardiAboutUrl == null)
		leonardiAboutUrl = servletRootURL;

	String leonardiExitUrl = (String)request.getAttribute("leonardiExitUrl");

	if (leonardiExitUrl == null)
		leonardiExitUrl = servletRootURL;

	String leftBg = leonardiSession.getEnvironment().getImageUrl("LY_UP_PAGE_LEFT_BACKGROUND");
	String topBg = leonardiSession.getEnvironment().getImageUrl("LY_UP_PAGE_TOP_BACKGROUND");
	String tip = leonardiSession.getEnvironment().getImageUrl("LY_UP_PAGE_TIP");
	String tipOver = leonardiSession.getEnvironment().getImageUrl("LY_UP_PAGE_TIP_OVER");
	String exit = leonardiSession.getEnvironment().getImageUrl("LY_UP_PAGE_EXIT");
	String exitOver = leonardiSession.getEnvironment().getImageUrl("LY_UP_PAGE_EXIT_OVER");
	String target = request.getParameter(LyWebConstants.TARGET_PARAM);

	String tipButtonName = leonardiSession.getEnvironment().translate("LY_TOOL_ABOUT");
	String exitButtonName = leonardiSession.getEnvironment().translate("LY_TOOL_QUIT");
	String		scripts = viewManager.generateScriptsInclusion();
%>

<html>
	<head>
		<title>Logo</title>
		<%= scripts %>
		<script>
			var _rootUrl = '<%=servletRootURL%>';
		</script>
		<style type='text/css' media='screen'>
			@import url('<%=skinHome%>');
		</style>

</head>

<body topmargin='0' leftmargin='0' style='overflow:hidden'>
	<table border='0' width='100%' height='100%' cellspacing='0' cellpadding='0' bgColor='#FFFFFF'>
		<tr>
			<td valign='top' width='338' style='background:url(<%=leftBg%>);background-repeat:no-repeat;'/><img src='<%=logo%>'/></td>
			<td valign='middle' style='background:url(<%=topBg%>);background-repeat:no-repeat;' width='500'><font class='upTitle'><%=appName%></font></td>
			<td align='right'>
				<table border='0' cellpadding='0' cellspacing='0'>
					<tr>
						<td><a href="javascript:SendAjaxRequestParams('<%=leonardiAboutUrl%>','_action=_about&target=<%=target%>');" onMouseOut="SetImageSrc('tip_image', '<%=tip%>');" onMouseOver="SetImageSrc('tip_image', '<%=tipOver%>');;window.status='<%=tipButtonName%>';return true"><img id='tip_image' src='<%=tip%>' border='0' alt='<%=tipButtonName%>'/></a></td>
						<td width='10'>&nbsp;</td>
						<td><a href="javascript:SendAjaxRequestParams('<%=leonardiExitUrl%>','_action=_exit&target=<%=target%>');" onMouseOut="SetImageSrc('exit_image', '<%=exit%>');" onMouseOver="SetImageSrc('exit_image', '<%=exitOver%>');;window.status='<%=exitButtonName%>';return true"><img id='exit_image' src='<%=exit%>' border='0' alt='<%=exitButtonName%>'/></a></td>
						<td width='37'>&nbsp;</td>
					</tr>
				</table>
			</td>
		</tr>
	</table>
</body>
</HTML>
