/*
 * LyConstraint.java Copyright (c) 2000-2009, Lyria-W4. All rights reserved.
 */

package leon.view;

/**
 * Constraints of this component to attach it in its parent container.
 *
 * @author   Lyria
 * @version  $Id: LyConstraint.java 28422 2010-11-03 12:03:38Z ehelmste $
 * @see      LyComponent
 */
public class LyConstraint extends LyConstraintBase
{
	public static final String __VERSION = "$Id: LyConstraint.java 28422 2010-11-03 12:03:38Z ehelmste $";

	/** Default value for all the attributes of the constraint. */
	public static final int DEFAULT_VALUE = -2;

	/** Remainder value for colspan and rowspan attributes. */
	public static final int REMAINDER = -1;

	/**
	 * Constructor with all required attributes.
	 */
	public LyConstraint()
	{
	}

	/**
	 * Construction from a LyViewNode.
	 *
	 * @param  node  node from which the component is constructed.
	 *
	 * @see    LyViewNodeFactory#buildElement
	 */
	protected LyConstraint(LyViewNode node)
	{
		super(node);
	}
} // end class LyConstraint
