/**
 * LyRelationFieldBeanInterface.java
 * Copyright (c) 2000-2009, Lyria-W4.
 * All rights reserved.
 */

package leon.view.beaninterface;

import leon.view.setinterface.*;


/**
 * Interface for a relation field bean in a set view.
 *
 * @version $Id: LyRelationFieldBeanInterface.java 28422 2010-11-03 12:03:38Z ehelmste $
 * @author  Lyria
 */
public interface LyRelationFieldBeanInterface extends LySetFieldBeanInterface,
	LySetLinksInterface
{
	String __VERSION = "$Id: LyRelationFieldBeanInterface.java 28422 2010-11-03 12:03:38Z ehelmste $";

	/**
	 * Method  used to select/unselect a link within the relation.
	 * @param i        Index of the link to be selected/unselected.
	 * @param select   Boolean indicating if link is selected or unselected.
	 */
	void selectLink(int i, boolean select);
}