/*
  * LyAdvancedParameterValues.java
  * Copyright (c) 2000-2009, Lyria-W4.
  * All rights reserved.
  */

package leon.view.event;


/**
 * Advanced interface for parameters values. Allows some implementation (web for exemple) to keep an internal
 * copy of the values, so they are not discarded when the container expires.
 * @author ban
 *
 */
public interface LyAdvancedParameterValues	extends	LyParameterValues
{
	/**
	 * Forces to keep a copy of internal values.
	 */
	void keepValues();
}
