/*
 * LySelectionListener.java
 * Copyright (c) 2000-2009, Lyria-W4.
 * All rights reserved.
 */

package leon.view.event;

/**
 * The listener interface for receiving selection events.
 *
 * @version $Id: LySelectionListener.java 28422 2010-11-03 12:03:38Z ehelmste $
 * @author  Lyria
 */
public interface LySelectionListener
{
	String __VERSION = "$Id: LySelectionListener.java 28422 2010-11-03 12:03:38Z ehelmste $";

	/**
	 * Implementation of the LySelectionListener interface.
	 *
	 * @param selectionEvent description of the selection which has occured
	 */
	void selectionPerformed(LySelectionEvent selectionEvent);
}