/*
 * LyGetIdInterface.java
 * Copyright (c) 2000-2009, Lyria-W4.
 * All rights reserved.
 */

package leon.view.getinterface;

/**
 * A view item which is providing its own lock for synchronized calls
 *
 * @version $Id: LyGetLockInterface.java 28422 2010-11-03 12:03:38Z ehelmste $
 * @author  Lyria
 */
public interface LyGetLockInterface
{
	String __VERSION = "$Id: LyGetLockInterface.java 28422 2010-11-03 12:03:38Z ehelmste $";

	/**
	 * Get a lock on the table to prevent concurrent access on rows
	 * @return a valid lock for synchronized()
	 */
	public Object getLock();
}