/*
 * LyGraphicalBoolean.java
 * Copyright (c) 2000-2009, Lyria-W4.
 * All rights reserved.
 */

package leon.view.graphic;

import leon.view.*;
import leon.view.setinterface.*;

/**
 * The LyGraphicalBoolean interface represents the abstract graphical component
 * for the boolean of views.dtd regardless of the target (swing, swt, dhtml...).
 * @see leon.view.LyBoolean
 */
public interface LyGraphicalBoolean
	extends LyGraphicalFieldItem,
			LySetStatusInterface
{
	public static final String			__VERSION = "$Id$";


	/* Methods for updating graphical components */

	/**
	 * Updates attribute status to the given value.
	 * @param status New value of status.
	 */
	public void setStatus(LyBoolean.Status status);
}