/*
 * LyGraphicalIcon.java
 * Copyright (c) 2000-2009, Lyria-W4.
 * All rights reserved.
 */

package leon.view.graphic;

import leon.view.setinterface.*;

/**
 * The LyGraphicalIcon interface represents the abstract graphical component
 * for the icon of views.dtd regardless of the target (swing, swt, dhtml...).
 * @see leon.view.LyIcon
 */
public interface LyGraphicalIcon
	extends LyGraphicalFieldItem,
			LySetImageInterface
{
	public static final String			__VERSION = "$Id$";


	/* Methods for updating graphical components */

	/**
	 * Updates attribute image to the given value.
	 * @param image New value of image.
	 */
	public void setImage(String image);
}