/*
 * LyGraphicalImage.java
 * Copyright (c) 2000-2009, Lyria-W4.
 * All rights reserved.
 */

package leon.view.graphic;

import leon.view.setinterface.*;

/**
 * The LyGraphicalImage interface represents the abstract graphical component
 * for the image of views.dtd regardless of the target (swing, swt, dhtml...).
 * @see leon.view.LyImage
 */
public interface LyGraphicalImage
	extends LyGraphicalComponent,
			LySetValueInterface
{
	public static final String			__VERSION = "$Id$";


	/* Methods for updating graphical components */

	/**
	 * Updates attribute value to the given value.
	 * @param value New value of value.
	 */
	public void setValue(String value);
}