/*
 * LyGraphicalLink.java
 * Copyright (c) 2000-2009, Lyria-W4.
 * All rights reserved.
 */

package leon.view.graphic;

import leon.view.setinterface.*;

/**
 * The LyGraphicalLink interface represents the abstract graphical component
 * for the link of views.dtd regardless of the target (swing, swt, dhtml...).
 * @see leon.view.LyLink
 */
public interface LyGraphicalLink
	extends LyGraphicalComponent,
			LySetSelectedInterface
{
	public static final String			__VERSION = "$Id$";


	/* Methods for updating graphical components */

	/**
	 * Updates attribute selected to the given value.
	 * @param selected Boolean indicating if attribute selected is set or unset.
	 */
	public void setSelected(boolean selected);
}