/*
 * LyGraphicalSplitter.java
 * Copyright (c) 2000-2009, Lyria-W4.
 * All rights reserved.
 */

package leon.view.graphic;

import leon.view.*;

/**
 * The LyGraphicalSplitter interface represents the abstract graphical component
 * for the splitter of views.dtd regardless of the target (swing, swt, dhtml...).
 * @see leon.view.LySplitter
 */
public interface LyGraphicalSplitter
	extends LyGraphicalContainer
{
	public static final String			__VERSION = "$Id$";


	/* Methods for updating graphical components */

	/**
	 * Updates attribute activePart to the given value.
	 * @param activePart New value of activePart.
	 */
	public void setActivePart(LySplitter.ActivePart activePart);

	/**
	 * Updates attribute sizes to the given value.
	 * @param sizes New value of sizes.
	 */
	public void setSizes(String sizes);
}