/*
 * LyGraphicalText.java
 * Copyright (c) 2000-2009, Lyria-W4.
 * All rights reserved.
 */

package leon.view.graphic;

import leon.view.setinterface.*;

/**
 * The LyGraphicalText interface represents the abstract graphical component
 * for the text of views.dtd regardless of the target (swing, swt, dhtml...).
 * @see leon.view.LyText
 */
public interface LyGraphicalText
	extends LyGraphicalFieldItem,
			LySetLabelInterface
{
	public static final String			__VERSION = "$Id$";


	/* Methods for updating graphical components */

	/**
	 * Updates attribute label to the given value.
	 * @param label New value of label.
	 */
	public void setLabel(String label);
}