/**
 * 
 */
package leon.view.mobile;

import java.io.*;

import leon.view.*;

/**
 * Interface for LyComponents objects which can write an XML description of themselves.
 */
public interface LyMobileComponent	extends LyViewComponent
{
	/**
	 * Write XML description corresponding to this component.
	 *
	 * @param pw the print writer
	 */
	void writeXml(PrintWriter pw);
	
	void writeJson(PrintWriter pw, String sessionId);
	
	void init();
}
