/*
 * LyPrintDataInterface.java
 * Copyright (c) 2000-2009, Lyria-W4.
 * All rights reserved.
 */

package leon.view.print;

import leon.view.*;


/**
 * Interface for printing.
 */
public interface LyPrintDataInterface
{
	String __VERSION = "$Id: LyPrintDataInterface.java 28422 2010-11-03 12:03:38Z ehelmste $";

	LyView getParentView();

	String getTitle(Object object);

	String getImage(Object object);

	String getTab(Object field);

	String getLabel(Object field);

	int getSortIndex(Object field);

	boolean isIncreasing(Object field);

	boolean isLeftAligned(Object field);

	String getLabel(Object object, Object field);

	String getShortLabel(Object object, Object field);

	boolean hasFooters();

	String getFooterLabel(Object field);
}