/*
 * LyQuestionAnswerInterface.java
 * Copyright (c) 2000-2009, Lyria-W4.
 * All rights reserved.
 */

package leon.view.setinterface;

/**
 * Implemented by classes which expects answerd from a LyViewManager.askQuestion request.
 *
 * @see     leon.view.LyViewManager#askQuestion
 * @version $Id: LyMessageAnswerInterface.java 28422 2010-11-03 12:03:38Z ehelmste $
 * @author  Lyria
 */
public interface LyMessageAnswerInterface extends LyAnswerInterface
{
	String __VERSION = "$Id: LyMessageAnswerInterface.java 28422 2010-11-03 12:03:38Z ehelmste $";

	/**
	 * Answer to a askQuestion request.
	 *
	 * @param result     one of the possible return code for LyViewManager : COMMAND_XXX
	 * @param clientData data specified in the askQuestion method
	 * @see   leon.view.setinterface.LyMessageAnswerInterface
	 */
	void messageAnswer(int result, Object clientData);
}