/*
 * LyQuestionAnswerInterface.java
 * Copyright (c) 2000-2009, Lyria-W4.
 * All rights reserved.
 */

package leon.view.setinterface;

/**
 * Implemented by classes which expects answerd from a LyViewManager.askQuestion request.
 *
 * @see     leon.view.LyViewManager#askQuestion
 * @version $Id: LyQuestionAnswerInterface.java 28422 2010-11-03 12:03:38Z ehelmste $
 * @author  Lyria
 */
public interface LyQuestionAnswerInterface extends LyAnswerInterface
{
	String __VERSION = "$Id: LyQuestionAnswerInterface.java 28422 2010-11-03 12:03:38Z ehelmste $";

	/**
	 * Answer to a askQuestion request.
	 *
	 * @param result true if the user has clicked on Yes or Ok
	 * @param client data specified in the askQuestion method
	 * @see   LyQuestionAnswerInterface
	 */
	void questionAnswer(boolean result, Object clientData);
}