/*
 * LySetColorInterface.java
 * Copyright (c) 2000-2009, Lyria-W4.
 * All rights reserved.
 */

package leon.view.setinterface;

/**
 * Abstract access to a method. Hides the specific implementation of the view (win, swing, html...)
 * A value, and may have its value set.
 *
 * @version $Id: LySetColorInterface.java 28422 2010-11-03 12:03:38Z ehelmste $
 * @author  Lyria
 */
public interface LySetColorInterface
{
	String __VERSION = "$Id: LySetColorInterface.java 28422 2010-11-03 12:03:38Z ehelmste $";

	/**
	 * (Modification) Accessor.
	 *
	 * @param key of the color in the properties
	 */
	void setColor(String key);
}