/*
 * LySetFontInterface.java
 * Copyright (c) 2000-2009, Lyria-W4.
 * All rights reserved.
 */

package leon.view.setinterface;

/**
 * Abstract access to a method. Hides the specific implementation of the view (win, swing, html...)
 * A value, and may have its value set.
 *
 * @version $Id: LySetFontInterface.java 28422 2010-11-03 12:03:38Z ehelmste $
 * @author  Lyria
 */
public interface LySetFontInterface
{
	String __VERSION = "$Id: LySetFontInterface.java 28422 2010-11-03 12:03:38Z ehelmste $";

	/**
	 * (Modification) Accessor.
	 *
	 * @param fontString the string representing the font
	 */
	void setFont(String fontString);
}