/*
 * LySetHRefsInterface.java
 * Copyright (c) 2000-2009, Lyria-W4.
 * All rights reserved.
 */

package leon.view.setinterface;

import leon.view.*;


/**
 * Abstract access to a method. Hides the specific implementation of the view (win, swing, html...)
 *
 * @version $Id: LySetHRefsInterface.java 28422 2010-11-03 12:03:38Z ehelmste $
 * @author  Lyria
 */
public interface LySetHRefsInterface
{
	String __VERSION = "$Id: LySetHRefsInterface.java 28422 2010-11-03 12:03:38Z ehelmste $";

	/**
	 * (LySetHRefsInterface).
	 */
	void addHRef(LyHRef href, int pos);

	/**
	 * (LySetHRefsInterface).
	 */
	void removeHRef(LyHRef href);
}