/*
 * LySetOptionalInterface.java
 * Copyright (c) 2000-2009, Lyria-W4.
 * All rights reserved.
 */
package leon.view.setinterface;

/**
 * Abstract access to a method. Hides the specific implementation of the view (win, swing, html...)
 * A value, and may have its value set.
 *
 * @version $Id: LySetOptionalInterface.java 28422 2010-11-03 12:03:38Z ehelmste $
 * @author  Lyria
 */
public interface LySetOptionalInterface
{
	String __VERSION = "$Id: LySetOptionalInterface.java 28422 2010-11-03 12:03:38Z ehelmste $";

	/**
	 * Sets the optional attribute with the given value.
	 *
	 * @param status the new status of the optional attribute
	 */
	void setOptional(boolean status);
}