/*
 * LySetWaitingInterface.java
 * Copyright (c) 2000-2009, Lyria-W4.
 * All rights reserved.
 */

package leon.view.setinterface;

/**
 * Indicates that the component should be waiting (wait cursor, disabled ...).
 *
 * @version $Id: LySetWaitingInterface.java 28422 2010-11-03 12:03:38Z ehelmste $
 * @author  Lyria
 */
public interface LySetWaitingInterface
{
	String __VERSION = "$Id: LySetWaitingInterface.java 28422 2010-11-03 12:03:38Z ehelmste $";

	/**
	 * Sets the waiting status with the given value.
	 *
	 * @param status the new status
	 */
	void setWaiting(boolean status);
}