/*
 * LyWebComponent.java
 * Copyright (c) 2000-2009, Lyria-W4.
 * All rights reserved.
 */

package leon.view.web;

import leon.view.*;


/**
 * Interface for LyComponents objects which can write an HTML description of themselves.
 *
 * @version $Id: LyWebComponent.java 28422 2010-11-03 12:03:38Z ehelmste $
 * @author  Lyria
 */
public interface LyWebComponent extends LyViewComponent
{
	String __VERSION = "$Id: LyWebComponent.java 28422 2010-11-03 12:03:38Z ehelmste $";

	/**
	 * Write HTML description corresponding to this component.
	 *
	 * @param pw the page writer
	 */
	void writeHtml(LyWebPageWriter pw);
}