package leon.view.web.jquery.common;

import leon.misc.LyString;

/***
 * @author atalbi
 */
public class TemplateUtils
{

	/**
	 * whe're converting strings having special characters to be not escaped by velocity templates and to not cause
	 * conflicts
	 * @param value
	 * @return new value
	 */
	public static String replaceSpecialCharacters(String value)
	{
		CharSequence[] specialCharacters = new String[] { "\\", ",",  "<", "/"};

		for (CharSequence character : specialCharacters)
			value = value.replace(character, "\\" + character);

		return value;
	}

	/**
	 * Format ajax response by editing specal characters (treatment needed to avoir IE exceptions)
	 * @param js
	 * @return formated js
	 */
	public static String getFormattedJs(String js)
	{
		js = js.replace("\r\n", " ");
		js = LyString.replace(js, new char[] { '\\', '\r', '\n', '\t', '"', '\'' }, new String[] {
				"\\\\", " ", "\\n", " ", "\\\"", "\\\'" });
		return js;
	}

	public static String getConvertedHTML(String label)
	{
		return (label != null ? label.replaceAll("'", "&#39;") : null);
	}
}
