package leon.view.web.jquery.component.form.field.choice;

import leon.view.LyChoice;
import leon.view.graphic.LyGraphicalChoice;
import leon.view.web.jquery.component.fieldItem.LyJQFieldItem;

/**
 * LyChoice internal view implémentation
 * @author yosr
 */
public class LyJQChoice extends LyJQFieldItem	implements
												LyGraphicalChoice
{

	/** The choice generic component. */
	protected LyChoice	_choice;

	/**
	 * Constructor
	 * @param fieldItem
	 */
	public LyJQChoice(LyChoice choice)
	{
		super(choice);
		_choice = choice;
	}

	/**
	 * check if choice is vertical
	 * @param choice
	 * @return is vertical
	 */
	public boolean isVertical()
	{
		return (_choice.getFill() == LyChoice.Fill.VERTICAL);
	}
	
	/**
	 * check if choice is vertical
	 * @param choice
	 * @return is horizontal
	 */
	public boolean isHorizontal()
	{
		return (_choice.getFill() == LyChoice.Fill.HORIZONTAL);
	}
	
	public boolean isChoice(){
		return true;
	}
}