package leon.view.web.jquery.controller;

import java.io.*;

import javax.activation.*;
import javax.servlet.http.*;

import leon.app.*;
import leon.misc.*;
import leon.view.event.*;
import leon.view.web.*;
import leon.view.web.jquery.*;

import org.springframework.stereotype.*;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.servlet.*;

@Controller
public class LyJQDownloadController extends LyJQController
{
	@Override
	public LyDemand getDemand(HttpServletRequest request, LyEnvironment environment)
	{
		return null;
	}
	
	@RequestMapping("/download.htm")
	public ModelAndView handleRequest(HttpServletRequest request, HttpServletResponse response)
			throws Exception
	{
		if (checkSession(request))
		{
			LySession		session = getSession();
			LyJQViewManager	viewManager = getViewManager(session);
			String			fileId = getParameter(request, LyWebConstants.FILE);
			String[]		files = session.getTempFile(fileId);
			
			if (files == null)
				return null;
			
			String					fileDesc = files[1];
			String					filePath = files[0];
			File					file = new File(filePath);
	
			if (!file.exists())
				return null;
			
			FileInputStream			fis = new FileInputStream(file);
			OutputStream			ros = response.getOutputStream();
			BufferedOutputStream	bos = new BufferedOutputStream(ros);
			byte[]					buf = new byte[1024];
			int						len;
	
			response.reset();
			fileDesc = fileDesc.replace(" ", "_");
			response.setHeader("content-Length", Long.toString(file.length()));
			response.setHeader("content-type", new MimetypesFileTypeMap().getContentType(file));
			response.setHeader("content-disposition", "attachment; filename=" + fileDesc);

			while ((len = fis.read(buf, 0, buf.length)) != -1)
			{
				bos.write(buf, 0, len);
			}
					
			bos.flush();
			bos.close();
			
			ros.flush();
			ros.close();
	
			fis.close();
			endHandleRequest(viewManager);
		}
		
		return null;
	}
}
