<%@ page import="leon.app.*,leon.misc.*,leon.view.web.*,leon.view.web.jquery.*"%>
<%
	String language = request.getParameter(LyWebConstants.LANGUAGE);
	String cookieTheme = request.getParameter(LyJQConstants.COOKIE_THEME);
	String logo = request.getParameter("logo");
	String title = null, message = null, informations = null, or = null, support = null, direction = "";
	
	if (cookieTheme == null)
		cookieTheme = LyJQConstants.DEFAULT_JQUERY_VIEWER_SKIN;

	if (logo == null)
		logo = "./leon/images/lyria.gif";

	if ("en".equals(language))
	{
		title = "Good bye";
		message = "Thank you for using W4's technology";
		informations = "Informations";
		or = "or";
		support = "Support";
	}
	else if ("es".equals(language))
	{
		title = "Adiós";
		message = "Gracias por haber utilizado las tecnologías de W4";
		informations = "Informaciones";
		or = "o";
		support = "Ayuda";
	}
	else if ("ar".equals(language))
	{
		title = "إلى اللقاء";
		message = "شكراً لإستخدامكم تكنولوجيات W4";
		informations = "معلومات";
		or = "أو";
		support = "سند";
		direction = "rtl";
	}
	else
	{
		title = "Au revoir";
		message = "Merci d'avoir utilis&eacute; les technologies de W4";
		informations = "Informations";
		or = "ou";
		support = "Support";
	}
%>

<html dir="<%=direction%>">
<head>
  <title><%=title%></title>
	
	<script type="text/javascript" src="./leon/scripts/jquery/jquery/jquery.min.js"></script>
	<script type="text/javascript" src="./leon/scripts/jquery/jquery/ui/jquery-ui.min.js"></script> 
	<script type="text/javascript" src="./leon/scripts/jquery/LyJQUtils.js"></script>  
	<script type="text/javascript" src="./leon/scripts/jquery/jquery/ui.themeselect/ui.themeselect.js"></script>
	<link rel="stylesheet" href="./leon/css/login/login-style.css" type="text/css" media="all"/>
	<link rel="stylesheet" type="text/css" href="./leon/css/jquery-ui/themes/<%=cookieTheme%>/jquery-ui.css"/>
</head>
<script>

$(document).ready(function() {
	initThemeRoller(false,"");
});
</script>
<body>
<div id='themeselector' style='display:none;'></div>
	<div id="cont">
		<table width='100%' height='100%' border='0'>
		 <tr valign='top' height='33%'>
		   <td align='center'><img src='<%=logo%>'/></td>
		  </tr>
		 <tr>
		  <td align='center' valign='top'>
		   <table width='50%' border='0'>

		    <tr>
		     <td align='center' class='mainInfo'><%=message%></td>
		    </tr>
		    <tr>
			 <td align='center'> <hr color="#d0001a"/> </td>
		    </tr>
		    <tr>
				<td align='center' class='subInfo'>W4 S.A.<br>
					Parc d'Affaires SILIC<br>
					46, rue de Montlh&eacute;ry<br> 
					BP 70178<br>
					94563 RUNGIS - France
				</td>
		    </tr>
		    <tr>
			 <td align='center' class='subInfo'> Tel: 33 1 56 70 53 80 - Fax: 33 1 56 70 53 81</td>
		    </tr>
		    <tr>
			 <td align='center' class='subInfo'> <%=informations%> : <a href="http://www.w4.eu" target="_blank">www.w4.eu</a>
				<%=or%> <a href="mailto:contact@w4.eu">contact@w4.eu</a>
			 </td>
		    </tr>
		    <tr>
			 <td align='center' class='subInfo'> <%=support%> : <a href="mailto:support@w4.eu">support@w4.eu</a>
			 </td>
		    </tr>
		   </table>
		  </td>
		 </tr>
		</table>
	</div>

	<div id="bg" class="ui-widget-header">
		<div>
			<table cellspacing="0" cellpadding="0">
				<tr>
					<td><img src="./leon/css/images/login/bg.png" alt=""/> </td>
				</tr>
			</table>
		</div>
	</div>

</body>
</html>
