<%@ page import="java.util.*,leon.app.*,leon.misc.*,leon.view.web.*, leon.view.web.jquery.*"%>
<%
	LySession leonardiSession = (LySession)request.getAttribute(LyWebConstants.RA_LY_SESSION);
	LyEnvironment environment = leonardiSession.getEnvironment();
	String appName = environment.translate("LY_APPLICATION");
	String tip = environment.getImageUrl("LY_UP_PAGE_TIP");
	String tipOver = environment.getImageUrl("LY_UP_PAGE_TIP_OVER");
	String exit = environment.getImageUrl("LY_UP_PAGE_EXIT");
	String exitOver = environment.getImageUrl("LY_UP_PAGE_EXIT_OVER");
	String social = leonardiSession.getEnvironment().getImageUrl("LY_ACTION_SOCIAL");
	String socialOver = leonardiSession.getEnvironment().getImageUrl("LY_ACTION_SOCIAL");
	String sticker = leonardiSession.getEnvironment().getImageUrl("LY_ACTION_CREATE_STICKER");
	String stickerOver = leonardiSession.getEnvironment().getImageUrl("LY_ACTION_CREATE_STICKER");
	String metrics = leonardiSession.getEnvironment().getImageUrl("LY_METRIC");
	String metricsOver = leonardiSession.getEnvironment().getImageUrl("LY_METRIC");
	
	String socialButtonName = leonardiSession.getEnvironment().translate("LY_ACTION_SOCIAL");
	String stickerButtonName = leonardiSession.getEnvironment().translate("LY_ACTION_CREATE_STICKER");
	String tipButtonName = environment.translate("LY_TOOL_ABOUT");
	String metricsButtonName = leonardiSession.getEnvironment().translate("LY_ACTION_METRICS");
	String exitButtonName = environment.translate("LY_TOOL_QUIT");
	int pageHeight = 40;
	
	LyJQViewManager		viewManager = (LyJQViewManager)environment.getViewManager();
	boolean 		isRtlMode = viewManager.isRtlMode();
	String			targetCode = viewManager.getTargetCode();
	String			versionString = "?_version=" + environment.translate("LY_PRODUCT_VERSION");
	String			direction = "";

	if (isRtlMode)
		direction = "rtl";
%>

<html dir="<%=direction%>" >
	<head>
		<script type="text/javascript">
				var targetParam = '<%=targetCode%>';
		</script>
		<script type="text/javascript" src="./leon/scripts/LyUtilsScript.js<%=versionString%>" ></script>
		<script type="text/javascript" src="./leon/scripts/jquery/jquery/jquery.min.js<%=versionString%>"></script> 
		<script type="text/javascript" src="./leon/scripts/jquery/jquery/ui/jquery-ui.min.js<%=versionString%>"></script>
		<script type="text/javascript" src="./leon/scripts/jquery/jquery/ajax/eventsUtils.js<%=versionString%>"></script> 
		<title></title>
		<script language="JavaScript">
				$(this.parent.document).find(".frameUpPage").height('<%=pageHeight%>');
				$(this.parent.document).find(".frameUpPage").css("display","block");
		</script>
	</head>

<body style='overflow:hidden;margin:0;padding:0;border:0px;background:transparent'>
	<table border='0' width='100%' height='<%=pageHeight%>' cellspacing='0' cellpadding='0'>
		<tr>
			<td width='20'>
				&nbsp;
			</td>
			<td align="<%if(isRtlMode) {%>right<% } %><%if(!isRtlMode){%>left<% } %>" valign='middle'>
				<font style='font-family:Arial;font-size:20px;font-weight:bold;font-style:italic;color:#FFFFFF;'><%=appName%></font>
			</td>
			<td align="<%if(isRtlMode) {%>left<% } %><%if(!isRtlMode){%>right<% } %>" valign="middle">
			<% if (leonardiSession !=null && leonardiSession.isValid()) { %>
				<div id ="commands">
				<table border='0'>
					<tr>
						<% if (leonardiSession.getEnvironment().testResource("LY_SHOW_STICKER_TOOL_IN_UP_PAGE")) { %>
						<td><a href="javascript:upFramefireAction('_createSticker')"><img id='sticker_image' src='<%=sticker%>' border='0'
							onmouseout="this.src='<%=sticker%>';"
							onmouseover="this.src='<%=stickerOver%>';"
							title='<%=stickerButtonName%>'/></a></td>
						<td width='10'>&nbsp;</td>
						<% } %>
						<% if (leonardiSession.getEnvironment().testResource("LY_SHOW_SOCIAL_TOOL_IN_UP_PAGE")) { %>
						<td><a href="javascript:upFramefireAction('_social')"><img id='social_image' src='<%=social%>' border='0'
							onmouseout="this.src='<%=social%>';"
							onmouseover="this.src='<%=socialOver%>';"
							title='<%=socialButtonName%>'/></a></td>
						<td width='10'>&nbsp;</td>
						<% } %>
						<% if (leonardiSession.getEnvironment().testResource("LY_SHOW_METRICS_TOOL_IN_UP_PAGE")
									&& leonardiSession.getEnvironment().testResource("LY_ACTIVATE_METRICS")) { %>
						<td><a href="javascript:upFramefireAction('__leonMetricsPanel')"><img id='metrics_image' src='<%=metrics%>' border='0'
							onmouseout="this.src='<%=metrics%>';"
							onmouseover="this.src='<%=metricsOver%>';"
							title='<%=metricsButtonName%>'/></a></td>
						<td width='10'>&nbsp;</td>
						<% } %>
						<td><a href="javascript:upFramefireAction('_about')" ><img id='tip_image' src='<%=tip%>' border='0'
							onmouseout="this.src='<%=tip%>';"
							onmouseover="this.src='<%=tipOver%>';"
							title='<%=tipButtonName%>'/></a></td>
						<td><a href="javascript:upFramefireAction('_exit')"><img id='exit_image' src='<%=exit%>' border='0'
							onmouseout="this.src='<%=exit%>';"
							onmouseover="this.src='<%=exitOver%>';"
							title='<%=exitButtonName%>'/></a></td>
					</tr>
				</table>
				</div>
			<% } %>
			</td>
		</tr>
	</table>
</body>
</html>
