if (typeof appName=="undefined")
{
	appName = "./";
}
var eventForwardUrl = appName+"event.htm";
var sendFileUrl =  appName+"upload.htm";
var selectionForwardUrl = appName+"selection.htm";
var mapForwardUrl =  appName+"map.htm";
var commandForwardUrl =  appName+"command.htm";
var popupForwardUrl =  appName+"popup.htm";
var answerForwardUrl =  appName+"answer.htm";
var chartForwardUrl =  appName+"chart.htm";
var ganttForwardUrl= appName+"gantt.htm";
var selectSource = "_select";
var statusSource = "_status";
var modifSource = "_popupMenuExtend";
var popupMenuSource = "_popupMenu";
var separator = "|";
var cellEdition = "_cellEdition";
var subIndexSeparator = "_subIndexSeparator_";
var hrefType = 'href';
var ajaxTimer;

function initLoader(waitIcon) {
	jQuery(document).ajaxStart(function() {
		ajaxTimer = setInterval(function showLoader() {
		jQuery('body').ajaxloader('show','ajax-loader-icon');
		if(waitIcon)
		{
			jQuery('.ajax-loader-icon').css('background-image','url('+waitIcon+')');
		}
		}, 1000);

		var servError = new Image();
		var imagePrefix = (appName == "" ? "." : appName);

		servError.src = imagePrefix+"/leon/images/web/content/serverDown.gif";

	});
	jQuery(document).ajaxStop(function() {
		clearTimeout(ajaxTimer);
		jQuery('body').ajaxloader('hide');
		addJqToolTip();
	});

	jQuery(document).ajaxError(function(event, XMLHttpRequest, ajaxOptions, thrownError){
		serverDownNotif(XMLHttpRequest);
	});
}

var ajaxData = null;

if ((typeof targetParam) != "undefined")
	ajaxData = {_ajaxMode : true, target_session : targetParam};
else
	ajaxData = {_ajaxMode : true};

jQuery.ajaxSetup({
        scriptCharset: "UTF-8" ,
        contentType: "application/x-www-form-urlencoded;charset=UTF-8",
        data : ajaxData
});

function getpopupViews() {
	jQuery.post(popupForwardUrl, {
	}, function(data) {
		eval(data);
	});
}

function refreshArea(areaId,refreshTimeInterval){
	getpopupViews();
	if(jQuery('#'+areaId).length > 0)
	{
	setTimeout("refreshArea('"+areaId+"','"+refreshTimeInterval+"')",refreshTimeInterval);
	}
}

function answer(msg, response) {
	jQuery.post(answerForwardUrl, {
		_message : msg,
		_answer : response
	}, function(data) {
		eval(data);
	});
}

function invokeLyMessageSelectionAction(messageId, controllerId) {
	jQuery.post(eventForwardUrl, {
		_source : messageId,
		_controller : controllerId,
		_value : messageId,
		_hidden : true
	}, function(data) {
		eval(data);
	});
}

function closeTab(source, controllerId, index) {
	jQuery.post(eventForwardUrl, {
		_controller : controllerId,
		_source : '_tabs',
		_index : index,
		_type : "closeTab"
	}, function(data) {
		eval(data);
	});
}

function commandClick(source, controllerId, index, formValues) {
	options = {
		_controller : controllerId,
		_source : source,
		_command : source,
		_index : index,
		_type : "commandClick",
		_submitted : "submitted"
	};

	options = jQuery.extend(options, getCKEditorValues() || {});
	options = jQuery.extend(options, formValues || {});
	jQuery.post(commandForwardUrl, options, function(data) {
		eval(data);
	});
}

function getCKEditorValues() {

	var arrayValues = new Array();

	jQuery(".ckeditor_hidden_text").each(function(indexFrame) {

		var textName = jQuery(this).attr('textName');

		jQuery(this).contents().find(".cke_contents").each(function(index) {

			jQuery(this).find("iframe").contents().find(".cke_show_borders").each(function(ind) {
				arrayValues[textName] = jQuery(this).html();
			});
		});
	});
	return ArrayToObject(arrayValues);
}

function selectTab(source, controllerId, index, formValues) {
	options = {
		_controller : controllerId,
		_source : '_tabs',
		_index : index
	};

	options = jQuery.extend(options, getCKEditorValues() || {});
	options = jQuery.extend(options, formValues || {});
	jQuery.post(eventForwardUrl, options, function(data) {
		eval(data);
	});

}

function moveSplitter(controllerId, value) {
	jQuery.post(eventForwardUrl, {
		_controller : controllerId,
		_source : "setSize",
		_value : value
	}, function(data) {
		eval(data);
	});
}

function resizeTableColumn(controllerId, columnSizes) {
	jQuery.post(eventForwardUrl, {
		_controller : controllerId,
		_source : "resizeColumn",
		_value : columnSizes
	}, function(data) {
		eval(data);
	});
}

function dragTableColumn(controllerId, columnOrder) {
	jQuery.post(eventForwardUrl, {
		_controller : controllerId,
		_source : "dragColumn",
		_value : columnOrder
	}, function(data) {
		eval(data);
	});
}

function fireAction(controllerId, source, formValues) {
	options = {
			_controller : controllerId,
			_source : source
		};
	options = jQuery.extend(options, formValues || {});
    jQuery.post(eventForwardUrl, options, function(data) {
		eval(data);
	});
}

function fireActionWithValue(controllerId, source, value, formValues) {
	options = {
			_controller : controllerId,
			_source : source,
			_value : value
		};
	options = jQuery.extend(options, formValues || {});
    jQuery.post(eventForwardUrl, options, function(data) {
		eval(data);
	});
}

function expandToolbar(toolbarId, controllerId, toOpen) {
	jQuery.post(eventForwardUrl, {
		_source : toolbarId,
		_controller : controllerId,
		_value : toOpen
	}, function(data) {
		eval(data);
	});
}

function expandToolbarSplitter() {
	jQuery.post(eventForwardUrl, {
		_source : 'switchToolbarState',
		_value : '_toolbar'
	}, function(data) {
		eval(data);
	});
}

function closeAreaTip(controllerId) {
	jQuery.post(eventForwardUrl, {
		_source : '_closeAreaTip',
		_controller : controllerId
	}, {});
}

function onContextEvent(elementId, controllerId, sourceId, extend, pageX, pageY) {
	sendPopupMenuDemand(elementId, controllerId, sourceId, extend, pageX,
			pageY, elementId);
}

function sendSelectionDemand(elementId, controllerId, sourceId, extend, pageX,
		pageY) {
	jQuery.post(selectionForwardUrl, {
		_source : selectSource,
		_controller : controllerId,
		_value : elementId,
		_extend : extend,
		_positionX : pageX,
		_positionY : pageY
	}, function(data) {
		getLeonardiTopFrame().eval(data);
	});
}

function sendMapSelectionDemand(actionId, elementId, controllerId, sourceId, extend, pageX,
		pageY) {
	jQuery.post(selectionForwardUrl, {
		_source : actionId,
		_controller : controllerId,
		_value : elementId,
		_extend : extend,
		_positionX : pageX,
		_positionY : pageY
	}, function(data) {
		eval(data);
	});
}

function sendModifDemand(elementId, controllerId, rowId, colNum, extend, pageX, pageY) {
	jQuery.post(eventForwardUrl, {
		_source : modifSource,
		_controller : controllerId,
		_index : rowId+subIndexSeparator+colNum,
		_value : elementId,
		_extend : extend,
		_positionX : pageX,
		_positionY : pageY
	}, function(data) {
		getLeonardiTopFrame().eval(data);
	});
}

function sendPopupMenuDemand(elementId, controllerId, sourceId, extend, pageX,
		pageY, index) {
	jQuery.post(eventForwardUrl, {
		_source : popupMenuSource,
		_controller : controllerId,
		_value : sourceId,
		_extend : extend,
		_index : index,
		_positionX : pageX,
		_positionY : pageY
	}, function(data) {
		getLeonardiTopFrame().eval(data);
	});
}

function sendGridSortDemand(controllerId, index, extend) {
	jQuery.post(eventForwardUrl, {
		_controller : controllerId,
		_index : index,
		_value : index,
		_type : extend,
		_source : "sort"
	}, function(data) {
		eval(data);
	});
}

/**
 *
 * @param controllerId
 * @param selectSource :
 *            table id
 * @param index
 * @param row
 * @param column
 * @param pageX
 * @param pageY
 */
function editCell(controllerId, selectSource, row, column, pageX, pageY) {
	jQuery.post(eventForwardUrl, {
		_controller : controllerId,
		_value : cellEdition + separator + row + separator + column,
		_extend : false,
		_index : 1,
		_source : selectSource
	}, function(data) {
		eval(data);
	});
}

function imageRowClick(controllerId, rowId) {
	jQuery.post(eventForwardUrl, {
		_controller : controllerId,
		_value : rowId,
		_source : statusSource
	}, function(data) {
		eval(data);
	});
}

function objectIdEvent(controllerId, source, value) {
	jQuery.post(eventForwardUrl, {
		_controller : controllerId,
		_value : value,
		_source : source,
		_type: hrefType
	}, function(data) {
		getLeonardiTopFrame().eval(data);
	});
}


function sendStickyEvent(controllerId, source, value) {
	jQuery.post(eventForwardUrl, {
		_controller : controllerId,
		_value : value,
		_source : source
	}, function(data) {
		eval(data);
	});
}

function expandArea(controllerId, source) {
	jQuery.post(eventForwardUrl, {
		_controller : controllerId,
		_source : source,
		_value : false
	}, function(data) {
		eval(data);
	});
}

function expandRow(controllerId, idRow) {
	jQuery.post(eventForwardUrl, {
		_controller :	controllerId,
		_source : 		idRow,
		_type : 		'open'
	}, function(data) {
		getLeonardiTopFrame().eval(data);
	});
}

function onDbClickEvent(rowId, controller, tableId, extend, pageX, pageY) {
	jQuery.post(eventForwardUrl, {
		_source : tableId,
		_controller : controller,
		_extend : extend,
		_positionX : pageX,
		_positionY : pageY,
		_value : rowId
	}, function(data) {
		getLeonardiTopFrame().eval(data);
	});
}

function onFieldKeyDown(event, componentId, controllerId, val, id) {
	if(event.keyCode == 9) {
		var actionId = (event.shiftKey) ? "_tabPrevious" : "_tabNext";
		b= ArrayToObject(jQuery(':input').formToArray()) || {};
		if(!b[id])
			b[id] = val;
		options = {
			_source : id,
			_type : actionId,
			_value : val
		};
		options = jQuery.extend(options, b || {});
		jQuery.post(eventForwardUrl, options, function(data) {
			eval(data);
		});
	}
	else if(event.keyCode == 13) {
		if (jQuery("#" + componentId).parent().closest('.ui-dialog').length <= 0) {
			fireActionWithValue(controllerId, id, '_validateField', ArrayToObject(jQuery(':input').formToArray()));
		}
	}
}

function defaultFormValidation() {
}
function getFormValues(comp) {

	// If component is in a dialog popup, submit only values from this dialog.
	// Otherwise, submit every input of the document.
	var result;

	if (((typeof comp) != "undefined") && (comp != null))
	{
		var parentDialog = comp.closest('div.ui-dialog');

		if (parentDialog.length > 0)
			result = parentDialog.find(':input');
		else
			result = jQuery(':input');
	}
	else
		result = jQuery(':input');

	return ArrayToObject(result.formToArray());
}
function onCheckboxClick(controllerId, id) {
	var val = "";
	b= ArrayToObject(jQuery(':input').formToArray()) || {};
	if(b[id])
		val = b[id];
	onChangeField(controllerId, val, id);
}

function onChangeField(controllerId, val, id, formValues, inParentFrame) {
	b= ArrayToObject(jQuery(':input').formToArray()) || {};
	if(!b[id])
		b[id] = val;
	options = {
		_controller : controllerId,
		_source : id,
		_type : '_checkField',
		_value : val
	};
	options = jQuery.extend(options, b || {});
	options = jQuery.extend(options, getCKEditorValues() || {});

	if ((typeof inParentFrame != "undefined") && (inParentFrame == true))
	{
		var parentFrame = this.parent;

		jQuery.post(eventForwardUrl, options, function(data) {
			parentFrame.eval(data);
		});
	}
	else
	{
		jQuery.post(eventForwardUrl, options, function(data) {
			eval(data);
		});
	}
}

function sendDropObject(controllerId, draggedObjectId, source, value) {
	jQuery.post(eventForwardUrl, {
		_controller : controllerId,
		_source : source,
		_type : 'drop',
		_value : value,
		_draggedObjectId : draggedObjectId
	}, function(data) {
		eval(data);
	});
}

function invokeHrefLink(controllerId, idHrefs, idHref) {
	jQuery.post(eventForwardUrl, {
		_controller : controllerId,
		_source : idHrefs,
		_type : 'href',
		_value : idHref
	}, function(data) {
		eval(data);
	});
}

function closeDialog(controller) {
	jQuery.post(eventForwardUrl, {
		_source : '_close',
		_controller : controller
	}, function(data) {
		eval(data);
	});
}

jQuery.fn.formToArray = function() {
	var a = [];
	if (this.length === 0) {
		return a;
	}
	var i,j,n,v,el,max,jmax, valsep;
	for(i=0, max=this.length; i < max; i++) {
		el = this[i];
		n = el.name;
		if (!n) {
			continue;
		}

		if (el.type == "image") {
			continue;
		}

		if (typeof el.attributes["multivalsep"] == "undefined")
			valsep = "MULTI_VAL_SEP";
		else
			valsep = el.attributes["multivalsep"].value;

		if(el.disabled)
			continue;

		v = jQuery.fieldValue(el, true);

		if (v == null || v == "") {
			var v2 = jQuery(el).attr('value2');

			if (typeof v2 != "undefined")
				v = v2;
		}

		if (v == ' ')
			v = '';

		if (v && v.constructor == Array) {
			for(j=0, jmax=v.length; j < jmax; j++) {
				a.push({name: n, value: v[j], multivalsep: valsep});
			}
		}
		else if (v !== null && typeof v != 'undefined') {
			a.push({name: n, value: v, multivalsep: valsep});
		}
	}
	return a;
};
ArrayToObject = function(a) {
    b={};
	names = [];

	if (typeof varSeparator == "undefined")
		varSeparator = "MULTI_VAL_SEP";

    for(i=0, max=a.length; i < max; i++) {
		var separator = varSeparator;
		if (typeof a[i]['multivalsep'] != 'undefined')
			separator = a[i]['multivalsep'];
		if(names[a[i]['name']] == a[i]['name']) {
			b[a[i]['name']]=b[a[i]['name']]+separator+a[i]['value'];

		} else {
			b[a[i]['name']]=a[i]['value'];
		}
		names[a[i]['name']] = a[i]['name'];
    }
	return b;
};
jQuery.fn.fieldValue = function(successful) {
	for (var val=[], i=0, max=this.length; i < max; i++) {
		var el = this[i];
		var v = jQuery.fieldValue(el, successful);
		if (v === null || typeof v == 'undefined' || (v.constructor == Array && !v.length)) {
			continue;
		}
		v.constructor == Array ? jQuery.merge(val, v) : val.push(v);
	}
	return val;
};jQuery.fn.fieldValue = function(successful) {
	for (var val=[], i=0, max=this.length; i < max; i++) {
		var el = this[i];
		var v = jQuery.fieldValue(el, successful);
		if (v === null || typeof v == 'undefined' || (v.constructor == Array && !v.length)) {
			continue;
		}
		v.constructor == Array ? jQuery.merge(val, v) : val.push(v);
	}
	return val;
};
jQuery.fieldValue = function(el, successful) {
	var n = el.name, t = el.type, tag = el.tagName.toLowerCase();
	if (successful === undefined) {
		successful = true;
	}

	if (successful && (!n || t == 'reset' || t == 'button' ||
		((t == 'checkbox' || t == 'radio') && !el.checked )||
		(t == 'submit' || t == 'image') && el.form && el.form.clk != el ||
		tag == 'select' && el.selectedIndex == -1)) {
			return null;
	}

	if (tag == 'select') {
		if (jQuery(el).hasClass('multiselect')) {
			return null;
		} else {
			var index = el.selectedIndex;
			if (index < 0) {
				return null;
			}
			var a = [], ops = el.options;
			var one = (t == 'select-one');
			var max = (one ? index + 1 : ops.length);
			for (var i = (one ? index : 0); i < max; i++) {
				var op = ops[i];
				if (op.selected) {
					var v = op.value;
					if (!v) { // extra pain for IE...
						v = (op.attributes && op.attributes['value'] && !(op.attributes['value'].specified)) ? op.text : op.value;
					}
					if (one) {
						return v;
					}
					a.push(v);
				}
			}
			return a;
		}
	}

	if((typeof CKEDITOR != "undefined") && jQuery(el).hasClass('cke_textArea')){
		var elementId = jQuery(el).attr("fieldId");
		var ckInstance = CKEDITOR.instances[elementId];
		if (ckInstance != null)
			return ckInstance.getData();
	}

	return jQuery(el).val();
};

function toggleNode(value,controllerId) {
	jQuery.post(eventForwardUrl, {
		_controller : controllerId,
		_type : 'expand',
		_value : value
	}, function(data) {
		eval(data);
	});
};

function selectNode(value,controllerId,extend) {
	jQuery.post(selectionForwardUrl, {
		_controller : controllerId,
		_extend : extend,
		_source : '_select',
		_value : value
	}, function(data) {
		eval(data);
	});
};

function consultNode(value, controllerId, mapId) {
	jQuery.post(mapForwardUrl, {
		_controller : controllerId,
		_source : mapId,
		_value : value
	}, function(data) {
		eval(data);
	});
};

function moveNode(value, controllerId, x, y) {
	jQuery.post(mapForwardUrl, {
		_controller : controllerId,
		_index : x + "|" + y,
		_source : 'moveElements',
		_value : value
	}, function(data) {
		eval(data);
	});
};


function consultTreeNode(nodeId, controllerId, treeId)
{
		jQuery.post(eventForwardUrl, {
		_controller : controllerId,
		_source : treeId,
		_value : nodeId
	}, function(data) {
		eval(data);
	});
};

function getTreeMapCode(controllerId, value) {
	jQuery.post(eventForwardUrl, {
		_controller : controllerId,
		_source : "treeMap",
		_value : value
	}, function(data) {
		eval(data);
	});
};

function sendMapDemand(params) {
	jQuery.post(mapForwardUrl, params, function(data) {
		eval(data);
	});
}

function InvokeMapSelection(selectedString,value,controllerId) {
	jQuery.post(selectionForwardUrl, {
		_controller : controllerId,
		_source : selectedString,
		_value : value
	}, function(data) {
		eval(data);
	});
};

function InvokeMapEvent(controllerId, source, value) {
	jQuery.post(eventForwardUrl, {
		_controller : controllerId,
		_source : source,
		_value : value
	}, function(data) {
		eval(data);
	});
};

function serverDownNotif(xhr){
	var imagePrefix = (appName == "" ? "." : appName);

	jQuery('#dialog').html("<table><tr><td><img src='" + imagePrefix + "/leon/images/web/content/serverDown.gif'/></td><td>"+serverDownMessage+"</td></tr></table>");
	jQuery('#dialog').attr('title', xhr.statusText);
	jQuery('#dialog' ).dialog({
		modal: true,
		minHeight: 'auto',
		minWidth: 'auto'
	});
	jQuery('#dialog').show();
};

function upFramefireAction(source, controllerId) {

	if ((controllerId == null) || (typeof controllerId == "undefined"))
		controllerId = "ROOT_CONTROLLER";

	options = {
			_source : source,
			_controller : controllerId
		};
    jQuery.post(eventForwardUrl, options, function(data) {
		getLeonardiTopFrame().eval(data);
	});
}

function sendChartDemand(source, controllerId) {
	options = {
			_chartId : source,
			_controller : controllerId
		};
    jQuery.post(chartForwardUrl, options, function(data) {
    	eval(data);
	});
}

function handleUploadChange(attachmentDirectory, attachmentHandler, controllerId, fileId, useAjax, waitIcon) {

	var uploadUrl = sendFileUrl + "?directory=" + attachmentDirectory + "&handler=" + attachmentHandler + "&_controller=" + controllerId + "&_upload=true";

	if (useAjax)
	{
		jQuery.ajaxFileUpload ({
			url: uploadUrl,
			secureuri:sendFileUrl,
			fileElementId: fileId,
			dataType: 'json'
		});
	}
	else
	{
		var form = document.forms[document.forms.length - 1];
		var oldTarget = form.target;
		var oldAction = form.action;
		var oldEncoding = form.encoding;
		var oldMethod = form.method;

		try
		{
			ajaxTimer = setInterval(function showLoader() {
			jQuery('body').ajaxloader('show','ajax-loader-icon');
			if(waitIcon)
			{
				jQuery('.ajax-loader-icon').css('background-image','url('+waitIcon+')');
			}
			}, 1000);

			form.encoding = "multipart/form-data";
			form.target = fileId + "_targetFrame";
			form.action = uploadUrl;
			form.method = 'POST';

			// And we submit the form
			form.submit();

			form.encoding = oldEncoding;
			form.target = oldTarget;
			form.action = oldAction;
			form.method = oldMethod;
		}
		catch (ex)
		{
		}
	}
}

function handleUploadFinished() {
	clearTimeout(ajaxTimer);
	jQuery('body').ajaxloader('hide');
}

function updateFileInput(fileId) {
	fileId = replaceJQueryReservedCharacters(fileId);

	var fileValue = jQuery('#' + fileId).attr('value');
	var fileValueArray = fileValue.split('\\');

	fileValue = fileValueArray[fileValueArray.length-1];
	jQuery('#' + fileId).attr('value2', fileValue);
	jQuery("#fakeInput_" + fileId).attr('value', fileValue);
}

function addJqToolTip() {
	if(isRtlMode())
		{
		defaultAtPosition = 'bottom left';
		defaultMyPosition = 'top right';
		adjustX = -10;
		}
	else
		{
		defaultAtPosition = 'bottom right';
		defaultMyPosition = 'top left';
		adjustX = 15;
		}
	
	var selector = 'a[title^=], th[title^=], img:not(".toolImage")[title^=], area[title^=], td[title^=], div[title^=], span[title^=]';
	if (typeof isPortlet != 'undefined' && isPortlet)
	{
		selector = portletSelector + ' a[title^=]';
		selector += portletSelector + ' th[title^=]';
		selector += portletSelector + ' img:not(".toolImage")[title^=]';
		selector += portletSelector + ' area[title^=]';
		selector += portletSelector + ' td[title^=]';
		selector += portletSelector + ' div[title^=]';
		selector += portletSelector + ' span[title^=]';
		
		jQuery(portletSelector +' img.toolImage').attr('title',null);
	}
	else
	{
		
	}
	jQuery(selector).each(function(ind) {

		if (typeof jQuery(this).attr('title') != "undefined")
			jQuery(this).attr('title', jQuery(this).attr('title').replace(/(\n)/g,'<br/>'));

		if (typeof jQuery(this).qtip != "undefined")
		{
			jQuery(this).qtip( {
				position: {
					at: defaultAtPosition,
					my: defaultMyPosition,
					viewport: jQuery(window),
					target:"mouse",
					adjust: {mouse:false, x:adjustX, y:10, method:"flip"}
				},
				show: {delay:400},
				hide:{event:"mouseleave click",distance:25},
				style: {
					classes: 'ui-tooltip-shadow ui-tooltip-rounded',
					widget: true,
					tip: false
				}
			});
		}
	});
}

function sendIntervalePositionEvent(intervalId,controllerId ,leftPos,endPos  ) {
	  jQuery.post(ganttForwardUrl, {
	  _controller : controllerId,
	  _value : intervalId,
	  _type:'move',
	  _beginPos:leftPos,
	  _endPos:endPos
	 }, function(data) {
	  eval(data);
	 });
	}