var spacing_open = 6;
var onResize;
var splitMinSize = 50;

/* get Pourcent function */
function getPrc(_firstSize,_secondSize){
	return (_firstSize/(_firstSize+_secondSize))
}

/* CUSTOM WEST METHODS */
function toggleFirst(_splitLayout, _containerSize, _typePane, _controller, _beginVar, _splitPos){
    return collapse(true, _splitLayout, _containerSize, _typePane, _controller, _beginVar, _splitPos);
};

function toggleSecond(_splitLayout, _containerSize, _typePane, _controller, _beginVar, _splitPos){
    return collapse(false, _splitLayout, _containerSize, _typePane, _controller, _beginVar, _splitPos);
};

/* GENERIC HELPER FUNCTION */
function sizePane(_splitLayout, pane, size){
    _splitLayout.sizePane(pane, size);
    _splitLayout.open(pane); /*open pane if not already*/
};

/* Collapse Function */
function collapse(l, _splitLayout, _containerSize, _typePane, _controller, _beginVar, _splitPos){
    onResize = false;
    var _currPos = _splitLayout.getPaneSize(_typePane);
    var to;
	if(	_beginVar 
		&& (	_splitPos == 0 
			||	_splitPos == 1 
			||	_splitPos == _containerSize 
			||	_splitPos == _containerSize - 1	)
	){
		_beginVar = false;
	}
	else if ((_splitPos < _currPos && l) || (_splitPos > _currPos && !l)) {
		to = _splitPos;
    }
    else if (_splitPos == _currPos && l) {
		to = 1;
	}
	else if (_splitPos == _currPos && !l) {
		to = _containerSize;
	}
	
    if(typeof(to)=='undefined'){
		_splitLayout.sizePane(_typePane, '50%', null, true,true);
		moveSplitter(_controller, 50);
	} else {
		_splitLayout.sizePane(_typePane, to, null, true,true);
		moveSplitter(_controller, Math.floor((to*100)/_containerSize));
	}
	
    onResize = true;
	return _beginVar;
};