function sleep(milliSeconds){
	var startTime = new Date().getTime(); // get the current time
	while (new Date().getTime() < startTime + milliSeconds); // hog cpu
}
function reset_scroll(id, APane, BPane, dir, firstSize){
	jQuery("#"+APane).attr("style", "float: left; height: 50px; overflow: auto !important; position:absolute !important; left:0px; top:0px;");
	jQuery("#"+BPane).attr("style", "float: left; height: 50px; overflow: auto !important; position:absolute !important; left:0px; top:0px;");
	prepare_scroll(id, APane, BPane, dir, splitters[id]['toggleSave'].toString().split("%")[0], false);
}
function prepare_scroll(id, APane, BPane, dir, firstSize, createDiv){
	if(typeof splitters[id] == "undefined"){
		splitters[id] = new Array();
	}
	if(createDiv){
		jQuery("#"+APane).after('<div id="'+id+'_splitbar" class="'+dir+'splitbar" >&nbsp;</div>');
	}
	sleep(500);
	var cssDim = dir =='v' ? new Array("Width", "Height") : new Array("Height", "Width");
	var cssPos = dir =='v' ? new Array("Left", "Top") : new Array("Top", "Left");
	if(jQuery("#"+id).parents(".borderPanelTd").length == 0) {
		jQuery("#"+id).css("width", "100%");
		/* make the splitter div full-height */
	    if(jQuery("#"+id).parent().closest(".splitter").length > 0) {
	    	var selParentSplitPane = jQuery("#"+id).parent().closest('.splitterPane').attr('id');
	        jQuery("#"+id).css("height", jQuery("#"+selParentSplitPane).height());
	    } else {
	    	jQuery("#"+APane).css('display','none');
	        jQuery("#"+BPane).css('display','none');
	        var lyAreaSel = jQuery('.ly-area:first');
	        var lyMessageSel = jQuery('.frameMessageContainer');
	        var somePos = 0;
	        try{
	        	somePos = jQuery("#"+id).offset().top;
	        } catch(e) {
	        }
	        var maxSize =	Math.max(
	        		jQuery(lyAreaSel[0]).offset().top+jQuery(lyAreaSel[0]).height() - somePos-8,
	        		jQuery(lyMessageSel[0]).offset()["top"] - somePos-30
	        );
	        jQuery("#"+id).css("height",maxSize+"px");
	    }
	} else {
		jQuery("#"+id).css("height",Math.max(jQuery("#"+APane).children().first().height(),jQuery("#"+BPane).children().first().height()));
	}
	try{
		var full_sizeA = jQuery("#"+id)[0]["scroll"+cssDim[1]];
		var full_sizeB = jQuery("#"+id)[0]["scroll"+cssDim[0]];
	} catch(e) {
	}
	jQuery("#"+id).css(cssDim[1].toLowerCase(), full_sizeA+"px");
	jQuery("#"+id).css(cssDim[0].toLowerCase(), full_sizeB+"px");
	resize_scroll(id, APane, BPane, dir, true, firstSize);
	jQuery("#"+id).attr("splitDir", dir);
}
function toggle_split(id, isRight, controller){
	var splitted = splitters[id]['toggleSave'].toString().split("%");
	splitters[id]['toggleSave'] = (typeof splitted[1] == "undefined") ? (Math.round(isRight)*100)+"%"+splitters[id]['toggleSave'] : splitted[1];
	moveSplitter(controller, splitters[id]['toggleSave'].toString().split("%")[0]);
}
function add_togglers(id, dir, controller){
	var APane    = jQuery("#"+id+">div.splitterPane:first").attr('id');
	var BPane    = jQuery("#"+id+">div.ui-layout-center:first").attr('id');
	var cssDim = dir =='v' ? new Array("Width", "Height") : new Array("Height", "Width");
	var cssPos = dir =='v' ? new Array("Left", "Top") : new Array("Top", "Left");
	var sizeA = Math.round(jQuery('#'+id)[0]["scroll"+cssDim[1]]/2);
	jQuery('#'+id+'_splitbar').append("<div class='toggler_"+dir+"_left' id='"+id+"_toggleLeft'  style='"+cssPos[0].toLowerCase()+": 0px; "+cssPos[1].toLowerCase()+": "+(sizeA-25)+"px; "+cssPos[0].toLowerCase()+": -"+Math.round(dir=='h')+"px; "+cssDim[1].toLowerCase()+": 29px; cursor: pointer; position: absolute;'>&nbsp;</div>");
	jQuery('#'+id+'_splitbar').append("<div class='toggler_"+dir+"_right' id='"+id+"_toggleRight' style='"+cssPos[0].toLowerCase()+": 0px; "+cssPos[1].toLowerCase()+": "+(sizeA+25)+"px; "+cssPos[0].toLowerCase()+": -"+Math.round(dir=='h')+"px; "+cssDim[1].toLowerCase()+": 29px; cursor: pointer; position: absolute;'>&nbsp;</div>");
	jQuery('#'+id+'_toggleRight').bind("click", function(){
		toggle_split(id, true, controller);
	}).mouseover(function() {
		return false;
	});
	jQuery('#'+id+'_toggleLeft').bind("click", function(){
		toggle_split(id, false, controller);
	}).mouseover(function() {
		return false;
	});
}
function settle_togglers(id, dir){
	var APane    = jQuery("#"+id+">div.splitterPane:first").attr('id');
	var BPane    = jQuery("#"+id+">div.ui-layout-center:first").attr('id');
	var cssDim = dir =='v' ? new Array("Width", "Height") : new Array("Height", "Width");
	var cssPos = dir =='v' ? new Array("Left", "Top") : new Array("Top", "Left");
	if(jQuery("#"+id).parents(".borderPanelTd").length == 0) {
		jQuery("#"+id).css("width", "100%");
	    if(jQuery("#"+id).parent().closest(".splitter").length > 0) {
	    	var selParentSplitPane = jQuery("#"+id).parent().closest('.splitterPane').attr('id');
	        jQuery("#"+id).css("height", jQuery("#"+selParentSplitPane).height());
	    } else {
	    	jQuery("#"+APane).css('display','none');
	        jQuery("#"+BPane).css('display','none');
	        var lyAreaSel = jQuery('.ly-area:first');
	        var lyMessageSel = jQuery('.frameMessageContainer');
	        var somePos = 0;
	        try{
	        	somePos = jQuery("#"+id).offset().top;
	        } catch(e) {
	        }
	        var maxSize = Math.max(
	        		jQuery(lyAreaSel[0]).offset().top+jQuery(lyAreaSel[0]).height() - somePos-8,
	        		jQuery(lyMessageSel[0]).offset()["top"] - somePos-30
	        );
	        jQuery("#"+id).css("height",maxSize+"px");
	    }
	} else {
		jQuery("#"+id).css("height",Math.max(jQuery("#"+APane).children().first().height(),jQuery("#"+BPane).children().first().height()));
	}
	var full_sizeA = jQuery("#"+id)[0]["scroll"+cssDim[1]];
	jQuery("#"+APane).css(cssDim[1].toLowerCase(), Math.floor(full_sizeA-1)+"px");
	jQuery("#"+BPane).css(cssDim[1].toLowerCase(), Math.floor(full_sizeA-1)+"px");
	jQuery("#"+id+"_toggleLeft").css(cssPos[1].toLowerCase(), Math.round(full_sizeA/2-25)+"px");
	jQuery("#"+id+"_toggleRight").css(cssPos[1].toLowerCase(), Math.round(full_sizeA/2+25)+"px");
}
function resize_scroll(id, APane, BPane, dir, init, firstSize){
	if(APane == null){
		APane = jQuery("#"+id+">div.splitterPane:first").attr('id');
	}
	if(BPane == null){
		BPane = jQuery("#"+id+">div.ui-layout-center:first").attr('id');
	}
	var cssDim = dir =='v' ? new Array("Width", "Height") : new Array("Height", "Width");
	var cssPos = dir =='v' ? new Array("Left", "Top") : new Array("Top", "Left");
	if(typeof firstSize == "undefined"){
		if(init){
			firstSize = 50;
		} else {
			firstSize = Math.round(jQuery("#"+APane)[0]["offset"+cssDim[0]]/full_sizeB*100);
		}
	}
	var full_sizeA = parseInt(jQuery("#"+id).css(cssDim[1].toLowerCase()).replace("px", ""));
	var full_sizeB = parseInt(jQuery("#"+id).css(cssDim[0].toLowerCase()).replace("px", ""));
	firstSize = (firstSize.toString() == firstSize.toString().replace("px", ""))? Math.round(Math.max(Math.min(parseInt(firstSize), 100),0)/100 * full_sizeB)+"px" : firstSize;
	firstSize = (parseInt(firstSize.toString().replace("px", "")) == full_sizeB) ? (full_sizeB-10)+"px" : firstSize;
	var secondSize = (full_sizeB - parseInt(splitter_size.toString().replace("px", "")) - parseInt(firstSize.toString().replace("px", ""))-1)+"px";
	jQuery("#"+APane).css("z-index", 666-jQuery("#"+id).parent().closest(".splitter").length*4);
	jQuery("#"+BPane).css("z-index", 666-jQuery("#"+id).parent().closest(".splitter").length*4-2);
	jQuery("#"+APane).css(cssPos[0].toLowerCase(), "0px");
	jQuery("#"+APane).css(cssPos[1].toLowerCase(), "0px");
	jQuery("#"+APane).css(cssDim[0].toLowerCase(), firstSize);
	jQuery('#'+id+'_splitbar').css("margin-"+cssPos[0].toLowerCase(), (parseInt(firstSize.toString().replace("px", ""))+2)+"px");
	jQuery('#'+id+'_splitbar').css("margin-"+cssPos[1].toLowerCase(), "0px");
	jQuery('#'+id+'_splitbar').css("margin-"+cssDim[0].toLowerCase(), splitter_size);
	jQuery("#"+BPane).css(cssPos[0].toLowerCase(), parseInt(splitter_size.toString().replace("px", "")) + parseInt(firstSize.toString().replace("px", "")) + 4);
	jQuery("#"+BPane).css(cssPos[1].toLowerCase(), "0px");
	jQuery("#"+BPane).css(cssDim[0].toLowerCase(), secondSize);
	jQuery("#"+APane).css(cssDim[1].toLowerCase(), Math.floor(full_sizeA-1)+"px");
	jQuery("#"+BPane).css(cssDim[1].toLowerCase(), Math.floor(full_sizeA-1)+"px");
	if(parseInt(firstSize.toString().replace("px", ""))>0){
		jQuery("#"+APane).show();
	} else {
		jQuery("#"+APane).hide();
	}
	if(parseInt(firstSize.toString().replace("px", ""))/full_sizeB*100<100){
		jQuery("#"+BPane).show();
	} else {
		jQuery("#"+BPane).hide();
	}
	jQuery("#"+id+" .splitter").each(function(){
		if(!init){
			sleep(100);
			settle_togglers(jQuery("#"+id+" .splitter").attr("id"), jQuery("#"+id+" .splitter").attr("splitDir"));
		}
	});
}