(function($) {
$.widget('ui.themeselect', {
	_init: function() {
		
		var self = this;
		var cookieName = this.options.cookieName;
		var cookieOptions = this.options.cookieOptions;
		var theme = this.options.current;
		var showThemeSelector=true;
		showThemeSelector=this.options.showThemeSelector;
		
		if(showThemeSelector)
			{
		var themeSelectTogglerId=self.element.attr('id')+'Toggler';
		// fill element structure
		this.element.addClass('theme-select');
		
		var mainDiv = jQuery('<div class="ui-widget-content" style="padding:10px;display:none;"></div>').appendTo(this.element);
		
    	jQuery('<ul id="themeSelectorUlCurrent" class="themes_list themes_compact">'+
		  '</ul><hr />').appendTo(mainDiv);
    	jQuery('<ul id="themeSelectorUlCustom" class="themes_list themes_compact">'+
		  '</ul><hr />').appendTo(mainDiv);
    	jQuery('<ul id="themeSelectorUl" class="themes_list themes_compact">'+
		  '</ul>').appendTo(mainDiv);
    	
    	var themeSelectorUlCurrent = mainDiv.find('ul[id=themeSelectorUlCurrent]');
    	var themeSelectorUlCustom = mainDiv.find('ul[id=themeSelectorUlCustom]');
		var themeSelectorUl = mainDiv.find('ul[id=themeSelectorUl]');

		
		var backgroundStyle='background: url('+this.options.before+theme+this.options.themeIcon+') no-repeat scroll 0px 0px transparent;';
		var currentli = jQuery('<li id="'+theme+'" class="themes_current" value="'+theme+'">'+
			'<span style="'+backgroundStyle+'" title="'+theme+'"></span>'+
			'</li>').bind("click", function(event){
		$.cookie(cookieName, ''+jQuery(this).attr('id'),cookieOptions);
		self.select(''+jQuery(this).attr('id'));
		mainDiv.slideToggle("fast"); 
		jQuery('#'+themeSelectTogglerId).toggleClass('ui-icon-circle-triangle-n');
		 }).bind("mouseenter", function(event){
				self.select(''+jQuery(this).attr('id'));
		 });
		themeSelectorUlCurrent.append(currentli);
		var thumbnails = [];
		
		for (var i in this.options.customThemes) {
			if (this.options.customThemes.hasOwnProperty(i)) {
				if (this.options.customThemes[i] !== theme) {
					var backgroundStyle='background: url('+this.options.before+this.options.customThemes[i]+this.options.themeIcon+') no-repeat scroll 0px 0px transparent;';					
					var currentLi = jQuery('<li id="'+this.options.customThemes[i]+'" value="'+this.options.customThemes[i]+'" >'+
									'<span style="'+backgroundStyle+'" title="'+this.options.customThemes[i]+'"></span>'+		
									'</li>').bind("click", function(event){
													jQuery('.themes_current').removeClass('themes_current');	
													self.select(''+jQuery(this).attr('id'));
													$.cookie(cookieName, ''+jQuery(this).attr('id'),cookieOptions);
													mainDiv.slideToggle("fast"); 
													jQuery('#'+themeSelectTogglerId).toggleClass('ui-icon-circle-triangle-n');
													jQuery('#'+jQuery(this).attr('id')).addClass('themes_current');
											}).bind("mouseenter ", function(event){
													jQuery('.themes_current').removeClass('themes_current'); 
													self.select(''+jQuery(this).attr('id'));
													jQuery('#'+jQuery(this).attr('id')).addClass('themes_current');
													});
					themeSelectorUlCustom.append(currentLi);
				}
			}
		}
		
		
		
		for (var i in this.options.themes) {
			if (this.options.themes.hasOwnProperty(i)) {
				if (this.options.themes[i] !== theme) {
					var backgroundStyle='background: url('+this.options.before+this.options.themes[i]+this.options.themeIcon+') no-repeat scroll 0px 0px transparent;';					
					var currentLi = jQuery('<li id="'+this.options.themes[i]+'" value="'+this.options.themes[i]+'" >'+
									'<span style="'+backgroundStyle+'" title="'+this.options.themes[i]+'"></span>'+		
									'</li>').bind("click", function(event){
													jQuery('.themes_current').removeClass('themes_current');	
													self.select(''+jQuery(this).attr('id'));
													$.cookie(cookieName, ''+jQuery(this).attr('id'),cookieOptions);
													mainDiv.slideToggle("fast"); 
													jQuery('#'+themeSelectTogglerId).toggleClass('ui-icon-circle-triangle-n');
													jQuery('#'+jQuery(this).attr('id')).addClass('themes_current');
											}).bind("mouseenter ", function(event){
													jQuery('.themes_current').removeClass('themes_current'); 
													self.select(''+jQuery(this).attr('id'));
													jQuery('#'+jQuery(this).attr('id')).addClass('themes_current');
													});
					themeSelectorUl.append(currentLi);
				}
			}
		}
		var themeSelectorImg = jQuery('<table cellspacing="0" class="ui-state-default ui-widget-content ui-corner-bottom themes_selector_table" >'+
				'<tr><td> <span id="'+themeSelectTogglerId+'"  class="theme_selector_img ui-icon ui-icon-circle-triangle-s"></span></td><td>' + this.options.label + '</td></tr>'+
				'</table>');
	
		self.element.append(themeSelectorImg);
		
		jQuery('#'+themeSelectTogglerId).bind("click", function(event){
			mainDiv.slideToggle("fast");
			jQuery(this).toggleClass('ui-icon-circle-triangle-n');
		});
		}
		
		var themeCookie = $.cookie(this.options.cookieName);		
		if(themeCookie!=null && themeCookie!=theme)
		{
			jQuery('.themes_current').removeClass('themes_current');	
			self.select(themeCookie);
			jQuery('#'+themeCookie).addClass('themes_current');
		}
	},
	select: function(new_theme) {
		var before = this.options.before, after = this.options.after;
		var before_length = before.length, found = false;
		jQuery('link').each(function() {
			var url = jQuery(this).attr('href');
			if (url.substr(0,before_length) == before) {
				found = true;
				jQuery(this).attr('href',before+new_theme+after);
			}
		});
		if (!found) {
			jQuery('<link rel="stylesheet" href="'+before+new_theme+after+'" type="text/css"/>').appendTo('head');

		}
		if(jQuery('iframe.iframeTable').length > 0)
		{
			var foundForIframe = false;
			jQuery('.iframeTable').contents().find('link').each(function() {
				var url = jQuery(this).attr('href');
				if (url.substr(0,before_length) == before) {
					foundForIframe = true;
					jQuery(this).attr('href',before+new_theme+after);
				}
			});
			if (!foundForIframe) {
				jQuery('iframe.iframeTable').each(function() {
					jQuery('<link rel="stylesheet" href="'+before+new_theme+after+'" type="text/css"/>').appendTo(jQuery(this).contents().find('head'));				
				});
			}
		}		
	}
});
})(jQuery);


/**
 * Cookie plugin
 *
 * Copyright (c) 2006 Klaus Hartl (stilbuero.de)
 * Dual licensed under the MIT and GPL licenses:
 * http://www.opensource.org/licenses/mit-license.php
 * http://www.gnu.org/licenses/gpl.html
 *
 */
 
jQuery.cookie = function(name, value, options) {
    if (typeof value != 'undefined') { // name and value given, set cookie
        options = options || {};
        if (value === null) {
            value = '';
            options.expires = -1;
        }
        var expires = '';
        if (options.expires && (typeof options.expires == 'number' || options.expires.toUTCString)) {
            var date;
            if (typeof options.expires == 'number') {
                date = new Date();
                date.setTime(date.getTime() + (options.expires * 24 * 60 * 60 * 1000));
            } else {
                date = options.expires;
            }
            expires = '; expires=' + date.toUTCString(); // use expires attribute, max-age is not supported by IE
        }
        // CAUTION: Needed to parenthesize options.path and options.domain
        // in the following expressions, otherwise they evaluate to undefined
        // in the packed version for some reason...
        var path = options.path ? '; path=' + (options.path) : '';
        var domain = options.domain ? '; domain=' + (options.domain) : '';
        var secure = options.secure ? '; secure' : '';
        document.cookie = [name, '=', encodeURIComponent(value), expires, path, domain, secure].join('');
    } else { // only name given, get cookie
        var cookieValue = null;
        if (document.cookie && document.cookie != '') {
            var cookies = document.cookie.split(';');
            for (var i = 0; i < cookies.length; i++) {
                var cookie = jQuery.trim(cookies[i]);
                // Does this cookie string begin with the name we want?
                if (cookie.substring(0, name.length + 1) == (name + '=')) {
                    cookieValue = decodeURIComponent(cookie.substring(name.length + 1));
                    break;
                }
            }
        }
        return cookieValue;
    }
};