<%@ page
	import="java.util.*,leon.app.*,leon.misc.*,leon.view.web.*,leon.view.web.jquery.*,java.util.*,leon.info.*"%>
<%@ taglib uri="http://java.sun.com/portlet" prefix="portlet"%>

<portlet:defineObjects />

<%
	LyApplication		leonApp = (LyApplication)request.getAttribute("application");
	LyInfoList<LyAction>	actions = (LyInfoList<LyAction>)request.getAttribute("availableActions");
	String			selectedAction = (String)request.getAttribute("action");
	String			hideTitlebar = (String)request.getAttribute("hideTitlebar");
	String			hideToolbar = (String)request.getAttribute("hideToolbar");
	String			hideCommandbar = (String)request.getAttribute("hideCommandbar");
	LyEnvironment		env = leonApp.getEnvironment();
	LyAction		leonAction;
	String			selected;
%>

<script LANGUAGE=JavaScript>
	function validateForm() {
		document.getElementById("action_portlet_edit_form<portlet:namespace/>")
				.submit();
	}
</script>

<style type="text/css">
	td.form_td { padding: 4px; }
</style>

<%
				if (actions != null && actions.getSize() > 0)
				{
			%>
<form id='action_portlet_edit_form<portlet:namespace/>' method="POST" action="<portlet:actionURL/>">
<table cellspacing='2' cellpadding='2'>
	<tr>
		<td align='right' class='form_td'><b><%=env.getString("LY_CAPTION_COLON", env.translate("LY_PORTLET_ACTION"))%></b></td>
		<td class='form_td'>
			
			<select id='action' name='action'>
				<option value=""></option>
				<%
					for (int i = 0; i < actions.getSize(); i++)
					{
						leonAction = (LyAction)actions.getInfo(i);
						if (leonAction.hasMark(LyAction.MARK_PORTLET))
						{
						selected = (leonAction.getId().equals(selectedAction) ? " selected='selected'" : "");
				%>
				<option value="<%=leonAction.getId()%>"<%= selected %>><%=env.translate(leonAction.getName())%> (<%=leonAction.getId()%>)</option>
				<%
					
						}
					}
				%>
			</select>
		</td>
	</tr>
	<tr>
		<td align='right' class='form_td'><b><%=env.getString("LY_CAPTION_COLON", env.translate("LY_PORTLET_HIDE_TITLEBAR"))%></b></td>
		<td class='form_td'>
			&nbsp;<input type='radio' id='hideTitlebar' name='hideTitlebar' value='yes'
				<% if ("yes".equals(hideTitlebar)) { %> checked='checked' <% } %>>&nbsp;<%=env.translate("LY_YES")%></input>
			&nbsp;&nbsp;<input type='radio' id='hideTitlebar' name='hideTitlebar' value='no'
				<% if (!"yes".equals(hideTitlebar)) { %> checked='checked' <% } %>>&nbsp;<%=env.translate("LY_NO")%></input>
		</td>
	</tr>
	<tr>
		<td align='right' class='form_td'><b><%=env.getString("LY_CAPTION_COLON", env.translate("LY_PORTLET_HIDE_TOOLBAR"))%></b></td>
		<td class='form_td'>
			&nbsp;<input type='radio' id='hideToolbar' name='hideToolbar' value='yes'
				<% if ("yes".equals(hideToolbar)) { %> checked='checked' <% } %>>&nbsp;<%=env.translate("LY_YES")%></input>
			&nbsp;&nbsp;<input type='radio' id='hideToolbar' name='hideToolbar' value='no'
				<% if (!"yes".equals(hideToolbar)) { %> checked='checked' <% } %>>&nbsp;<%=env.translate("LY_NO")%></input>
		</td>
	</tr>
	<tr>
		<td align='right' class='form_td'><b><%=env.getString("LY_CAPTION_COLON", env.translate("LY_PORTLET_HIDE_COMMANDBAR"))%></b></td>
		<td class='form_td'>
			&nbsp;<input type='radio' id='hideCommandbar' name='hideCommandbar' value='yes'
				<% if ("yes".equals(hideCommandbar)) { %> checked='checked' <% } %>>&nbsp;<%=env.translate("LY_YES")%></input>
			&nbsp;&nbsp;<input type='radio' id='hideCommandbar' name='hideCommandbar' value='no'
				<% if (!"yes".equals(hideCommandbar)) { %> checked='checked' <% } %>>&nbsp;<%=env.translate("LY_NO")%></input>
		</td>
	</tr>
	<tr>
		<td colspan='2' align='center' class='form_td'>
			<br/>
			<input type='button' value='<%=env.translate("LY_VALIDATE")%>' onClick="javascript:validateForm()"/>&nbsp;
			<input type='reset' value='<%=env.translate("LY_RESTORE")%>' />
		</td>
	</tr>
</table>
</form>
<%
				}
				else
				{
				    %>
				    <p id="errorMessage" class="portlet-msg-error">
						<%= env.translate("LY_ER_CONFIG_PORTLET_NO_ACTIONS") %>
					</p>
					<%
				}
			%>