/*
 * LyStrutsContainer.java
 * Copyright (c) 2000-2009, Lyria-W4.
 * All rights reserved.
 */

package leon.view.web.struts;

import leon.view.*;
import leon.view.graphic.*;
import leon.view.web.*;


/**
 * This class implements the common behavior for container objects for the struts viewer.
 *
 * <p>The container entity corresponds to an element capable of grouping together many panels and to
 * manage their positioning: tabs, panels with splitters, areas.</p>
 *
 * @version $Id: LyStrutsContainer.java 16172 2009-01-06 11:04:44Z jls $
 * @author  Lyria
 * @see     leon.view.LyContainer
 */
public abstract class LyStrutsContainer extends LyWebPageWriter
	implements LyGraphicalContainer
{
	public static final String __VERSION =
		"$Id: LyStrutsContainer.java 16172 2009-01-06 11:04:44Z jls $";

	/**
	 * Class constructor of a Container object for the struts target.
	 *
	 * @param container the container component
	 */
	public LyStrutsContainer(LyContainer container)
	{
		super(container);
	}
}