/*
 * LySwingComponent.java
 * Copyright (c) 2000-2009, Lyria-W4.
 * All rights reserved.
 */

package leon.view.win.swing;

import java.awt.*;
import leon.view.*;


/**
 * Interface for LyComponents objects which can create a view.
 *
 * @version $Id: LySwingComponent.java 28422 2010-11-03 12:03:38Z ehelmste $
 * @author  Lyria
 */
public interface LySwingComponent extends LyViewComponent
{
	String __VERSION = "$Id: LySwingComponent.java 28422 2010-11-03 12:03:38Z ehelmste $";

	/**
	 * Returns the java component corresponding to this Leonardi view component.
	 *
	 * @return this Swing view component
	 */
	Component getComponent();
}