/*
 * LyPaintListener.java
 * Copyright (c) 2000-2009, Lyria-W4.
 * All rights reserved.
 */

package leon.view.win.swing.component;

import java.awt.event.*;


/**
 * Component listener to a paint event.
 *
 * @version $Id: LyPaintListener.java 28422 2010-11-03 12:03:38Z ehelmste $
 * @author  Lyria
 */
public interface LyPaintListener
{
	String __VERSION = "$Id: LyPaintListener.java 28422 2010-11-03 12:03:38Z ehelmste $";

	/**
	 * Invoked when a component has been painted.
	 *
	 * @param event the paint event
	 */
	void componentPainted(PaintEvent event);
}